﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PatientLocations.aspx.cs" Inherits="PatientLocations" MasterPageFile ="~/Registry.master" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register src="controls/ErrorList.ascx" tagname="ErrorList" tagprefix="uc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <link type = "text/css" href ="styles/StyleSheet.css"/>
     <style type="text/css">
        .style1
        {
            width: 100%;
        }
        .style2
        {
            width: 110px;
        }
        .style3
        {
        }
        .style4
        {
            width: 8px;
        }
        .style6
        {
            width: 110px;
        }
        .style8
        {
            width: 200px;
        }
        .style9
        {
            width: 100px;
        }
        .style10
        {
            width: 110px;
        }
        .style11
        {
            width: 250px;
        }
        .style12
        {
            width: 250px;
        }
        .style13
        {
            width: 200px;
        }
        .style14
        {
            width: 120px;
        }
    </style>
</asp:Content> 

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:ValidationSummary ID="ValidationSummaryPatients"  runat="server"
        TabIndex="1" 
        HeaderText="The page has the following data errors:" 
        DisplayMode="BulletList" 
        ValidationGroup="SearchPatient"
        ShowMessageBox="True" ShowSummary="false"/>
     <asp:Panel ID="PanelObjectContent" runat="server">
        <uc1:ErrorList ID="ErrorList1" runat="server" />
        <br />
        <asp:Panel ID="PanelSelectPatient" runat="server" GroupingText="Lookup VISN/VAMC&nbsp;&nbsp;" Width="90%">
                <div class = "excludeSaveWarnings">
                <br />
                <asp:Label ID="LabelforTextBoxVISN" runat="server" 
                    AssociatedControlID="TextBoxVISN">
                    VISN:
                </asp:Label>
                <br />
                <asp:TextBox ID="TextBoxVISN" runat="server" 
                    TabIndex="12" 
                    Width = "350px">
                </asp:TextBox>
                <br />

                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxVISN" runat= "server" 
                    TabIndex="13"  
                    SetFocusOnError="true"
                    EnableClientScript="true"
                    ControlToValidate = "TextBoxVISN"  
                    ValidationGroup="SearchPatient"
                    Display = "Dynamic" 
                    ErrorMessage = "VISN needs to be a number between 1 and 23 without leading zeros." 
                    ValidationExpression="(^[1-9]{1}$|^[1]{1}[0-9]{1}$|^[2]{1}[0-3]{1}$)">
                </asp:RegularExpressionValidator>      
                <br /><br />
                <asp:Label ID="LabelforTextBoxVAMCID" runat="server" 
                    AssociatedControlID="TextBoxVAMCID">
                    VAMC ID:
                </asp:Label>
                <br />
                <asp:TextBox ID="TextBoxVAMCID" runat="server" 
                    TabIndex="14" 
                    Width = "350px">
                </asp:TextBox>
                <br />

                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxVAMCID" runat= "server" 
                    TabIndex="13"  
                    SetFocusOnError="true"
                    EnableClientScript="true"
                    ControlToValidate = "TextBoxVAMCID"  
                    ValidationGroup="SearchPatient"
                    Display = "Dynamic" 
                    ErrorMessage = "VAMC ID needs to start with 3 digits." 
                    ValidationExpression="^(\d{3}.*)">
                </asp:RegularExpressionValidator>      
                <br /><br />
                <br />
            </div> 
            <asp:Button ID="ButtonSearchPatient" runat="server" 
                TabIndex="16"  
                ValidationGroup="SearchPatient" 
                CausesValidation="true" 
                Text="&nbsp;&nbsp;Search&nbsp;&nbsp;" 
                onclick="ButtonSearchPatient_Click" ToolTip="Select to search for patients by VISN or VAMC" />
            <asp:CustomValidator id="CustomValidatorSearchCriteria" runat="server"  
                Display="Dynamic"
                ValidationGroup="SearchPatient" 
                OnServerValidate="SearchCriteria_ServerValidate">
            </asp:CustomValidator>
           <br /><br />
            <asp:GridView ID="GridViewDVEIRPatients" runat="server" Visible="False"
                TabIndex="17" OnRowDataBound="GridView_RowDataBound"
                DataKeyNames="PATIENT_ID"
                AutoGenerateColumns="False" Width="100%"
                AllowPaging="True" AllowSorting="True" DataSourceID = "ObjectDataSourcePatientsSearch" OnRowCommand = "Patients_RowCommand">
                <EmptyDataTemplate>
                    No patients found matching your search criteria
                </EmptyDataTemplate> 
                <Columns>
                                                 
                    <asp:TemplateField HeaderText = "Patient #" SortExpression = "PATIENT_ID" ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:Label ID = "LabelPatientID" runat = "server" Text = '<%# Eval("PATIENT_ID") %>' ></asp:Label> 
                    
                    </ItemTemplate> 
                        <ItemStyle HorizontalAlign="Center" />
                </asp:TemplateField>
                    <asp:BoundField DataField="SSN" HeaderText="SSN" 
                        SortExpression="SSN" >
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    
                    <asp:BoundField DataField="FullName" HeaderText="Full Name" 
                        SortExpression="LAST_NAME" >
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>

                    <asp:TemplateField HeaderText="VISN" SortExpression="STD_INSTITUTION.VISN_ID">
                        <ItemStyle HorizontalAlign="Left" />
                        <ItemTemplate>
                            <asp:Label ID="LabelVamcVisn" runat="server" Text='<%# (Eval("STD_INSTITUTION.STD_INSTITUTION_PARENT.NAME")+"").ToString().Replace("VISN ", "")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                                    
                    <asp:TemplateField HeaderText="VAMC ID" SortExpression="STD_INSTITUTION.STATIONNUMBER">
                        <ItemStyle HorizontalAlign="Left" />
                        <ItemTemplate>
                            <asp:Label ID="LabelVamcStationNumber" runat="server" Text='<%# Eval("STD_INSTITUTION.STATIONNUMBER")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                                    
                    <asp:TemplateField HeaderText="Facility" SortExpression="STD_INSTITUTION.VISTANAME">
                        <ItemStyle HorizontalAlign="Left" />
                        <ItemTemplate>
                            <asp:Label ID="LabelVamcVistaName" runat="server" Text='<%# Eval("STD_INSTITUTION.VISTANAME")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                                    
                    <asp:TemplateField HeaderText="City" SortExpression="CITY">
                        <ItemStyle HorizontalAlign="Center" />
                        <ItemTemplate>
                            <asp:Label ID="LabelCity" runat="server" Text='<%# Eval("CITY")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:ButtonField ButtonType = "Button" Text = "Select" CommandName = "Details" AccessibleHeaderText = "Select"  />
                </Columns>
            </asp:GridView>
            <br />
            <asp:ObjectDataSource ID="ObjectDataSourcePatientsSearch" runat="server" 
                SelectMethod="SelectBySearchCriteria" 
                SelectCountMethod="SelectBySearchCriteriaCount" 
                StartRowIndexParameterName="startRow" 
                MaximumRowsParameterName="maxRows" 
                SortParameterName="sort"
                EnablePaging="True"  
                TypeName="VeteransAffairs.Registries.BusinessManager.DVEIRPatientManager"
                DataObjectTypeName="VeteransAffairs.Registries.Business.PATIENT">
                <SelectParameters>
                    <asp:ControlParameter ControlID="TextBoxVISN" 
                         ConvertEmptyStringToNull = "true"  Direction="Input" Name="searchStringVISN" Type="String"/>
                    
                    <asp:ControlParameter ControlID="TextBoxVAMCID"
                         ConvertEmptyStringToNull = "true"  Direction="Input" Name="searchStringVAMCID" Type="String"/>
                         
                    <asp:Parameter Name="sort" Type="String" />
                    <asp:Parameter Name="startRow" Type="Int32" />
                    <asp:Parameter Name="maxRows" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
           
        </asp:Panel>
    </asp:Panel> 
</asp:Content> 