﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Patients.aspx.cs" Inherits="Patients" MasterPageFile ="~/Registry.master" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register src="controls/ErrorList.ascx" tagname="ErrorList" tagprefix="uc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <link type = "text/css" href ="styles/StyleSheet.css"/>
     <style type="text/css">
        .style1
        {
            width: 100%;
        }
        .style2
        {
            width: 110px;
        }
        .style3
        {
        }
        .style4
        {
            width: 8px;
        }
        .style6
        {
            width: 110px;
        }
        .style8
        {
            width: 200px;
        }
        .style9
        {
            width: 100px;
        }
        .style10
        {
            width: 110px;
        }
        .style11
        {
            width: 250px;
        }
        .style12
        {
            width: 250px;
        }
        .style13
        {
            width: 200px;
        }
        .style14
        {
            width: 120px;
        }
    </style>
</asp:Content> 

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:ValidationSummary ID="ValidationSummaryPatients"  runat="server"
        TabIndex="1" 
        HeaderText="The page has the following data errors:" 
        DisplayMode="BulletList" 
        ValidationGroup="SearchPatient"
        ShowMessageBox="True" ShowSummary="false"/>
     <asp:Panel ID="PanelObjectContent" runat="server">
        <uc1:ErrorList ID="ErrorList1" runat="server" />
        <br />
        <asp:Panel ID="PanelSelectPatient" runat="server" GroupingText="Lookup Patient&nbsp;&nbsp;" Width="90%">
                <div class = "excludeSaveWarnings">
                <br />
                <asp:Label ID="LabelforTextBoxSSNSearch" runat="server" AssociatedControlID="TextBoxPatientSSNSearch">SSN:</asp:Label>
                                    
                <br />
                <asp:TextBox ID="TextBoxPatientSSNSearch" runat="server" Width = "350px"></asp:TextBox>
                <br />
                <asp:RegularExpressionValidator ID = "SSNValidator" runat = "server" 
                    ControlToValidate = "TextBoxPatientSSNSearch" 
                    ValidationGroup="SearchPatient"
                    Display = "Dynamic" 
                    ErrorMessage = "SSN needs to be in the following format (dashes optional): XXX-XX-XXXX.  Include a 'P' or 'p' at the end for pseudo SSN’s."
                    SetFocusOnError = "true" 
                    ValidationExpression = "^\s*\d{3}-?\d{2}-?\d{4}[pP]?\s*$">
                </asp:RegularExpressionValidator>         
                <br />
                <br />
                <asp:Label ID="LabelforTextBoxPatientFirstNameSearch" runat="server" 
                    AssociatedControlID="TextBoxPatientFirstNameSearch">
                    First Name:
                </asp:Label>
                <br />
                <asp:TextBox ID="TextBoxPatientFirstNameSearch" runat="server" 
                    Width = "350px">
                </asp:TextBox>
                <br />
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorFirstName" runat="server" 
                    ControlToValidate="TextBoxPatientFirstNameSearch"
                    ValidationGroup="SearchPatient"
                    Display = "Dynamic" 
                    SetFocusOnError = "true" 
                    ErrorMessage="First Name cannot accept numbers."
                    ValidationExpression="[a-zA-Z\s\-]*"
                />
                <br />
                <br />
                <asp:Label ID="LabelforTextBoxPatientLastNameSearch" runat="server" 
                    AssociatedControlID="TextBoxPatientLastNameSearch">
                    Last Name:
                </asp:Label>
                <br />
                <asp:TextBox ID="TextBoxPatientLastNameSearch" runat="server" 
                    Width = "350px">
                </asp:TextBox>
                <br />
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorLastName" runat="server" 
                    ControlToValidate="TextBoxPatientLastNameSearch"
                    ValidationGroup="SearchPatient"
                    Display = "Dynamic" 
                    SetFocusOnError = "true" 
                    ErrorMessage="Last Name cannot accept numbers."
                    ValidationExpression="[a-zA-Z\s\-]*"
                />
                <br />
                <br />
                <asp:Label ID="LabelforTextBoxPatientICNSearch" runat="server" 
                    AssociatedControlID="TextBoxPatientICNSearch">
                    ICN:
                </asp:Label>
                <br />
                <asp:TextBox ID="TextBoxPatientICNSearch" runat="server" 
                    Width = "350px">
                </asp:TextBox>
                <br />
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxPatientICNSearch" runat="server" 
                    ErrorMessage="Patient ICN needs to be a number."
                    ControlToValidate="TextBoxPatientICNSearch"
                    ValidationGroup="SearchPatient"
                    Display = "Dynamic" 
                    SetFocusOnError = "true" 
                    ValidationExpression="[0-9]*">
                </asp:RegularExpressionValidator>
                <br />
                <br />
                <asp:Label ID="LabelforTextBoxDateOfBirth" runat="server" 
                    AssociatedControlID="TextBoxDateOfBirth">
                    Date of Birth (mm/dd/yyyy):
                </asp:Label>
                <br />
                <asp:TextBox ID="TextBoxDateOfBirth" runat="server" 
                    TabIndex="10" 
                    Width = "350px">
                </asp:TextBox>
                <br />
                <asp:RangeValidator ID = "RangeValidatorTextBoxDateOfBirth" runat= "server" 
                    TabIndex="11"  
                    SetFocusOnError="true"
                    Type = "Date"  
                    EnableClientScript="true"
                    ControlToValidate = "TextBoxDateOfBirth"  
                    Display = "Dynamic" 
                    ErrorMessage = "Date of Birth needs to be in the following format: mm/dd/yyyy and not later than today." 
                    ValidationGroup = "SearchPatient">
                </asp:RangeValidator>      
                <br /><br /><br />
            </div> 
            <asp:Button ID="ButtonSearchPatient" runat="server" 
                TabIndex="12"  
                ValidationGroup="SearchPatient" 
                CausesValidation="true" 
                Text="&nbsp;&nbsp;Search&nbsp;&nbsp;" 
                onclick="ButtonSearchPatient_Click" ToolTip="Select to search for a patient" />
            <asp:CustomValidator id="CustomValidatorSearchCriteria" runat="server"  
                Display="Dynamic"
                ValidationGroup="SearchPatient" 
                OnServerValidate="SearchCriteria_ServerValidate">
            </asp:CustomValidator>
            <br /><br />
            <asp:GridView ID="GridViewDVEIRPatients" runat="server" Visible="False"
                TabIndex="15" OnRowDataBound="GridView_RowDataBound"
                DataKeyNames="PATIENT_ID"
                AutoGenerateColumns="False" Width="100%"
                AllowPaging="True" AllowSorting="True" DataSourceID = "ObjectDataSourcePatientsSearch" OnRowCommand = "Patients_RowCommand">
                <EmptyDataTemplate>
                    No patients found matching your search criteria
                </EmptyDataTemplate> 
                <Columns>
                                                 
                    <asp:TemplateField HeaderText = "Patient #" SortExpression = "PATIENT_ID" ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:Label ID = "LabelPatientID" runat = "server" Text = '<%# Eval("PATIENT_ID") %>' ></asp:Label> 
                    
                    </ItemTemplate> 
                </asp:TemplateField>
                    <asp:BoundField DataField="SSN" HeaderText="SSN" 
                        SortExpression="SSN" >
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>
                    
                    <asp:BoundField DataField="FullName" HeaderText="Full Name" 
                        SortExpression="LAST_NAME" >
                        <ItemStyle HorizontalAlign="Center" />
                    </asp:BoundField>

                    <asp:TemplateField HeaderText="VISN" SortExpression="STD_INSTITUTION.VISN_ID">
                        <ItemStyle HorizontalAlign="Left" />
                        <ItemTemplate>
                            <asp:Label ID="LabelVamcVisn" runat="server" Text='<%# (Eval("STD_INSTITUTION.STD_INSTITUTION_PARENT.NAME")+"").ToString().Replace("VISN ", "")%>'></asp:Label>
                       </ItemTemplate>
                    </asp:TemplateField>
                                    
                    <asp:TemplateField HeaderText="VAMC ID" SortExpression="STD_INSTITUTION.STATIONNUMBER">
                        <ItemStyle HorizontalAlign="Left" />
                        <ItemTemplate>
                            <asp:Label ID="LabelVamcStationNumber" runat="server" Text='<%# Eval("STD_INSTITUTION.STATIONNUMBER")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                                    
                    <asp:TemplateField HeaderText="Facility" SortExpression="STD_INSTITUTION.VISTANAME">
                        <ItemStyle HorizontalAlign="Left" />
                        <ItemTemplate>
                            <asp:Label ID="LabelVamcVistaName" runat="server" Text='<%# Eval("STD_INSTITUTION.VISTANAME")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                                    
                    <asp:TemplateField HeaderText="City" SortExpression="CITY">
                        <ItemStyle HorizontalAlign="Center" />
                        <ItemTemplate>
                            <asp:Label ID="LabelCity" runat="server" Text='<%# Eval("CITY")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:ButtonField ButtonType = "Button" Text = "Select" CommandName = "Details" AccessibleHeaderText = "Select"  />
                </Columns>
            </asp:GridView>
            <br />
            <asp:ObjectDataSource ID="ObjectDataSourcePatientsSearch" runat="server" 
                SelectMethod="SelectBySearchCriteria" 
                SelectCountMethod="SelectBySearchCriteriaCount" 
                StartRowIndexParameterName="startRow" 
                MaximumRowsParameterName="maxRows" 
                SortParameterName="sort"
                EnablePaging="True"  
                TypeName="VeteransAffairs.Registries.BusinessManager.DVEIRPatientManager"
                DataObjectTypeName="VeteransAffairs.Registries.Business.PATIENT">
                <SelectParameters>
                    <asp:ControlParameter ControlID="TextBoxPatientFirstNameSearch" 
                         ConvertEmptyStringToNull = "true"  Direction="Input" Name="searchStringFirstName" Type="String"/>
                    
                    <asp:ControlParameter ControlID="TextBoxPatientLastNameSearch"
                         ConvertEmptyStringToNull = "true"  Direction="Input" Name="searchStringLastName" Type="String"/>
                         
                    <asp:ControlParameter ControlID="TextBoxPatientSSNSearch"
                         ConvertEmptyStringToNull = "true"  Direction="Input" Name="searchStringSSN" Type="String"/>
                         
                     <asp:ControlParameter ControlID="TextBoxPatientICNSearch"
                         ConvertEmptyStringToNull = "true"  Direction="Input" Name="searchStringICN" Type="String"/>
                     
                     <asp:ControlParameter ControlID="TextBoxDateOfBirth"
                         ConvertEmptyStringToNull = "true"  Direction="Input" Name="searchStringDateOfBirth" Type="String"/>

                    <asp:Parameter Name="sort" Type="String" />
                    <asp:Parameter Name="startRow" Type="Int32" />
                    <asp:Parameter Name="maxRows" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
           
        </asp:Panel>
    </asp:Panel> 
</asp:Content> 