 <%@ Page Title="DVEIR Referral" Language="C#" MasterPageFile="~/RegistryNoLeftMenu.master" AutoEventWireup="true" CodeFile="Referral.aspx.cs" Inherits="Referral" MaintainScrollPositionOnPostback="false"%>

<%@ Register Assembly="System.Web.DynamicData, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.DynamicData" TagPrefix="cc2" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register src="controls/ErrorList.ascx" tagname="ErrorList" tagprefix="uc1" %>

<%@ Register src="controls/MedicalHistoryTabUserControl.ascx" tagname="MedicalHistoryTabUserControl" tagprefix="userControlMedicalHistoryTab" %>
<%@ Register src="controls/PatientOcularHxTabUserControl.ascx" tagname="PatientOcularHxTabUserControl" tagprefix="userControlPatientOcularHx" %>
<%@ Register src="controls/InjuryTabUserControl.ascx" tagname="InjuryTabUserControl" tagprefix="injuryTabUserControl" %>
<%@ Register src="controls/MHSATabUserControl.ascx" tagname="MHSATabUserControl" tagprefix="userControlMHSATab" %>

<%@ Register src="controls/PatientTabUserControl.ascx" tagname="PatientTabUserControl" tagprefix="patientTabUserControl" %>
<%@ Register src="controls/EncounterTabUserControl.ascx" tagname="EncounterTabUserControl" tagprefix="userControlEncounterTab" %>
<%@ Register src="controls/ProblemListTabUserControl.ascx" tagname="ProblemListTabUserControl" tagprefix="userControlProblemList" %>


<%@ Register src="controls/ProviderTabUserControl.ascx" tagname="ProviderTabUserControl" tagprefix="providerTabUserControl" %>
<%@ Register src="controls/ChiefComplaintTabUserControl.ascx" tagname="ChiefComplaintTabUserControl" tagprefix="chiefComplaintTabUserControl" %>
<%@ Register src="controls/ExamTabUserControl.ascx" tagname="ExamTabUserControl" tagprefix="examTabUserControl" %>
<%@ Register src="controls/DiagnosisTabUserControl.ascx" tagname="DiagnosisTabUserControl" tagprefix="diagnosisTabUserControl" %>
<%@ Register src="controls/ProceduresTabUserControl.ascx" tagname="ProceduresTabUserControl" tagprefix="proceduresTabUserControl" %>


<%@ Register src="controls/ReviewCommentsTabUserControl.ascx" tagname="ReviewCommentsTabUserControl" tagprefix="uc2" %>


<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">

    <asp:Panel ID="PanelObjectContent" runat="server">
        <asp:Label ID="LabelSaveStatusMessage" CssClass="SaveSatusLabel" Visible="false" runat="server" ForeColor="Red" Text="" />
        <br /> 
        <uc1:ErrorList ID="ErrorList1" runat="server" />
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
            <tr>
                <td>
                    <asp:Panel ID="PanelEncounterButtonsTop" runat="server" Visible="false">
                        <asp:Button ID="ButtonCloseEncounterDetails" runat="server" Text="Return to Patient's Encounter List" ToolTip="Select to return to Patient's Encounter List" OnClick="ButtonCloseEncounter_Click" UseSubmitBehavior="false" />   
                    </asp:Panel>
                    &nbsp;
                </td>
                <asp:TableCell Visible="false" runat="server" ID="tableCellForButtonSendForReviewTop" HorizontalAlign="Right">
                </asp:TableCell>
                <asp:TableCell Visible="false" runat="server" ID="tableCellForButtonSendBackToAbstractorTop" HorizontalAlign="Right">
                </asp:TableCell>
                <asp:TableCell Visible="false" runat="server" ID="tableCellForButtonApproveForSendToDVEIRTop" HorizontalAlign="Right">
                </asp:TableCell>
                <td align="right" style="padding-right:45px">
                    <asp:Button ID="ButtonSendForReviewTop" CssClass="actionButton" runat="server" Text=" Send For Review " ToolTip="Select to Send for Review" onclick="ButtonSendForReview_Click" />
                    <asp:Button ID="ButtonSendBackToAbstractorTop" CssClass="actionButton" runat="server" Text=" Send Back to Abstractor " ToolTip="Select to Send Back to Abstractor" onclick="ButtonSendBackToAbstractor_Click" />
                    <asp:Button ID="ButtonApproveForSendToDVEIRTop" CssClass="actionButton" runat="server" Text=" Ready to Send " ToolTip="Select to Send to DVEIVR" onclick="ButtonApproveForSendToDVEIR_Click" />
                    <asp:Button ID="ButtonSaveTop" CssClass="actionButton" runat="server" Text="   Save   " ToolTip="Select to Save Referral" onclick="ButtonSave_Click" />
                    <asp:Button ID="ButtonCancelTop" runat="server" Text="  Cancel  " ToolTip="Select to Cancel and return to Referral list" onclick="ButtonCancel_Click" CausesValidation="False"  />
                </td>
            </tr>
        </table>
        <div class="tabContainer">
        <asp:Panel ID="PanelTopLayerMenu" runat="server">
            <asp:Menu
                id="MenuPatientClinicalData"
                Orientation="Horizontal"
                StaticMenuItemStyle-CssClass="tab"
                StaticSelectedStyle-CssClass="selectedTab"
                CssClass="tabs"
                OnMenuItemClick="MenuPatientClinicalData_MenuItemClick"
                SkipLinkText="Skip Tab Navigation Links"
                Runat="server" >
                
                <Items>
                    <asp:MenuItem Text="Encounters" Selected="true" Value="0" />
                    <asp:MenuItem Text="Patient" Value="1" />
                    <asp:MenuItem Text="Problem List" Value="2" />
                    <asp:MenuItem Text="Review Comments" Value="3" />
                </Items>    
            </asp:Menu>
            
            <!--
                    <asp:MenuItem Text="Patient Ocular Hx" Selected="true" Value="0" />
                    <asp:MenuItem Text="Medical History" Value="1" />
                    <asp:MenuItem Text="Mental Health / Substance Abuse" Value="2" />
                    <asp:MenuItem Text="Injury" Value="3" />
            -->
            <div class="tabContents">
                <asp:MultiView id="MultiViewPatientClinicalData" Runat="server"
                    ActiveViewIndex="0">
                    <asp:View ID="TabPanelEncounter" runat="server">
                        <userControlEncounterTab:EncounterTabUserControl ID="EncounterTabUserControl" runat="server"/>
                    </asp:View>    
                    <asp:View ID="TabPanelPatient" runat="server">
                        <patientTabUserControl:PatientTabUserControl ID="PatientTabUserControl" runat="server"/>
                    </asp:View>
                    <asp:View ID="TabPanelProblemList" runat="server">
                        <userControlProblemList:ProblemListTabUserControl ID="ProblemListTabUserControl" runat="server"/>
                    </asp:View>
                    <asp:View ID="TabPanelReviewComments" runat="server">
                        <uc2:ReviewCommentsTabUserControl ID="ReviewCommentsTabUserControl1" runat="server"/>
                    </asp:View>  
                </asp:MultiView>
            </div>
            
            <!--
                    <asp:View ID="TabPanelPatientOcularHx" runat="server">
                        <userControlPatientOcularHx:PatientOcularHxTabUserControl ID="PatientOcularHxTabUserControl1" runat="server" />
                    </asp:View>        
                    <asp:View ID="TabPanelMedicalHistory" runat="server">
                        <userControlMedicalHistoryTab:MedicalHistoryTabUserControl ID="MedicalHistoryTabUserControl" runat="server" />
                    </asp:View>        
                    <asp:View ID="TabPanelMentalHealthSubstanceAbuse" runat="server">
                        <userControlMHSATab:MHSATabUserControl ID="MHSATabUserControl" runat="server" />
                    </asp:View>        
                    <asp:View ID="TabPanelInjury" runat="server">
                        <injuryTabUserControl:InjuryTabUserControl ID="InjuryTabUserControl1" runat="server" />
                    </asp:View>
            -->
        </asp:Panel>
        
        <asp:Panel ID="PanelSecondLayerMenu" runat="server">
            <asp:Menu 
                id="MenuPatientEncounterData"
                Orientation="Horizontal"
                StaticMenuItemStyle-CssClass="tab"
                StaticSelectedStyle-CssClass="selectedTab"
                CssClass="tabs"
                OnMenuItemClick="MenuPatientEncounterData_MenuItemClick"
                SkipLinkText="Skip Tab Navigation Links"
                Runat="server">
                
                <StaticSelectedStyle CssClass="selectedTab" />
                <StaticMenuItemStyle CssClass="tab" />
                <Items>
                    <asp:MenuItem Selected="true" Text="Provider" Value="0" />
                    <asp:MenuItem Text="Chief Complaint" Value="1" />
                    <asp:MenuItem Text="Exam" Value="2" />
                    <asp:MenuItem Text="Diagnosis (ICD)" Value="3" />
                    <asp:MenuItem Text="Procedures (ICD &amp; CPT4)" Value="4" />
                </Items>
            </asp:Menu>
            <div class="tabContents">
                <asp:MultiView
                    id="MultiViewPatientEncounterData"
                    ActiveViewIndex="0"
                    Runat="server">
                    
                    <asp:View ID="TabPanelProvider" runat="server">
                        <providerTabUserControl:ProviderTabUserControl ID="ProviderTabUserControl" runat="server" />
                    </asp:View>
                    <asp:View ID="TabPanelChiefComplaint" runat="server">

                        <chiefComplaintTabUserControl:ChiefComplaintTabUserControl 
                            ID="ChiefComplaintTabUserControl" 
                            runat="server" 
                        />
                    </asp:View>        
                    <asp:View ID="TabPanelExam" runat="server">

                        <examTabUserControl:ExamTabUserControl ID="ExamTabUserControl" runat="server" />
                        
                    </asp:View>        
                    <asp:View ID="TabPanelDiagnosis" runat="server">
                    
                        <diagnosisTabUserControl:DiagnosisTabUserControl ID="DiagnosisTabUserControl" runat="server" />

                    </asp:View>        
                    <asp:View ID="TabPanelProcedures" runat="server">
                    
                        <proceduresTabUserControl:ProceduresTabUserControl ID="ProceduresTabUserControl" runat="server" /> 

                    </asp:View>        

                </asp:MultiView>
            </div>
        </asp:Panel>
        </div>
        <br />
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
            <tr>
                <td>
                    <asp:Panel ID="PanelEncounterButtonsBottom" runat="server" Visible="false">
                        <asp:Button ID="Button1" runat="server" Text="Return to Patient's Encounter List" ToolTip="Select to return to Patient's Encounter List" OnClick="ButtonCloseEncounter_Click" UseSubmitBehavior="false" />   
                    </asp:Panel>
                    &nbsp;
                </td>
                <asp:TableCell Visible="false" runat="server" ID="tableCellForButtonSendForReviewBottom" HorizontalAlign="Right">
                </asp:TableCell>
                <asp:TableCell Visible="false" runat="server" ID="tableCellForButtonSendBackToAbstractorBottom" HorizontalAlign="Right">
                </asp:TableCell>
                <asp:TableCell Visible="false" runat="server" ID="tableCellForButtonApproveForSendToDVEIRBottom" HorizontalAlign="Right">
                </asp:TableCell>
                <td align="right" style="padding-right:45px">
                    <asp:Button ID="ButtonSendForReviewBottom" CssClass="actionButton" runat="server" Text=" Send For Review " ToolTip="Select to Send for Review" onclick="ButtonSendForReview_Click" />
                    <asp:Button ID="ButtonSendBackToAbstractorBottom" CssClass="actionButton" runat="server" Text=" Send Back to Abstractor " ToolTip="Select to Send Back to Abstractor" onclick="ButtonSendBackToAbstractor_Click" />
                    <asp:Button ID="ButtonApproveForSendToDVEIRBottom" CssClass="actionButton" runat="server" Text=" Ready to Send " ToolTip="Select to Send to DVEIVR" onclick="ButtonApproveForSendToDVEIR_Click" />
                    <asp:Button ID="ButtonSaveBottom" CssClass="actionButton" runat="server" Text="   Save   " ToolTip="Select to Save Referral" onclick="ButtonSave_Click" />
                    <asp:Button ID="ButtonCancelBottom" CssClass="actionButton" runat="server" Text="  Cancel  " ToolTip="Select to Cancel and return to Referral list" onclick="ButtonCancel_Click" CausesValidation="False" />
                </td>
            </tr>
        </table>
        <br />
    </asp:Panel>
    <asp:Panel ID="PanelNoAccess" runat="server" Visible="false" Width="65%">
            You do not have access to the patient id supplied.
            <br /><br />
            Please contact the Registry Manager to grant access or verify that your permissions are correct.</asp:Panel>
    <asp:Panel ID="PanelNoInsertAllowed" runat="server" Visible="false" Width="65%">
            You do not have permission to enter new patient entries.
            <br /><br />
            Please contact the Registry Manager to grant access or verify that your permissions are correct.</asp:Panel>
    <asp:Panel ID="PanelIdNotFound" runat="server" Visible="false" Width="65%">
            No record found for the patient ID supplied.
            <br />
            <br />
            If you tried accessing using a link within an email or typed the link in the browser, please check the link to ensure you have supplied a correct id.</asp:Panel>       
    
    <asp:HiddenField ID="HiddenFieldReferralId" runat="server" />
    <asp:HiddenField ID="HiddenFieldEncounterId" runat="server" Value="0"/>
    <asp:HiddenField ID="HiddenFieldToReferralListId" runat="server" Value="0"/>
    </asp:Content>

