 <%@ Page Title="DVEIR_REFERRAL" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="Tab1.aspx.cs" Inherits="Referral" %>

<%@ Register Assembly="System.Web.DynamicData, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
    Namespace="System.Web.DynamicData" TagPrefix="cc2" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register src="controls/ErrorList.ascx" tagname="ErrorList" tagprefix="uc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
 
 Toolkit Tab Control
 
    <asp:Panel ID="PanelObjectContent" runat="server">
        <br />
        <uc1:ErrorList ID="ErrorList1" runat="server" />
        <cc1:TabContainer ID="TabContainer1" runat="server" ActiveTabIndex="1" 
            TabStripPlacement="Top" Width="100%" AutoPostBack="true"  >
            <cc1:TabPanel ID="TabPanelChiefCompliant" runat="server">
                <HeaderTemplate>
                    Chief Complaint
                    <noscript>
                        <asp:Button ID="btnTab0" runat="server" CommandArgument="0" 
                        Text="Chief Complaint" ToolTip="Select to display the Chief Complaint tab" OnCommand="Tab_Command" />
                    </noscript>
 
                </HeaderTemplate>
                <ContentTemplate>
                </ContentTemplate>
            </cc1:TabPanel>
            <cc1:TabPanel ID="TabPanelHXofPresentIllness" runat="server" HeaderText="HX of Present Illness">
                <ContentTemplate>
                </ContentTemplate>
            </cc1:TabPanel>
            <cc1:TabPanel ID="TabPanelPatientOcularHx" runat="server" HeaderText="Patient Ocular Hx">
                <ContentTemplate>
                </ContentTemplate>
            </cc1:TabPanel>
            <cc1:TabPanel ID="TabPanelMedicalHistory" runat="server" HeaderText="Medical History">
                <ContentTemplate>
                </ContentTemplate>
            </cc1:TabPanel>
            <cc1:TabPanel ID="TabPanelMentalHealthSubstanceAbuse" runat="server" HeaderText="Mental Health / Substance Abuse">
                <ContentTemplate>
                </ContentTemplate>
            </cc1:TabPanel>
            <cc1:TabPanel ID="TabPanelInjury" runat="server" HeaderText="Injury">
                <ContentTemplate>
                            Injury Here 

                </ContentTemplate>
            </cc1:TabPanel>
            <cc1:TabPanel ID="TabPanelEyeExam" runat="server" HeaderText="Eye Exam">
                <ContentTemplate>
                </ContentTemplate>
            </cc1:TabPanel>
            <cc1:TabPanel ID="TabPanelDiagnosisPrognosis" runat="server" HeaderText="Diagnosis Prognosis">
                <ContentTemplate>
                </ContentTemplate>
            </cc1:TabPanel>
            <cc1:TabPanel ID="TabPanelPatient" runat="server" HeaderText="Patient">
                <ContentTemplate>

                </ContentTemplate>
            </cc1:TabPanel>
            <cc1:TabPanel ID="TabPanelProvider" runat="server" HeaderText="Provider">
                <ContentTemplate>
                </ContentTemplate>
            </cc1:TabPanel>
        </cc1:TabContainer>
        <br />
        &nbsp;
        <asp:Button ID="ButtonSave" runat="server" Text="  Save  " ToolTip="Select to Save changes" onclick="ButtonSave_Click" />
        &nbsp;&nbsp;
        <asp:Button ID="ButtonClose" runat="server" Text="  Close  " ToolTip="Select to Cancel changes and Return to Referral list" onclick="ButtonCancel_Click" />
        <br />
    </asp:Panel>
    <asp:Panel ID="PanelNoAccess" runat="server" Visible="false" Width="65%">
            You do not have access to the patient id supplied.
            <br /><br />
            Please contact the Registry Manager to grant access or verify that your permissions are correct.
    </asp:Panel>
    <asp:Panel ID="PanelNoInsertAllowed" runat="server" Visible="false" Width="65%">
            You do not have permission to enter new patient entries.
            <br /><br />
            Please contact the Registry Manager to grant access or verify that your permissions are correct.
    </asp:Panel>
    <asp:Panel ID="PanelIdNotFound" runat="server" Visible="false" Width="65%">
            No record found for the patient ID supplied.
            <br />
            <br />
            If you tried accessing using a link within an email or typed the link in the browser, please check the link to ensure you have supplied a correct id.
    </asp:Panel>       
    
    <asp:HiddenField ID="HiddenField1" runat="server" />
    
    </asp:Content>

