﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager;
using VeteransAffairs.Registries.BusinessManager.Utilities;
using VeteransAffairs.Registries.BusinessManager.DVEIR;

public partial class clinicalDataUserControls_EncounterInformationHeaderUserControl : System.Web.UI.UserControl
{
   
    #region Postback Events

  
    #endregion


    #region Object/Form Mapping

    /// <summary>
    /// Method to populate form elements from entity parameter
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="eyeExam"></param>
    /// <returns>int</returns>
    public int LoadControlsFromObject(ER_ENCOUNTER encounter)
    {

        //populate dropdowns
        PopulateDropDowns(encounter);

        //Date of Encounter
        LabelDateOfEncounter.Text = Helpers.getDateTimeStringFromNullableDate(encounter.VISIT_DATE);

        //Facility
        LabelFacility.Text = encounter.FullVisnName;
        
        return 0;

    }

    /// <summary>
    /// Method to populate an entity object (passed by reference) form the user controls form elements
    /// Returns a status code, any value other than 0 is an error
    /// </summary>
    /// <param name="eyeExam"></param>
    /// <returns>int</returns>
    public int LoadObjectFromControls(ref ER_ENCOUNTER encounter)
    {


        return 0;

    }

    private void PopulateDropDowns(ER_ENCOUNTER encounter)
    {
        //Example
        //if (DropDownListGender.Items.Count == 1)
        //{
        //    DropDownListGender.DataSourceID = "ObjectDataSourceGender";
        //    DropDownListGender.DataBind();
        //}


    }

    #endregion

 


    
}
