﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;

public partial class clinicalDataUserControls_ExamCommentsUserControl : BaseClinicalDataControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    public EyeSettingType EyeSetting
    {
        set
        {
            if (value == EyeSettingType.RightEye
                && !TextBoxComments.ToolTip.Contains(" Right Eye"))
            {
                TextBoxComments.ToolTip = TextBoxComments.ToolTip + " Right Eye";
                LabelforTextBoxComments.ToolTip = LabelforTextBoxComments.ToolTip + " Right Eye";

            }
            else if (value == EyeSettingType.LeftEye
                && !TextBoxComments.ToolTip.Contains(" Left Eye"))
            {
                TextBoxComments.ToolTip = TextBoxComments.ToolTip + " Left Eye";
                LabelforTextBoxComments.ToolTip = LabelforTextBoxComments.ToolTip + " Left Eye";
            }
        }
    }

    public string ExamTestName
    {
        set
        {
            
            TextBoxComments.ToolTip = "Comments for " + value;
            LabelforTextBoxComments.ToolTip = "Comments for " + value;
        }
    }

    public string Comments
    {
        get
        {
            return TextBoxComments.Text;
        }
        set
        {
            TextBoxComments.Text = value;
        }
    }
}
