﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabAngleRecessionUserControl.ascx.cs" Inherits="controls_ExamTabAngleRecessionUserControl" %>

<%@ Register src="BaseControl.ascx" tagname="BaseControl" tagprefix="userControl" %>

<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>
<%@ Register src="ExamTestPerformedUserControl.ascx" tagname="ExamTestPerformedUserControl" tagprefix="ucTestPerformed" %>
<%@ Register src="ExamCommentsUserControl.ascx" tagname="ExamCommentsUserControl" tagprefix="ucComments" %>
<%@ Register src="ExamTestResultUserControl.ascx" tagname="ExamTestResultUserControl" tagprefix="ucTestResults" %>
    <script type = "text/javascript">
        $(document).ready(function() {

        if ($('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':checked')) {
            $('#<%= PanelAngleRecessionTestContent.ClientID %>').show();
        }
        else {
            $('#<%= PanelAngleRecessionTestContent.ClientID %>').hide();
        }

    });
    </script>

<asp:Panel ID="PanelAngleRecession" runat="server" Width="100%" GroupingText="Change Grouping Text with Panel Name" CssClass="SideBySideEyeExamPanel">
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewCommentUserControlAngleRecession" 
        />
    <ucTestPerformed:ExamTestPerformedUserControl ID="ExamTestPerformedUserControl" 
        ExamTestName="Angle Recession" runat="server" />
     <asp:Panel ID="PanelAngleRecessionTestContent" runat="server" BorderWidth="0" Width="100%" >
     <table width="100%">
       <tr>
            <td>
                <ucTestResults:ExamTestResultUserControl ID="ExamTestResultUserControl" 
                ExamTestName="Angle Recession" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlAngleRecessionClockHours" 
                runat="server" HideLabel="true" />
            </td>
        </tr>
       </table>
        </asp:Panel>
       <ucComments:ExamCommentsUserControl ID="ExamCommentsUserControl" 
            ExamTestName="Angle Recession" runat="server" />
</asp:Panel>