﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabColorVisionTestUserControl.ascx.cs" Inherits="clinicalDataUserControls_ExamTabColorVisionTestUserControl" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>
    <%@ Register src="ExamTestPerformedUserControl.ascx" tagname="ExamTestPerformedUserControl" tagprefix="ucTestPerformed" %>
    <%@ Register src="ExamCommentsUserControl.ascx" tagname="ExamCommentsUserControl" tagprefix="ucComments" %>
    <%@ Register src="ExamTestResultUserControl.ascx" tagname="ExamTestResultUserControl" tagprefix="ucTestResults" %>
    <script type = "text/javascript">
        $(document).ready(function() {

        if ($('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':checked')) {
            $('#<%= PanelColorVisionTestContent.ClientID %>').show();
        }
        else {
            $('#<%= PanelColorVisionTestContent.ClientID %>').hide();
        }
    });
    </script>

<asp:Panel ID="PanelColorVision" runat="server" Width="100%" GroupingText="Change Grouping Text with Panel Name" CssClass="SideBySideEyeExamPanel">
    <br />
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewCommentUserControlVisionTest" 
        />
     <ucTestPerformed:ExamTestPerformedUserControl ID="ExamTestPerformedUserControl" 
        ExamTestName="Color Vision" runat="server" />

     <asp:Panel ID="PanelColorVisionTestContent" runat="server" BorderWidth="0" Width="100%" >
        <ucTestResults:ExamTestResultUserControl ID="ExamTestResultUserControl" runat="server" 
            ExamTestName="Color Vision" />
        <table width="100%">
        <tr>
        <td>
                <asp:Label ID="LabelforExtraSpace" runat="server"
                    Text="&nbsp;&nbsp;&nbsp;&nbsp;"/>&nbsp;
        </td>
        <td>
            <asp:Label ID="LabelforTextBoxColorVision" runat="server"
        AssociatedControlID="TextBoxColorVision">
            Number of Correct Responses Over Number of Possible Responses (XX/XX) (list color tests if known):
        </asp:Label><br />
        <asp:TextBox ID="TextBoxColorVision" runat="server" Width="99%">
        </asp:TextBox>
        <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxColorVision" runat="server" 
            ErrorMessage="Comments for Color Vision Number of Correct Responses need to be less than 100 characters."
            ControlToValidate="TextBoxColorVision"
            ValidationExpression="^[\s\S]{0,100}$"/>
        </td>
        </tr>
        </table>
  </asp:Panel>
  <ucComments:ExamCommentsUserControl ID="ExamCommentsUserControl" 
    runat="server" ExamTestName="Color Vision" />
</asp:Panel>
