﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabIntraocularPressureUserControl.ascx.cs" Inherits="controls_ExamTabIntraocularPressureUserControl" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>
    <%@ Register src="ExamTestPerformedUserControl.ascx" tagname="ExamTestPerformedUserControl" tagprefix="ucTestPerformed" %>
    <%@ Register src="ExamCommentsUserControl.ascx" tagname="ExamCommentsUserControl" tagprefix="ucComments" %>
    <%@ Register src="ExamTestResultUserControl.ascx" tagname="ExamTestResultUserControl" tagprefix="ucTestResults" %>
    <script type = "text/javascript">
        $(document).ready(function() {

        if ($('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':checked')) {
            $('#<%= PanelIntraocularPressureTestContent.ClientID %>').show();
        }
        else {
            $('#<%= PanelIntraocularPressureTestContent.ClientID %>').hide();
        }
    });
    </script>

<asp:Panel ID="PanelIntraocularPressure" runat="server" Width="100%" GroupingText="Change Grouping Text with Panel Name" CssClass="SideBySideEyeExamPanel">
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewCommentUserControlIntraocularPressure" 
        />
    <ucTestPerformed:ExamTestPerformedUserControl ID="ExamTestPerformedUserControl" 
        ExamTestName="Intraocular Pressure" runat="server" />
     <asp:Panel ID="PanelIntraocularPressureTestContent" runat="server" BorderWidth="0" Width="100%" >
        <ucTestResults:ExamTestResultUserControl ID="ExamTestResultUserControl" 
        ExamTestName="Intraocular Pressure" runat="server" />
        <table width="100%">
        <tr>
        <td>
            <asp:Label ID="LabelforExtraSpace" runat="server"
                    Text="&nbsp;&nbsp;&nbsp;&nbsp;"/>&nbsp;
        </td>
        <td>
            <asp:Label ID="LabelforTextBoxIntraocularPressure" runat="server" 
            AssociatedControlID="TextBoxIntraocularPressure" 
            ToolTip="Intraocular Pressure (0 to 99, please document in Comments any IOP above 60.)" >
            Intraocular Pressure (0 to 99, please document in Comments any IOP above 60.)
            </asp:Label>
            <br />
                <asp:TextBox runat="server" ID="TextBoxIntraocularPressure" MaxLength="2"
                ToolTip="Intraocular Pressure (0 to 99, please document in Comments any IOP above 60.)"  Width="20" >
                </asp:TextBox>
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxIntraocularPressure" runat="server" 
                    ErrorMessage="Intraocular Pressure is from 0 to 99"
                    ControlToValidate="TextBoxIntraocularPressure" 
                    ValidationExpression="^(0?[0-9]|[1-9][0-9])$" >
                </asp:RegularExpressionValidator>
        </td>
        </tr>
       </table>
        </asp:Panel>
       <ucComments:ExamCommentsUserControl ID="ExamCommentsUserControl" 
            ExamTestName="Intraocular Pressure" runat="server" />
</asp:Panel>