﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabPupilUserControl.ascx.cs" Inherits="controls_ExamTabPupilUserControl" %>

<%@ Register src="BaseControl.ascx" tagname="BaseControl" tagprefix="userControl" %>

<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>
    <%@ Register src="ExamTestPerformedUserControl.ascx" tagname="ExamTestPerformedUserControl" tagprefix="ucTestPerformed" %>
    <%@ Register src="ExamCommentsUserControl.ascx" tagname="ExamCommentsUserControl" tagprefix="ucComments" %>
    <%@ Register src="ExamTestResultUserControl.ascx" tagname="ExamTestResultUserControl" tagprefix="ucTestResults" %>
    <script type = "text/javascript">
        $(document).ready(function() {

        if ($('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':checked')) {
            $('#<%= PanelPupilTestContent.ClientID %>').show();
        }
        else {
            $('#<%= PanelPupilTestContent.ClientID %>').hide();
        }

    });
    </script>

<asp:Panel ID="PanelPupil" runat="server" Width="100%" GroupingText="Change Grouping Text with Panel Name" CssClass="SideBySideEyeExamPanel">
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewCommentUserControlPupil" 
        />
    <ucTestPerformed:ExamTestPerformedUserControl ID="ExamTestPerformedUserControl" 
        ExamTestName="Pupil" runat="server" />
     <asp:Panel ID="PanelPupilTestContent" runat="server" BorderWidth="0" Width="100%" >
     <table width="100%">
       <tr>
            <td>
                <ucTestResults:ExamTestResultUserControl ID="ExamTestResultUserControl" 
                ExamTestName="Pupil" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlPupilSize" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlPupilReactiveDistance" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlPupilReactiveNear" runat="server" />
            </td>
        </tr>
       </table>
        </asp:Panel>
       <ucComments:ExamCommentsUserControl ID="ExamCommentsUserControl" 
            ExamTestName="Pupil" runat="server" />
</asp:Panel>