﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabRelativeAfferentPupilDefectControl.ascx.cs" Inherits="clinicalDataUserControls_ExamTabRelativeAfferentPupilDefectControl" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>
    <%@ Register src="ExamTestPerformedUserControl.ascx" tagname="ExamTestPerformedUserControl" tagprefix="ucTestPerformed" %>
    <%@ Register src="ExamCommentsUserControl.ascx" tagname="ExamCommentsUserControl" tagprefix="ucComments" %>
    <%@ Register src="ExamTestResultUserControl.ascx" tagname="ExamTestResultUserControl" tagprefix="ucTestResults" %>

    <script type = "text/javascript">
        $(document).ready(function() {


            if ($('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':checked')) {
                $('#<%= PanelRelativeAfferentTestContent.ClientID %>').show();
            }
            else {
                $('#<%= PanelRelativeAfferentTestContent.ClientID %>').hide();
            }

        if ($('#<%= CheckBoxRelativeAfferentPupilDefect.ClientID  %>').is(':checked')) {
            $('#<%= PanelEye.ClientID %>').show();
            }
            else {
                $('#<%= PanelEye.ClientID %>').hide();
            }
        
        $('#<%= CheckBoxRelativeAfferentPupilDefect.ClientID  %>').click(function() {
                if ($(this).is(':checked')) {
                    $('#<%= PanelEye.ClientID %>').show();
                }
                else {
                    $('#<%= PanelEye.ClientID %>').hide();
                }
            });
        });
    </script>
    
    <asp:Panel ID="PanelVisualAcuity" runat="server" 
    Width="100%">
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewCommentUserControlAfferentPupilDefect" 
        />
     <ucTestPerformed:ExamTestPerformedUserControl ID="ExamTestPerformedUserControl" 
        ExamTestName="Relative Afferent Pupil Defect" runat="server" />

     <asp:Panel ID="PanelRelativeAfferentTestContent" runat="server" BorderWidth="0" Width="100%" >
                <ucTestResults:ExamTestResultUserControl ID="ExamTestResultUserControl" 
                runat="server" ExamTestName="Relative Afferent Pupil Defect" />
        <table width="100%">
        <tr>
        <td>
                <asp:Label ID="LabelforExtraSpace" runat="server"
                    Text="&nbsp;&nbsp;"/>
        </td>
        <td>
   <asp:CheckBox ID="CheckBoxRelativeAfferentPupilDefect" runat="server" 
        Text = "Relative Afferent Pupil Defect (RAPD)" />    
    <br />
    <br />                            
        <asp:Panel ID="PanelEye" runat="server" GroupingText="Eye">
            <asp:RadioButtonList ID="RadioButtonListRightEyeLeftEye" runat="server" 
                RepeatDirection="Horizontal"
                ToolTip="Select Right Eye or Left Eye.">
                <asp:ListItem Value="1">Right</asp:ListItem>
                <asp:ListItem Value="2">Left</asp:ListItem>
                <asp:ListItem Value="3">Unspecified</asp:ListItem>
                </asp:RadioButtonList>
        </td>
        </tr>
        </table>
        </asp:Panel>
    </asp:Panel>
    <ucComments:ExamCommentsUserControl ID="ExamCommentsUserControl" runat="server" 
        ExamTestName="Relative Afferent Pupil Defect" />
</asp:Panel>
