﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabRetinaUserControl.ascx.cs" Inherits="controls_ExamTabRetinaUserControl" %>

<%@ Register src="BaseControl.ascx" tagname="BaseControl" tagprefix="userControl" %>

<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>
    <%@ Register src="ExamTestPerformedUserControl.ascx" tagname="ExamTestPerformedUserControl" tagprefix="ucTestPerformed" %>
    <%@ Register src="ExamCommentsUserControl.ascx" tagname="ExamCommentsUserControl" tagprefix="ucComments" %>
    <%@ Register src="ExamTestResultUserControl.ascx" tagname="ExamTestResultUserControl" tagprefix="ucTestResults" %>
    <script type = "text/javascript">
        $(document).ready(function() {

            if ($('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':checked')) {
                $('#<%= PanelRetinaTestContent.ClientID %>').show();
            }
            else {
                $('#<%= PanelRetinaTestContent.ClientID %>').hide();
            }

            // Tear Defect
            if ($('#<%= BaseControlRetinaTearDefect.ClientID  + "_CheckBoxID"  %>').is(':checked')) {
                $('#<%= PanelTearDefect.ClientID %>').show();
            }
            else {
                $('#<%= PanelTearDefect.ClientID %>').hide();
                $('#<%= BaseControlRetinaTearDefectDropDown.ClientID  + "_DropDownListID"  %>').val("");
                $('#<%= BaseControlRetinaTearDefectDropDown.ClientID  + "_HiddenFieldID"  %>').val("");
            }

            $('#<%= BaseControlRetinaTearDefect.ClientID  + "_CheckBoxID" %>').click(function() {
                if ($(this).is(':checked')) {
                    $('#<%= PanelTearDefect.ClientID %>').show();
                }
                else {
                    $('#<%= PanelTearDefect.ClientID %>').hide();
                    $('#<%= BaseControlRetinaTearDefectDropDown.ClientID  + "_DropDownListID"  %>').val("");
                    $('#<%= BaseControlRetinaTearDefectDropDown.ClientID  + "_HiddenFieldID"  %>').val("");
                }
            });

            // Detachment Tractional
            if ($('#<%= BaseControlRetinaDetachmentTractional.ClientID  + "_CheckBoxID"  %>').is(':checked')) {
                $('#<%= PanelDetachmentTractional.ClientID %>').show();
            }
            else {
                $('#<%= PanelDetachmentTractional.ClientID %>').hide();
                if ($('#<%= BaseControlRetinaDetachmentTractionalRepaired.ClientID + "_RadioButtonListID_0" %>').is(':checked')) {
                    $('#<%= BaseControlRetinaDetachmentTractionalRepaired.ClientID + "_RadioButtonListID_0" %>').removeAttr("checked");
                }
                if ($('#<%= BaseControlRetinaDetachmentTractionalRepaired.ClientID + "_RadioButtonListID_1" %>').is(':checked')) {
                    $('#<%= BaseControlRetinaDetachmentTractionalRepaired.ClientID + "_RadioButtonListID_1" %>').removeAttr("checked");
                }
                $('#<%= BaseControlRetinaDetachmentTractionalRepaired.ClientID  + "_HiddenFieldID"  %>').val("");
            }

            $('#<%= BaseControlRetinaDetachmentTractional.ClientID  + "_CheckBoxID" %>').click(function() {
                if ($(this).is(':checked')) {
                    $('#<%= PanelDetachmentTractional.ClientID %>').show();
                }
                else {
                    $('#<%= PanelDetachmentTractional.ClientID %>').hide();
                    if ($('#<%= BaseControlRetinaDetachmentTractionalRepaired.ClientID + "_RadioButtonListID_0" %>').is(':checked')) {
                        $('#<%= BaseControlRetinaDetachmentTractionalRepaired.ClientID + "_RadioButtonListID_0" %>').removeAttr("checked");
                    }
                    if ($('#<%= BaseControlRetinaDetachmentTractionalRepaired.ClientID + "_RadioButtonListID_1" %>').is(':checked')) {
                        $('#<%= BaseControlRetinaDetachmentTractionalRepaired.ClientID + "_RadioButtonListID_1" %>').removeAttr("checked");
                    }
                    $('#<%= BaseControlRetinaDetachmentTractionalRepaired.ClientID  + "_HiddenFieldID"  %>').val("");
                }
            });

            // Detachment Rhegmatogenous
            if ($('#<%= BaseControlRetinaDetachmentRhegmatogenous.ClientID  + "_CheckBoxID"  %>').is(':checked')) {
                $('#<%= PanelDetachmentRhegmatogenous.ClientID %>').show();
            }
            else {
                $('#<%= PanelDetachmentRhegmatogenous.ClientID %>').hide();
                if ($('#<%= BaseControlRetinaDetachmentRhegmatogenousRepaired.ClientID + "_RadioButtonListID_0" %>').is(':checked')) {
                    $('#<%= BaseControlRetinaDetachmentRhegmatogenousRepaired.ClientID + "_RadioButtonListID_0" %>').removeAttr("checked");
                }
                if ($('#<%= BaseControlRetinaDetachmentRhegmatogenousRepaired.ClientID + "_RadioButtonListID_1" %>').is(':checked')) {
                    $('#<%= BaseControlRetinaDetachmentRhegmatogenousRepaired.ClientID + "_RadioButtonListID_1" %>').removeAttr("checked");
                }
                $('#<%= BaseControlRetinaDetachmentRhegmatogenousRepaired.ClientID  + "_HiddenFieldID"  %>').val("");
            }

            $('#<%= BaseControlRetinaDetachmentRhegmatogenous.ClientID  + "_CheckBoxID" %>').click(function() {
                if ($(this).is(':checked')) {
                    $('#<%= PanelDetachmentRhegmatogenous.ClientID %>').show();
                }
                else {
                    $('#<%= PanelDetachmentRhegmatogenous.ClientID %>').hide();
                    if ($('#<%= BaseControlRetinaDetachmentRhegmatogenousRepaired.ClientID + "_RadioButtonListID_0" %>').is(':checked')) {
                        $('#<%= BaseControlRetinaDetachmentRhegmatogenousRepaired.ClientID + "_RadioButtonListID_0" %>').removeAttr("checked");
                    }
                    if ($('#<%= BaseControlRetinaDetachmentRhegmatogenousRepaired.ClientID + "_RadioButtonListID_1" %>').is(':checked')) {
                        $('#<%= BaseControlRetinaDetachmentRhegmatogenousRepaired.ClientID + "_RadioButtonListID_1" %>').removeAttr("checked");
                    }
                    $('#<%= BaseControlRetinaDetachmentRhegmatogenousRepaired.ClientID  + "_HiddenFieldID"  %>').val("");
                }
            });

            //Detachment Macula Is On
            if ($('#<%= BaseControlRetinaDetachmentMaculaIsOn.ClientID  + "_CheckBoxID"  %>').is(':checked')) {
                $('#<%= PanelDetachmentMaculaIsOn.ClientID %>').show();
            }
            else {
                $('#<%= PanelDetachmentMaculaIsOn.ClientID %>').hide();
                if ($('#<%= BaseControlRetinaDetachmentMaculaIsOnRepaired.ClientID + "_RadioButtonListID_0" %>').is(':checked')) {
                    $('#<%= BaseControlRetinaDetachmentMaculaIsOnRepaired.ClientID + "_RadioButtonListID_0" %>').removeAttr("checked");
                }
                if ($('#<%= BaseControlRetinaDetachmentMaculaIsOnRepaired.ClientID + "_RadioButtonListID_1" %>').is(':checked')) {
                    $('#<%= BaseControlRetinaDetachmentMaculaIsOnRepaired.ClientID + "_RadioButtonListID_1" %>').removeAttr("checked");
                }
                $('#<%= BaseControlRetinaDetachmentMaculaIsOnRepaired.ClientID  + "_HiddenFieldID"  %>').val("");
            }

            $('#<%= BaseControlRetinaDetachmentMaculaIsOn.ClientID  + "_CheckBoxID" %>').click(function() {
                if ($(this).is(':checked')) {
                    $('#<%= PanelDetachmentMaculaIsOn.ClientID %>').show();
                }
                else {
                    $('#<%= PanelDetachmentMaculaIsOn.ClientID %>').hide();
                    if ($('#<%= BaseControlRetinaDetachmentMaculaIsOnRepaired.ClientID + "_RadioButtonListID_0" %>').is(':checked')) {
                        $('#<%= BaseControlRetinaDetachmentMaculaIsOnRepaired.ClientID + "_RadioButtonListID_0" %>').removeAttr("checked");
                    }
                    if ($('#<%= BaseControlRetinaDetachmentMaculaIsOnRepaired.ClientID + "_RadioButtonListID_1" %>').is(':checked')) {
                        $('#<%= BaseControlRetinaDetachmentMaculaIsOnRepaired.ClientID + "_RadioButtonListID_1" %>').removeAttr("checked");
                    }
                    $('#<%= BaseControlRetinaDetachmentMaculaIsOnRepaired.ClientID  + "_HiddenFieldID"  %>').val("");
                }
            });

            //Detachment Macula Is Off
            if ($('#<%= BaseControlRetinaDetachmentMaculaIsOff.ClientID  + "_CheckBoxID"  %>').is(':checked')) {
                $('#<%= PanelDetachmentMaculaIsOff.ClientID %>').show();
            }
            else {
                $('#<%= PanelDetachmentMaculaIsOff.ClientID %>').hide();
                if ($('#<%= BaseControlRetinaDetachmentMaculaIsOffRepaired.ClientID + "_RadioButtonListID_0" %>').is(':checked')) {
                    $('#<%= BaseControlRetinaDetachmentMaculaIsOffRepaired.ClientID + "_RadioButtonListID_0" %>').removeAttr("checked");
                }
                if ($('#<%= BaseControlRetinaDetachmentMaculaIsOffRepaired.ClientID + "_RadioButtonListID_1" %>').is(':checked')) {
                    $('#<%= BaseControlRetinaDetachmentMaculaIsOffRepaired.ClientID + "_RadioButtonListID_1" %>').removeAttr("checked");
                }
                $('#<%= BaseControlRetinaDetachmentMaculaIsOffRepaired.ClientID  + "_HiddenFieldID"  %>').val("");
            }

            $('#<%= BaseControlRetinaDetachmentMaculaIsOff.ClientID  + "_CheckBoxID" %>').click(function() {
                if ($(this).is(':checked')) {
                    $('#<%= PanelDetachmentMaculaIsOff.ClientID %>').show();
                }
                else {
                    $('#<%= PanelDetachmentMaculaIsOff.ClientID %>').hide();
                    if ($('#<%= BaseControlRetinaDetachmentMaculaIsOffRepaired.ClientID + "_RadioButtonListID_0" %>').is(':checked')) {
                        $('#<%= BaseControlRetinaDetachmentMaculaIsOffRepaired.ClientID + "_RadioButtonListID_0" %>').removeAttr("checked");
                    }
                    if ($('#<%= BaseControlRetinaDetachmentMaculaIsOffRepaired.ClientID + "_RadioButtonListID_1" %>').is(':checked')) {
                        $('#<%= BaseControlRetinaDetachmentMaculaIsOffRepaired.ClientID + "_RadioButtonListID_1" %>').removeAttr("checked");
                    }
                    $('#<%= BaseControlRetinaDetachmentMaculaIsOffRepaired.ClientID  + "_HiddenFieldID"  %>').val("");
                }
            });
        });
    
    </script>

<asp:Panel ID="PanelRetina" runat="server" Width="100%" GroupingText="Change Grouping Text with Panel Name" CssClass="SideBySideEyeExamPanel">
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewCommentUserControlRetina" 
        />
    <ucTestPerformed:ExamTestPerformedUserControl ID="ExamTestPerformedUserControl" 
        ExamTestName="Retina" runat="server" />
     <asp:Panel ID="PanelRetinaTestContent" runat="server" BorderWidth="0" Width="100%" >
     <table width="100%">
       <tr>
            <td>
                <ucTestResults:ExamTestResultUserControl ID="ExamTestResultUserControl" 
                ExamTestName="Retina" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlRetinaTearDefect" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Panel runat="server" ID="PanelTearDefect" BorderWidth="0">
                <userControl:BaseControl ID="BaseControlRetinaTearDefectDropDown" runat="server" />
                </asp:Panel>
            </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlRetinaDetachmentTractional" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                 <asp:Panel runat="server" ID="PanelDetachmentTractional" BorderWidth="0">
               <userControl:BaseControl ID="BaseControlRetinaDetachmentTractionalRepaired" runat="server" />
                 </asp:Panel>
           </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlRetinaDetachmentRhegmatogenous" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Panel runat="server" ID="PanelDetachmentRhegmatogenous" BorderWidth="0">
                <userControl:BaseControl ID="BaseControlRetinaDetachmentRhegmatogenousRepaired" runat="server" />
                </asp:Panel>
            </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlRetinaDetachmentMaculaIsOn" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
               <asp:Panel runat="server" ID="PanelDetachmentMaculaIsOn" BorderWidth="0">
               <userControl:BaseControl ID="BaseControlRetinaDetachmentMaculaIsOnRepaired" runat="server" />
                </asp:Panel>
           </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlRetinaDetachmentMaculaIsOff" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Panel runat="server" ID="PanelDetachmentMaculaIsOff" BorderWidth="0">
                <userControl:BaseControl ID="BaseControlRetinaDetachmentMaculaIsOffRepaired" runat="server" />
                </asp:Panel>
            </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlRetinaMacularHoleCyst" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlRetinaEpiretinalMembrane" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlRetinaRetinalScar" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <userControl:BaseControl ID="BaseControlRetinaOther" runat="server" />
            </td>
        </tr>       
        </table>
        </asp:Panel>
        <ucComments:ExamCommentsUserControl ID="ExamCommentsUserControl" 
            ExamTestName="Retina" runat="server" />
</asp:Panel>