﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabUserControl.ascx.cs" Inherits="clinicalDataUserControls_ExamTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>
<%@ Register src="EncounterInformationHeaderUserControl.ascx" tagname="EncounterHeaderUserControl" tagprefix="userControlEncounterHeader" %>
<%@ Register src="ExamTabDynamicTestUserControl.ascx" tagname="ExamTabDynamicTestUserControl" tagprefix="userControlDynamicTestTab" %>
<%@ Register src="ExamTabRelativeAfferentPupilDefectControl.ascx" tagname="ExamTabRelativeAfferentPupilDefectControl" tagprefix="userControlRelativeAfferentPupilDefect" %>
<%@ Register src="ExamTabMotilityUserControl.ascx" tagname="ExamTabMotilityUserControl" tagprefix="userControlMotility" %>
<%@ Register src="ExamTabPupilUserControl.ascx" tagname="ExamTabPupilUserControl" tagprefix="userControlPupil" %>
<%@ Register src="ExamTabRetinaUserControl.ascx" tagname="ExamTabRetinaUserControl" tagprefix="userControlRetina" %>
<%@ Register src="ExamTabAcuityTestUserControl.ascx" tagname="ExamTabAcuityTestUserControl" tagprefix="userControlAcuityTest" %>
<%@ Register src="ExamTabIntraocularPressureUserControl.ascx" tagname="ExamTabIntraocularPressureUserControl" tagprefix="userControlIntraocularPressure" %>
<%@ Register src="ExamTabColorVisionTestUserControl.ascx" tagname="ExamTabColorVisionTestUserControl" tagprefix="userControlColorVisionTest" %>
<%@ Register src="ExamTabConfrontaionVisualTestUserControl.ascx" tagname="ExamTabConfrontaionVisualTestUserControl" tagprefix="userControlConfrontionVisualTest" %>
<%@ Register src="ExamTabVisualFieldTestUserControl.ascx" tagname="ExamTabVisualFieldTestUserControl" tagprefix="userControlVisualFieldTest" %>
<%@ Register src="ExamTabKineticVisualFieldTestUserControl.ascx" tagname="ExamTabKineticVisualFieldTestUserControl" tagprefix="userControlKineticVisualFieldTest" %>
<%@ Register src="ExamTabAngleRecessionUserControl.ascx" tagname="ExamTabAngleRecessionUserControl" tagprefix="userControlAngleRecession" %>

<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>

<style type="text/css">
    .style1
    {
        width: 100%;
    }
    .SideBySideEyeExamPanel
    {
        width: 100%;
    }
    .EyeExamTableColumnIndent
    {
        width: 4%;
    }
    .eyeExamWidthBetweenODPanelOSPanel
    {
        width: 8px;
    }
    
</style>
<title></title>
<script language="javascript" type="text/javascript">
    function EnableTextBoxVisualFunctionalQuestionnaireScore() 
    {
        if ($('#<%= DropDownListVfqTest.ClientID %>').val() == "") {
            $('#<%= TextBoxVisFuncQuestSc.ClientID %>').hide();
            $('#<%= LblfrTextBoxVisFuncQuestSc.ClientID %>').hide();
        }
        else {
            $('#<%= TextBoxVisFuncQuestSc.ClientID %>').show();
            $('#<%= LblfrTextBoxVisFuncQuestSc.ClientID %>').show();
        }
    }

    $(document).ready(function() {

        $('.visual input:checked').each(function() {
            if ($(this).val() == '16')
                $(this).closest('table.outer').next('div').show();
            else
                $(this).closest('table.outer').next('div').hide();

        });

        $('.visual input:radio').click(function() {
            if ($(this).val() == '16' && $(this).is(':checked') == true) {
                    $(this).closest('table.outer').next('div').show();
            }
            else {

                $(this).closest('table.outer').next('div').hide();
            }
        });


        $('#<%=DropDownListVfqTest.ClientID %>').change(function(e) {
            if ($('#<%= DropDownListVfqTest.ClientID %>').val() == "") {
                $('#<%= TextBoxVisFuncQuestSc.ClientID %>').hide();
                $('#<%= LblfrTextBoxVisFuncQuestSc.ClientID %>').hide();
                $('#<%= RngValTextBoxVisFuncQuestSc.ClientID %>').hide();
                $('#<%= ReqFldValTextBoxVisFuncQuestSc.ClientID %>').hide();
            }
            else {
                $('#<%= TextBoxVisFuncQuestSc.ClientID %>').val("");
                $('#<%= TextBoxVisFuncQuestSc.ClientID %>').show();
                $('#<%= LblfrTextBoxVisFuncQuestSc.ClientID %>').show();

                if ($('#<%= TextBoxVisFuncQuestSc.ClientID %>').val() != ""
                    && $('#<%= TextBoxVisFuncQuestSc.ClientID %>').is(':changed')) { 
                    $('#<%= RngValTextBoxVisFuncQuestSc.ClientID %>').show();
                    $('#<%= ReqFldValTextBoxVisFuncQuestSc.ClientID %>').show();
                }
            }
        });

        $('span.invisibleAccess').each(function() {
            var l = $("<label class='invisibleAccess' />")
           .html($(this).html())
            //.attr('for', $(this).next(":input").attr("id"));
            .attr('for', $(this).next(':input').attr('id'));
            $(this).replaceWith(l);
            //$(this).css({ "width": "0", "height": "0", "overflow": "hidden", "position": "absolute" });

        });

        $('label.invisibleAccess').css({ "width": "0", "height": "0", "overflow": "hidden", "position": "absolute" });


        if ($('#<%= gridViewFocusFlag.ClientID %>').val() == '1') {

            $("select.gridViewDropDown:first").trigger('focus');
            $('#<%= gridViewFocusFlag.ClientID %>').val('0');
        }

        $('.tableView input:submit').click(function() {

            $('#<%= gridViewFocusFlag.ClientID %>').val('1');

            //$("select.gridViewDropDown:first").trigger('focus');

        });

        $('#<%=DropDownListVfqTest.ClientID %>').change(function(e) {
            var text = $(this).find(":selected").text();

            if (text.toUpperCase() == "OTHER") {

                $(".otherReferrer").show();

            }
            else {
                $(".otherReferrer").hide();
                $(".otherReferrer input:text").val("");

            }
        });

        EnableTextBoxVisualFunctionalQuestionnaireScore();
    });   
    
</script>

<table width="100%">
<tr>
    <td>
        <asp:HiddenField ID="gridViewFocusFlag" runat = "server" value="0" />
        <asp:Panel ID="PanelExamDetails" runat="server" Visible="true" Width="100%">
            <asp:ValidationSummary runat="server" 
                HeaderText="The page has the following data errors:" 
                ID="ExamTabValidationSummary" 
                EnableClientScript="true" 
                DisplayMode="BulletList" 
                ShowSummary="false"
                ShowMessageBox="true" />
            <asp:ValidationSummary runat="server" 
                ValidationGroup="ImagingGroup"
                HeaderText="To add an Imaging Methodology item please correct the following:" 
                ID="ValidationSummaryImagingGridView" 
                EnableClientScript="true" 
                DisplayMode="BulletList" 
                ShowSummary="false"
                ShowMessageBox="true" /> 
            <table class="contentLayoutTable">
                <tr>
                    <td>
                        <userControlEncounterHeader:EncounterHeaderUserControl ID="EncounterHeaderUserControl" runat="server"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Panel ID="PanelEyeExam" runat="server" GroupingText="Eye Exam &nbsp;&nbsp;" Width="100%">
                            <br />
                            <table width="100%" >
                            <tr>
                                <td style="width:50%">
                                    <userControlAcuityTest:ExamTabAcuityTestUserControl ID="userControlAcuity1OD" runat="server"
                                        PanelName="Visual Acuity 1 - Best Corrected Far Distance Right Eye &nbsp;&nbsp;"
                                        EyeSetting="RightEye" 
                                        IsNearDistance="false" 
                                        TestNumber="One" 
                                        PinholeVisible="true"
                                        LocationPage="Exam" AnchorId="1"
                                        LocationFriendlyName="Visual Acuity 1 - Best Corrected Far Distance Right Eye"
                                    />
                                    <br />
                                </td>
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td style="width:50%">
                                   <userControlAcuityTest:ExamTabAcuityTestUserControl ID="userControlAcuity1OS" runat="server"
                                    PanelName="Visual Acuity 1 - Best Corrected Far Distance Left Eye &nbsp;&nbsp;"
                                    EyeSetting="LeftEye" 
                                    IsNearDistance="false"
                                    PinholeVisible="true"
                                    TestNumber="One"
                                    LocationPage="Exam" AnchorId="2"
                                    LocationFriendlyName="Visual Acuity 1 - Best Corrected Far Distance Left Eye" />
                                   <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlAcuityTest:ExamTabAcuityTestUserControl ID="userControlAcuity2OD" runat="server"
                                        PanelName="Visual Acuity 2 - Best Corrected Near Distance Right Eye &nbsp;&nbsp;"
                                        EyeSetting="RightEye" 
                                        IsNearDistance="true"
                                        TestNumber="Two" 
                                        PinholeVisible="true"
                                        LocationPage="Exam" AnchorId="3"
                                        LocationFriendlyName="Visual Acuity 2 - Best Corrected Near Distance Right Eye"  />
                                    <br />
                                </td>
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                   <userControlAcuityTest:ExamTabAcuityTestUserControl ID="userControlAcuity2OS" runat="server"
                                    PanelName="Visual Acuity 2 - Best Corrected Near Distance Left Eye &nbsp;&nbsp;"
                                    EyeSetting="LeftEye" 
                                    IsNearDistance="true"
                                    PinholeVisible="true" 
                                    TestNumber="Two"
                                    LocationPage="Exam" AnchorId="4"
                                    LocationFriendlyName="Visual Acuity 2 - Best Corrected Near Distance Left Eye"  />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlMotility:ExamTabMotilityUserControl  
                                    ID="userControlMotilityExtraTestsOD" runat="server" 
                                    PanelName="Motility/Extraocular Muscles Right Eye &nbsp;&nbsp;" 
                                    EyeSetting="RightEye" 
                                    MultiLine="true" 
                                    LocationPage="Exam" AnchorId="5"
                                    LocationFriendlyName="Motility/Extraocular Muscles Right Eye"
                                    />
                                    <br />  
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlMotility:ExamTabMotilityUserControl 
                                    ID="userControlMotilityExtraTestsOS" runat="server" 
                                    PanelName="Motility/Extraocular Muscles Left Eye &nbsp;&nbsp;" 
                                    MultiLine="true" 
                                    EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="6"
                                    LocationFriendlyName="Motility/Extraocular Muscles Left Eye"
                                    />
                                    
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlConfrontionVisualTest:ExamTabConfrontaionVisualTestUserControl
                                    ID="userControlConfrontionVisualOD" runat="server"
                                    PanelName="Confrontation Visual Fields Right Eye &nbsp;&nbsp;"
                                    EyeSetting="RightEye"
                                    LocationPage="Exam" AnchorId="7"
                                    LocationFriendlyName="Confrontation Visual Fields Right Eye"
                                    />
                                    <br />
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlConfrontionVisualTest:ExamTabConfrontaionVisualTestUserControl
                                    ID="userControlConfrontionVisualOS" runat="server"
                                    PanelName="Confrontation Visual Fields Left Eye &nbsp;&nbsp;"
                                    EyeSetting="LeftEye"
                                    LocationPage="Exam" AnchorId="8"
                                    LocationFriendlyName="Confrontation Visual Fields Left Eye"
                                    />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlPupil:ExamTabPupilUserControl 
                                    ID="userControlPupilTestsOD" runat="server" 
                                    PanelName="Pupil Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="9"
                                    LocationFriendlyName="Pupil Right Eye"
                                    />
                                    
                                    <br /> 
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlPupil:ExamTabPupilUserControl 
                                    ID="userControlPupilTestsOS" runat="server" 
                                    PanelName="Pupil Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="10"
                                    LocationFriendlyName="Pupil Left Eye"
                                    />
                                    
                                    <br /> 
                                </td>
                            </tr>
                             <tr>
                                <td colspan="3">
                                    <userControlRelativeAfferentPupilDefect:ExamTabRelativeAfferentPupilDefectControl 
                                    ID="userControlRelativeAfferentPupilDefect" runat="server" 
                                    PanelName="Relative Afferent Pupil Defect &nbsp;&nbsp;" 
                                    EyeSetting="BothEyes" 
                                    LocationPage="Exam" AnchorId="11"
                                    LocationFriendlyName="Relative Afferent Pupil Defect"
                                    />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlColorVisionTest:ExamTabColorVisionTestUserControl
                                    ID="userControlColorVisionOD" runat="server"
                                    PanelName="Color Vision Right Eye &nbsp;&nbsp;"
                                    EyeSetting="RightEye"
                                    LocationPage="Exam" AnchorId="12"
                                    LocationFriendlyName="Color Vision Right Eye"
                                    />
                                    <br />
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlColorVisionTest:ExamTabColorVisionTestUserControl
                                    ID="userControlColorVisionOS" runat="server"
                                    PanelName="Color Vision Left Eye &nbsp;&nbsp;"
                                    EyeSetting="LeftEye"
                                    LocationPage="Exam" AnchorId="13"
                                    LocationFriendlyName="Color Vision Left Eye"
                                    />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlLidsTestsOD" runat="server" 
                                    PanelName="Lids Right Eye &nbsp;&nbsp;" EyeSetting="RightEye"
                                    LocationPage="Exam" AnchorId="14"
                                    LocationFriendlyName="Lids Right Eye"
                                     />

                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlLidsTestsOS" runat="server" 
                                    PanelName="Lids Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="15"
                                    LocationFriendlyName="Lids Left Eye"
                                    />

                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlCorneaTestsOD" runat="server" 
                                    PanelName="Cornea Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="16"
                                    LocationFriendlyName="Cornea Right Eye"
                                    />
                                    
                                    <br />  
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlCorneaTestsOS" runat="server" 
                                    PanelName="Cornea Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="17"
                                    LocationFriendlyName="Cornea Left Eye"
                                    />
                                    
                                    <br />    
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlScleraTestsOD" runat="server" 
                                    PanelName="Sclera Right Eye &nbsp;&nbsp;" 
                                    EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="18"
                                    LocationFriendlyName="Sclera Right Eye"
                                    />
                                    <br />  
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlScleraTestsOS" runat="server" 
                                    PanelName="Sclera Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="19"
                                    LocationFriendlyName="Sclera Left Eye"
                                    />
                                    
                                    <br />    
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlAnteriorChamberTestsOD" runat="server" 
                                    PanelName="Anterior Chamber Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="20"
                                    LocationFriendlyName="Anterior Chamber Right Eye"
                                    />
                                    
                                    <br />
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlAnteriorChamberTestsOS" runat="server" 
                                    PanelName="Anterior Chamber Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="21"
                                    LocationFriendlyName="Anterior Chamber Left Eye"
                                    />
                                    
                                    <br />
                                </td>
                            </tr>
                             <tr>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlIrisTestsOD" runat="server" 
                                    PanelName="Iris Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="22"
                                    LocationFriendlyName="Iris Right Eye"
                                    />
                                    
                                    <br />
                                    
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlIrisTestsOS" runat="server" 
                                    PanelName="Iris Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="23"
                                    LocationFriendlyName="Iris Left Eye"
                                    />
                                    
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlLensTestsOD" runat="server" 
                                    PanelName="Lens Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="24"
                                    LocationFriendlyName="Lens Right Eye"
                                    />
                                    
                                    <br />
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlLensTestsOS" runat="server" 
                                    PanelName="Lens Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="25"
                                    LocationFriendlyName="Iris Left Eye"
                                    />
                                    
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlIntraocularPressure:ExamTabIntraocularPressureUserControl 
                                    ID="userControlIntraocularPressureOD" runat="server"
                                    PanelName="Intraocular Pressure Right Eye &nbsp;&nbsp;" 
                                    EyeSetting="RightEye"
                                    LocationPage="Exam" AnchorId="26"
                                    LocationFriendlyName="Intraocular Pressure Right Eye" />
                                
                                    <br />
                                </td>
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlIntraocularPressure:ExamTabIntraocularPressureUserControl 
                                    ID="userControlIntraocularPressureOS" runat="server"
                                    PanelName="Intraocular Pressure Left Eye &nbsp;&nbsp;" 
                                    EyeSetting="LeftEye"
                                    LocationPage="Exam" AnchorId="27"
                                    LocationFriendlyName="Intraocular Pressure Left Eye"  />
                                    
                                    <br />

                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlVitreousTestsOD" runat="server" 
                                    PanelName="Vitreous Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="28"
                                    LocationFriendlyName="Vitreous Right Eye"
                                    />
                                    
                                    <br />
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlVitreousTestsOS" runat="server" 
                                    PanelName="Vitreous Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="29"
                                    LocationFriendlyName="Vitreous Left Eye"
                                    />
                                    
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlOpticDiscTestsOD" runat="server" 
                                    PanelName="Optic Disc Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="30"
                                    LocationFriendlyName="Optic Disc Right Eye"
                                    />
                                    
                                    <br />
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlOpticDiscTestsOS" runat="server" 
                                    PanelName="Optic Disc Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="31"
                                    LocationFriendlyName="Optic Disc Left Eye"
                                    />
                                    
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                   <userControlRetina:ExamTabRetinaUserControl 
                                    ID="userControlRetinaTestsOD" runat="server" 
                                    PanelName="Retina Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="32"
                                    LocationFriendlyName="Retina Right Eye"
                                    />
                                    
                                    <br /> 
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlRetina:ExamTabRetinaUserControl 
                                    ID="userControlRetinaTestsOS" runat="server" 
                                    PanelName="Retina Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="33"
                                    LocationFriendlyName="Retina Left Eye"
                                    />
                                    
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlAngleRecession:ExamTabAngleRecessionUserControl 
                                    ID="userControlAngleRecessionTestsOD" runat="server" 
                                    PanelName="Angle Recession Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="34"
                                    LocationFriendlyName="Angle Recession Right Eye"
                                    />                                       
                                    <br />
                                </td>
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlAngleRecession:ExamTabAngleRecessionUserControl 
                                    ID="userControlAngleRecessionTestsOS" runat="server" 
                                    PanelName="Angle Recession Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="35"
                                    LocationFriendlyName="Angle Recession Left Eye"
                                    />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlGlobeTestsOD" runat="server" 
                                    PanelName="Globe Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="36"
                                    LocationFriendlyName="Globe Right Eye"
                                    />
                                    
                                    <br /> 
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlGlobeTestsOS" runat="server" 
                                    PanelName="Globe Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="37"
                                    LocationFriendlyName="Globe Left Eye"
                                    />
                                    
                                    <br /> 
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlOrbitTestsOD" runat="server" 
                                    PanelName="Orbit Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="38"
                                    LocationFriendlyName="Orbit Right Eye"
                                    />
                                    
                                    <br /> 
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlOrbitTestsOS" runat="server" 
                                    PanelName="Orbit Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="39"
                                    LocationFriendlyName="Orbit Left Eye"
                                    />
                                    
                                    <br />    
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlBrowTestsOD" runat="server" 
                                    PanelName="Brow Right Eye &nbsp;&nbsp;" EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="40"
                                    LocationFriendlyName="Brow Right Eye"
                                    />
                                    
                                    <br />    
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                   <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlBrowTestsOS" runat="server" 
                                    PanelName="Brow Left Eye &nbsp;&nbsp;" EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="41"
                                    LocationFriendlyName="Brow Left Eye"
                                    />
                                    
                                   <br />
                                </td>
                            </tr>
                           <tr>
                                <td>
                                    <userControlVisualFieldTest:ExamTabVisualFieldTestUserControl
                                    ID="userControlVisualFieldOD" runat="server"
                                    PanelName="Static Threshold Perimetry (Humphrey) Right Eye &nbsp;&nbsp;"
                                    EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="42"
                                    LocationFriendlyName="Static Threshold Perimetry (Humphrey) Right Eye"
                                    />
                                    <br />
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlVisualFieldTest:ExamTabVisualFieldTestUserControl
                                    ID="userControlVisualFieldOS" runat="server"
                                    PanelName="Static Threshold Perimetry (Humphrey) Left Eye &nbsp;&nbsp;"
                                    EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="43"
                                    LocationFriendlyName="Static Threshold Perimetry (Humphrey) Left Eye"
                                    />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <userControlKineticVisualFieldTest:ExamTabKineticVisualFieldTestUserControl
                                    ID="ExamTabKineticVisualFieldTestUserControlOD" runat="server"
                                    PanelName="Kinetic Visual Fields (Goldmann) Right Eye &nbsp;&nbsp;"
                                    EyeSetting="RightEye" 
                                    LocationPage="Exam" AnchorId="44"
                                    LocationFriendlyName="Kinetic Visual Fields (Goldmann) Right Eye"
                                    />
                                    
                                    <br />
                                </td>                    
                                <td class="eyeExamWidthBetweenODPanelOSPanel">
                                    &nbsp;</td>
                                <td>
                                    <userControlKineticVisualFieldTest:ExamTabKineticVisualFieldTestUserControl
                                    ID="ExamTabKineticVisualFieldTestUserControlOS" runat="server"
                                    PanelName="Kinetic Visual Fields (Goldmann) Left Eye &nbsp;&nbsp;"
                                    EyeSetting="LeftEye" 
                                    LocationPage="Exam" AnchorId="45"
                                    LocationFriendlyName="Kinetic Visual Fields (Goldmann) Left Eye"
                                    />
                                    
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <userControlDynamicTestTab:ExamTabDynamicTestUserControl 
                                    ID="userControlMiscellaneousTests" runat="server" 
                                    PanelName="Miscellaneous &nbsp;&nbsp;" EyeSetting="BothEyes" 
                                    LocationPage="Exam" AnchorId="46"
                                    LocationFriendlyName="Miscellaneous"
                                    />
                                    <br />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <asp:Panel ID="PanelEyeExamImagingTestingPerformed" runat="server" GroupingText="Imaging/Ancillary Testing Performed &nbsp;&nbsp;" Width="100%">
                                        <userControlReviewComments:ReviewCommentsEntryUserControl 
                                            runat="server"
                                            ID="ReviewCommentUserControlImagingTestingPerformed" 
                                            AnchorId="47"
                                            LocationPage="Exam"
                                            LocationFriendlyName="Imaging/Ancillary Testing Performed"
                                            />
                                        <asp:GridView ID = "GridViewImagingPerformed" 
                                            ShowFooter = "True" 
                                            AutoGenerateColumns = "False" 
                                            runat ="server"   
                                            OnPreRender="GridViewImagingPerformed_PreRender"
                                            DataKeyNames = "ER_IMAGING_DTL_ID" 
                                            OnRowCommand="GridViewImagingPerformed_RowCommand" 
                                            OnRowDeleting="GridViewImagingPerformed_RowDeleting"
                                            Caption="Select Methodologies:" CaptionAlign="Left"
                                            AllowPaging="false"
                                            Width="100%"
                                            >
                                            <EmptyDataTemplate>
                                                <table width="100%">
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID="LabelforDropDownListImagingMethodologyCodeEmpty" 
                                                                AssociatedControlID="DropDownListImagingMethodologyCodeEmpty"
                                                                runat="server" Text="Imaging Methodology **"></asp:Label>  
                                                        </td>
                                                        <td>
                                                            <asp:Label ID="LabelforTextBoxImagingDateEmpty" 
                                                                AssociatedControlID="TextBoxImagingDateEmpty"
                                                                runat="server" Text="Test Date (mm/dd/yyyy) Optional">
                                                            </asp:Label>  
                                                        </td>
                                                        <td>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <asp:Label ID = "DropDownListImagingMethodologyCodesEmptyLabel" Text = "Imaging Methodology **"
                                                            runat = "server" SkinID = "InvisibleGridViewLabel"></asp:Label>    
                                                            <asp:DropDownList ID="DropDownListImagingMethodologyCodeEmpty" runat="server" 
                                                                ToolTip="Select Imaging Methodology" CssClass = "gridViewDropDown"
                                                                AppendDataBoundItems="true" DataSourceID="ObjectDataSourceImagingMetholodolgyCodes"
                                                                DataTextField="Name" DataValueField="ID">
                                                                <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                            </asp:DropDownList>
                                                            <br />
                                                            <asp:RequiredFieldValidator ID="DropDownListImagingMethodologyCodeEmptyRequiredValidator" runat="server" 
                                                                ForeColor="Red" 
                                                                Display="Dynamic" 
                                                                EnableClientScript="true"  
                                                                SetFocusOnError="true"                                                            
                                                                ControlToValidate="DropDownListImagingMethodologyCodeEmpty"                                                                 
                                                                InitialValue=""
                                                                ValidationGroup = "ImagingGroup"
                                                                ErrorMessage="Imaging Methodology is required.">
                                                            </asp:RequiredFieldValidator> 
                                                        </td>
                                                        <td>
                                                        <asp:Label ID="LabelImagingDateEmpty" runat="server" 
                                                            Text="Test Date (mm/dd/yyyy) Optional" SkinID = "InvisibleGridViewLabel">
                                                        </asp:Label>
                                                        <asp:TextBox ID="TextBoxImagingDateEmpty" runat="server" 
                                                            ToolTip="Enter date in format: mm/dd/yyyy"/>
                                                        <br />
                                                        <asp:RangeValidator ID="RangeValidatorImagingDateEmpty" 
                                                            runat="server" 
                                                            ForeColor="Red" 
                                                            Display="Dynamic" 
                                                            EnableClientScript="true"  
                                                            SetFocusOnError="true"
                                                            Type="Date"
                                                            MaximumValue="01/01/3000"
                                                            MinimumValue="01/01/1890" 
                                                            ValidationGroup = "ImagingGroup"
                                                            ControlToValidate="TextBoxImagingDateEmpty"
                                                            ErrorMessage="Imaging Methodology Test Date needs to be in the following format: mm/dd/yyyy">
                                                        </asp:RangeValidator>
                                                        
                                                        </td>
                                                        <td>
                                                            <asp:Button ID="ButtonEmptyAddCommand" runat="server" 
                                                                Text="Add" 
                                                                ToolTip="Add Imaging Methodology" 
                                                                CommandName="EMPTYADD" 
                                                                CausesValidation="true" ValidationGroup = "ImagingGroup" />
                                                        </td>
                                                    </tr>    
                                                </table>
                                                  
                                            </EmptyDataTemplate>
                                            <Columns>
                                                <asp:TemplateField HeaderText = "Imaging Methodology **">
                                                    <ItemTemplate>
                                                        <asp:Label ID = "LabelImagingMethodologyCode" runat = "server" Text = '<%# Eval("STD_ER_IMG_MTHD.Name") %>'/>
                                                    </ItemTemplate>
                                                    <FooterTemplate>
                                                                                                          
                                                        <asp:Label ID = "DropDownListImagingMethodologyCodesLabel" Text = "Imaging Methodology **"
                                                        runat = "server" SkinID = "InvisibleGridViewLabel"></asp:Label>    
                                                        <asp:DropDownList ID="DropDownListImagingMethodologyCodes" runat="server" 
                                                            ToolTip="Select Imaging Methodology"
                                                            AppendDataBoundItems="true" DataSourceID="ObjectDataSourceImagingMetholodolgyCodes"
                                                            DataTextField="Name" DataValueField="ID" CssClass = "gridViewDropDown">
                                                            <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                            
                                                        </asp:DropDownList>
                                                        <asp:RequiredFieldValidator ID="DropDownListImagingMethodologyCodesRequiredValidator" runat="server" 
                                                            ForeColor="Red" 
                                                            Display="Dynamic" 
                                                            EnableClientScript="true"  
                                                            SetFocusOnError="true"                                                            
                                                            ControlToValidate="DropDownListImagingMethodologyCodes"                                                                 
                                                            InitialValue=""
                                                            ValidationGroup = "ImagingGroup"
                                                            ErrorMessage="Imaging Methodology is required.">
                                                        </asp:RequiredFieldValidator> 
                                                    </FooterTemplate> 
                                                </asp:TemplateField>
                                                <asp:TemplateField HeaderText = "Test Date (mm/dd/yyyy) Optional">
                                                    <ItemTemplate>
                                                        <asp:Label ID = "LabelImagingMethodologyDate" runat = "server" Text = '<%# Eval("EXAM_DATE","{0:d}") %>'/>        
                                                    </ItemTemplate>
                                                    <FooterTemplate>
                                                        <asp:Label ID="LabelImagingDateInsert" runat="server" 
                                                            Text="Test Date (mm/dd/yyyy) Optional" SkinID = "InvisibleGridViewLabel">
                                                        </asp:Label>
                                                        <asp:TextBox ID="TextBoxImagingDateInsert" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"
                                                            Text='<%# Bind("EXAM_DATE") %>'/>
                                                        <br />
                                                        <asp:RangeValidator ID="RangeValidatorImagingDate1" 
                                                            ForeColor="Red" 
                                                            Display="Dynamic" 
                                                            EnableClientScript="true"  
                                                            SetFocusOnError="true"   
                                                            runat="server" 
                                                            Type="Date"
                                                            MaximumValue="01/01/3000"
                                                            MinimumValue="01/01/1890"
                                                            ValidationGroup = "ImagingGroup"
                                                            ControlToValidate="TextBoxImagingDateInsert"
                                                            ErrorMessage="Imaging Methodology Test Date needs to be in the following format: mm/dd/yyyy">
                                                        </asp:RangeValidator>
                                                        
                                                    </FooterTemplate>
                                                </asp:TemplateField>
                                                <asp:TemplateField FooterStyle-HorizontalAlign="Left" AccessibleHeaderText = "Delete">
                                                    <ItemTemplate>
                                                       <asp:Button ID="ButtonDelete" runat="server"
                                                            Text="Delete"  
                                                            OnClientClick="return confirm('Are you sure you want to delete this imaging methodology? Click cancel if you do not want to delete.');"
                                                            ToolTip='<%# string.Format("Delete {0} from Imaging Methodology list", DataBinder.Eval(Container.DataItem,"STD_ER_IMG_MTHD.Name")) %>' 
                                                            CommandName="DELETE" 
                                                            CommandArgument='<%# Bind("ER_IMAGING_DTL_ID") %>' 
                                                            CausesValidation="false"/>
                                                    </ItemTemplate>
                                                    <FooterTemplate>
                                                       <asp:Button Text="Add" ToolTip="Add Imaging Methodology" CommandName="ADD" CausesValidation="true" runat="server" ID="ButtonAddCommand" ValidationGroup = "ImagingGroup" />&nbsp;
                                                    </FooterTemplate>
                                                </asp:TemplateField>
                                            </Columns>
                                        </asp:GridView>
                                        <br />
                                        <asp:Label runat="server" SkinID="DataLabel" ID="ImagingMethodologyRequiredFieldIndicator">** Field is required to add an imaging methodology.</asp:Label>
                                    </asp:Panel><br />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <asp:Panel ID="PanelProstheticDevicesOrdered" runat="server" GroupingText="Prosthetic Devices Ordered &nbsp;&nbsp;" Width="100%">
                                        <userControlReviewComments:ReviewCommentsEntryUserControl 
                                            runat="server"
                                            ID="ReviewCommentsEntryUserControlProstheticDevicesOrdered" 
                                            AnchorId="48"
                                            LocationPage="Exam"
                                            LocationFriendlyName="Prosthetic Devices Ordered"
                                            />
                                        <asp:CheckBoxList ID="CheckBoxListProstheticDevicesOrdered" runat="server" RepeatDirection="Horizontal"
                                        ToolTip="Select Prosthetic Devices Ordered" DataSourceID="" DataTextField="NAME" DataValueField="ID">
                                        </asp:CheckBoxList>
                                        <br />
                                        <asp:Label ID="LabelforTextBoxProstheticDevicesOrderedComments" AssociatedControlID="TextBoxProstheticDevicesOrderedComments" runat="server" Text="Comments" >
                                        </asp:Label>
                                        <asp:TextBox ID="TextBoxProstheticDevicesOrderedComments" 
                                            Tooltip="Prosthetic Devices Ordered Comments"
                                            runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                        </asp:TextBox>
                                        <asp:RegularExpressionValidator ID="RegularExpressionValidatorProstheticDevicesOrderedComments" runat="server" 
                                            ErrorMessage="Prosthetic Devices Ordered Comments need to be less than 4000 characters."
                                            ControlToValidate="TextBoxProstheticDevicesOrderedComments"
                                            ValidationExpression="^[\s\S]{0,4000}$"
                                        >
                                        </asp:RegularExpressionValidator>
                                    </asp:Panel><br />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <asp:Panel ID="PanelVisualFunctionalQuestionnaire" runat="server" 
                                        GroupingText="Visual Functioning Questionnaire &nbsp;&nbsp;" 
                                        Width="100%">
                                        <userControlReviewComments:ReviewCommentsEntryUserControl 
                                            runat="server"
                                            ID="ReviewCommentsEntryUserControlVisualFunctionalQuestionnaire" 
                                            AnchorId="49"
                                            LocationPage="Exam"
                                            LocationFriendlyName="Visual Functioning Questionnaire"
                                            />
                                        <table width="500px">
                                            <tr>
                                                <td>
                                                    <asp:Label ID="LabelforDropDownListVfqTest" runat="server" 
                                                        AssociatedControlID="DropDownListVfqTest" 
                                                        Text="Label">Questionnaire
                                                    </asp:Label>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    <asp:Label ID="LblfrTextBoxVisFuncQuestSc" runat="server" 
                                                        AssociatedControlID="TextBoxVisFuncQuestSc" 
                                                        Text="Score (XXX)">
                                                    </asp:Label>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:DropDownList ID="DropDownListVfqTest" runat="server" 
                                                        ToolTip="Select Questionnaire type used for VFQ"
                                                        DataSourceID="" 
                                                        DataTextField="NAME" 
                                                        DataValueField="ID" 
                                                        AutoPostBack="false"  
                                                        AppendDataBoundItems="true" 
                                                        onselectedindexchanged="DropDownListVfqTest_SelectedIndexChanged">
                                                        <asp:ListItem Value="">-- Select Questionnaire --</asp:ListItem>
                                                    </asp:DropDownList>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="TextBoxVisFuncQuestSc" runat="server" 
                                                        Tooltip="Visual Functional Questionnaire Score (must be a number)"
                                                        MaxLength="3">
                                                    </asp:TextBox>
                                                    <asp:RangeValidator ID="RngValTextBoxVisFuncQuestSc" 
                                                        runat="server" 
                                                        ForeColor="Red" 
                                                        Display="Dynamic" 
                                                        EnableClientScript="true"  
                                                        SetFocusOnError="true"
                                                        Type="Integer"
                                                        MinimumValue="0" 
                                                        MaximumValue="250"
                                                        ControlToValidate="TextBoxVisFuncQuestSc"
                                                        ErrorMessage="Questionnaire Score needs to be a number within the following range: 0 to 250">
                                                    </asp:RangeValidator>
                                                    <asp:RequiredFieldValidator ID="ReqFldValTextBoxVisFuncQuestSc" runat="server" 
                                                        ControlToValidate="TextBoxVisFuncQuestSc" 
                                                        ErrorMessage="Questionnaire Score is required." 
                                                        Display="Dynamic"
                                                        SetFocusOnError="true">
                                                    </asp:RequiredFieldValidator>                                                        
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            
                                        </table>
                                        
                                    </asp:Panel><br />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <asp:Panel ID="PanelEyeExamComments" runat="server" GroupingText="Eye Exam Comments &nbsp;&nbsp;" Width="100%">
                                        <userControlReviewComments:ReviewCommentsEntryUserControl 
                                            runat="server"
                                            ID="ReviewCommentsEntryUserControlEyeExamComments" 
                                            AnchorId="50"
                                            LocationPage="Exam"
                                            LocationFriendlyName="Eye Exam Comments"
                                            />
                                        <asp:TextBox ID="TextBoxEyeExamComments"
                                         ToolTip="Enter Notes and Comments for Eye Exam" runat="server" 
                                         Width="100%" Height="80px" TextMode="MultiLine">
                                        </asp:TextBox>
                                        <asp:RegularExpressionValidator ID="RegularExpressionValidatorEyeExamComments" runat="server" 
                                            ErrorMessage="Eye Exam Comments need to be less than 4000 characters."
                                            ControlToValidate="TextBoxEyeExamComments"
                                            ValidationExpression="^[\s\S]{0,4000}$"
                                        >
                                        </asp:RegularExpressionValidator>
                                    </asp:Panel><br />
                                </td>
                            </tr>        
                            </table>
                        </asp:Panel><br /> 
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </td>
</tr>
</table>

<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />

<asp:ObjectDataSource ID="ObjectDataSourceImagingMetholodolgyCodes" runat="server" 
        SelectMethod="GetImagingMethodologyCodes" 
        TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
    </asp:ObjectDataSource>
  

<asp:ObjectDataSource ID="ObjectDataSourceProstheticDevices" runat="server" 
        SelectMethod="GetProstheticDevices" 
        TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
    </asp:ObjectDataSource>
    
<asp:ObjectDataSource ID="ObjectDataSourceVFQQuestionnaireType" runat="server" 
    SelectMethod="GetVFQ_QuestionnaireType" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>



    
    
