﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MHSATabUserControl.ascx.cs" Inherits="clinicalDataUserControls_MHSATabUserControl" %>

<table class="contentLayoutTable" cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td>
            <asp:Panel ID="PanelDocumentedPastConditionsMHSA" runat="server" 
                            GroupingText="Documented Past Conditions - MHSA &nbsp;&nbsp;" 
                            Width="100%">
                            <br />
                            <table width="100%">
                                <thead>
                                    <tr>
                                        <th>
                                            Condition
                                        </th>
                                    </tr>
                                </thead>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxPTSD" runat="server" Text="PTSD" TextAlign="Right" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxDepression" runat="server" Text="Depression" TextAlign="Right" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        
                                        <asp:Panel ID="PanelSubstanceAbuse" runat="server" GroupingText="Substance Abuse&nbsp;&nbsp;" Width="30%">
                                            <asp:CheckBoxList ID="CheckBoxListSubstanceAbuse" runat="server">
                                                <asp:ListItem Value="1">Drug Abuse</asp:ListItem>
                                                <asp:ListItem Value="2">Alcohol Abuse</asp:ListItem>
                                                <asp:ListItem Value="3">Tobacco Abuse</asp:ListItem>
                                            </asp:CheckBoxList>
                                        </asp:Panel>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxOtherPsychiatricDisorders" runat="server" Text="Other Psychiatric Disorders" TextAlign="Right" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dd><asp:TextBox ID="TextBoxOtherPyschiatricDisordersComments" runat="server" 
                                            Width="95%" ToolTip="Comments for Other Pyschiatric Disorders" Height="80px" 
                                            TextMode="MultiLine"></asp:TextBox>
                                        </dd>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:CheckBox ID="CheckBoxOtherSocialDisorders" runat="server" Text="Other Social Disorders" TextAlign="Right" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dd>
                                            <asp:TextBox ID="TextBoxOtherSocialDisordersComments" runat="server" 
                                                Width="95%" ToolTip="Comments for Other Social Disorders" Height="80px" 
                                                TextMode="MultiLine"></asp:TextBox>
                                        </dd>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="LabelforMHSAComments" AssociatedControlID="TextBoxMHSAComments" runat="server" Text="Comments" >
                                        </asp:Label>
                                        <asp:TextBox ID="TextBoxMHSAComments" runat="server" Width="99%" Height="80px" TextMode="MultiLine">
                                        </asp:TextBox>
                                    </td>
                                </tr>
                            </table>
                       </asp:Panel> 
       </td>
    </tr>
</table>

<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />

