﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;
using VeteransAffairs.Registries.BusinessManager;

public partial class clinicalDataUserControls_ProblemListTabUserControl : System.Web.UI.UserControl
{
    #region public events
    #endregion

    #region Postback Events
    protected void Page_Load(object sender, EventArgs e)
    {
        Page.ClientScript.RegisterStartupScript(this.GetType(), "UpdateGridView", "UpdateGridView('" + GridViewActiveProblems.ClientID + "');", true);
        Page.ClientScript.RegisterStartupScript(this.GetType(), "UpdateGridView", "UpdateGridView('" + GridViewInactiveProblems.ClientID + "');", true);
    }
    #endregion

    #region Object/Form Mapping
    public int LoadControlsFromObject(PATIENT patient)
    {
        GridViewActiveProblems.DataSource = patient.ER_PROBLEM_LISTs.Where(e => e.ACTIVE_INACTIVE_IND == '1').ToList();
        GridViewActiveProblems.DataBind();

        GridViewInactiveProblems.DataSource = patient.ER_PROBLEM_LISTs.Where(e => e.ACTIVE_INACTIVE_IND == '0').ToList();
        GridViewInactiveProblems.DataBind();

        return 0;
    }
    private void LoadObjectFromControls(ref DVEIR_REFERRAL referral)
    {
    }
    #endregion

}
