﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProceduresTabUserControl.ascx.cs" Inherits="clinicalDataUserControls_ProceduresTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>
<%@ Register src="EncounterInformationHeaderUserControl.ascx" tagname="EncounterHeaderUserControl" tagprefix="userControlEncounterHeader" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>

<style type="text/css">
    .style1
    {
        width: 100%;
    }
    .SideBySideEyeExamPanel
    {
        width: 100%;
    }
    .EyeExamTableColumnIndent
    {
        width: 4%;
    }
    .eyeExamWidthBetweenODPanelOSPanel
    {
        width: 8px;
    }
    
</style>

<table width="100%">
<tr>
    <td>
        <asp:Panel ID="PanelProcedureDetails" runat="server" Width="100%">
            <asp:ValidationSummary runat="server" 
                HeaderText="The page has the following data errors: " 
                ID="ExamTabValidationSummary" 
                EnableClientScript="true" 
                DisplayMode="BulletList" 
                ShowSummary="false" 
                ShowMessageBox="True" />
            <table class="contentLayoutTable">
                <tr>
                    <td>
                         <userControlEncounterHeader:EncounterHeaderUserControl ID="EncounterHeaderUserControl" runat="server"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Panel ID="PanelDiagnosis" runat="server" 
                            GroupingText="Procedures &nbsp;&nbsp;" 
                            Width="100%">
                            <br />
                            <table width="100%" >
                                <tr>
                                    <td>
                                        <asp:GridView ID = "GridViewDiagnosticProcedures" 
                                                ShowFooter = "False" 
                                                AutoGenerateColumns = "False" 
                                                runat ="server" 
                                                DataKeyNames = "ER_DIAG_DTL_ID" 
                                                AllowPaging="false"
                                                Width="100%">
                                                <EmptyDataTemplate>
                                                    No diagnostic procedures (ICD) for this encounter
                                                    <table width="100%" style="display:none">
                                                        <tr>
                                                            <td>
                                                                <asp:Label ID="LabelforDropDownListDiagnosticProcedureCodesEmpty" 
                                                                    AssociatedControlID="DropDownListDiagnosticProcedureCodesEmpty"
                                                                    runat="server" Text="Diagnostic Procedure Codes (ICD-9)">
                                                                </asp:Label>  
                                                            </td>
                                                            <td>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <asp:Label ID="LabelforTextBoxDiagnosticProcedureCodeEmpty" AssociatedControlID="TextBoxDiagnosticProcedureCodeEmpty" runat="server">Enter Code</asp:Label>
                                                                <b>or</b>
                                                                <asp:Label ID="LabelforDropDownListDiagnosticProcedureCodesEmpty1" AssociatedControlID="DropDownListDiagnosticProcedureCodesEmpty" runat="server">Select from List</asp:Label>
                                                                <br />
                                                                <asp:TextBox ID="TextBoxDiagnosticProcedureCodeEmpty" runat="server" Width="50px" MaxLength="6"></asp:TextBox>
                                                                <br />
                                                                <asp:DropDownList ID="DropDownListDiagnosticProcedureCodesEmpty" runat="server" 
                                                                    ToolTip="Select Diagnosis Code"
                                                                    AppendDataBoundItems="true" DataSourceID=""
                                                                    DataTextField="CodePlusName" DataValueField="ID"
                                                                    Width="800px">
                                                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                                </asp:DropDownList>
                                                            </td>
                                                            <td>
                                                                <asp:Button Text="Add" Width="50px" CommandName="EMPTYADD" CausesValidation="true" runat="server" ID="ButtonEmptyAddCommand" ToolTip="Select to add Diagnostic Procedure Code (ICD)" />
                                                            </td>
                                                        </tr>    
                                                    </table>
                                                      
                                                </EmptyDataTemplate>
                                                
                                                <Columns>
                                                
                                                    <asp:TemplateField HeaderText = "ICD Code Set"
                                                       ItemStyle-Width="30" >
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelDiagnosisCodeSet" runat = "server" Text = '<%# Eval("ICD_CODESET")%>'/>
                                                        </ItemTemplate>
                                                        
                                                     </asp:TemplateField>
                                                    <asp:TemplateField HeaderText = "Diagnostic Procedure Code (ICD)" ItemStyle-Width="50" >
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelDiagnosisCode" runat = "server" Text = '<%# Eval("CODE")%>'/>
                                                        </ItemTemplate>
                                                        
                                                        <FooterTemplate>
                                                            <asp:Label ID="LabelforTextBoxDiagnosticProcedureCode" AssociatedControlID="TextBoxDiagnosticProcedureCode" runat="server">Enter Code</asp:Label>
                                                            <b>or</b>
                                                            <asp:Label ID="LabelforDropDownListDiagnosticProcedureCodes" AssociatedControlID="DropDownListDiagnosticProcedureCodes" runat="server">Select from List</asp:Label>
                                                            <br />
                                                            <asp:TextBox ID="TextBoxDiagnosticProcedureCode" runat="server" Width="50px" MaxLength="6"></asp:TextBox>
                                                            <br />
                                                            <asp:DropDownList ID="DropDownListDiagnosticProcedureCodes" runat="server" 
                                                                ToolTip="Select Diagnostic Procedure Code"
                                                                AppendDataBoundItems="true" DataSourceID=""
                                                                DataTextField="CodePlusName" DataValueField="ID"
                                                                Width="800px">
                                                                <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </FooterTemplate> 
                                                            
                                                     </asp:TemplateField>
                                                    <asp:TemplateField HeaderText = "ICD Description">
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelDiagnosisCodeText" runat = "server" Text = '<%# Eval("DESCRIPTION_TEXT")%>'/>
                                                        </ItemTemplate>
                                                        
                                                     </asp:TemplateField>
                                                     
                                                     <asp:TemplateField FooterStyle-HorizontalAlign="Left" Visible="false">
                                                        <ItemTemplate>
                                                           <asp:Button Text="Delete" Width="50px" CommandName="Delete" CausesValidation="false" runat="server" ID="ButtonDelete" ToolTip="Select to delete Diagnostic Procedure Code (ICD)" />
                                                        </ItemTemplate>
                                                        <FooterTemplate>
                                                           <asp:Button Text="Add" Width="50px" CommandName="ADD" CausesValidation="true" runat="server" ID="ButtonAddCommand" ToolTip="Select to add Diagnostic Procedure Code (ICD)" />&nbsp;
                                                        </FooterTemplate>
                                                     </asp:TemplateField>
                                                     
                                                </Columns>
                                                
                                            </asp:GridView>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:GridView ID = "GridViewProcedures" 
                                                ShowFooter = "False" 
                                                AutoGenerateColumns = "False" 
                                                runat ="server" 
                                                DataKeyNames = "ER_PROCEDURE_DTL_ID" 
                                                AllowPaging="false"
                                                Width="100%">
                                                
                                                <EmptyDataTemplate>
                                                    No procedures (CPT-4) for this encounter.
                                                    <table width="100%" style="display:none">
                                                        <tr>
                                                            <td>
                                                                <asp:Label ID="LabelforDropDownListProcedureCodesEmpty" 
                                                                    AssociatedControlID="DropDownListProcedureCodesEmpty"
                                                                    runat="server" Text="Procedure Codes (CPT-4)">
                                                                </asp:Label>  
                                                            </td>
                                                            <td>
                                                                <asp:Label ID="LabelforTextBoxProcedureDateEmpty" 
                                                                    AssociatedControlID="TextBoxProcedureDateEmpty"
                                                                    runat="server" Text="Procedure Date (optional)">
                                                                </asp:Label>  
                                                            </td>
                                                            <td>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <asp:Label ID="LabelforProcedureCodesEmpty" AssociatedControlID="TextBoxProcedureCodesEmpty" runat="server">Enter Code</asp:Label>
                                                                <b>or</b>
                                                                <asp:Label ID="LabelforDropDownListProcedureCodesEmpty1" AssociatedControlID="DropDownListProcedureCodesEmpty" runat="server">Select from List</asp:Label>
                                                                <br />
                                                                <asp:TextBox ID="TextBoxProcedureCodesEmpty" runat="server" Width="50px" MaxLength="6"></asp:TextBox>
                                                                <br />
                                                                <asp:DropDownList ID="DropDownListProcedureCodesEmpty" runat="server" 
                                                                    Enabled="false"
                                                                    ToolTip="Select Diagnostic Procedure Code"
                                                                    AppendDataBoundItems="true" DataSourceID=""
                                                                    DataTextField="CodePlusName" DataValueField="ID"
                                                                    Width="800px">
                                                                    <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                                </asp:DropDownList>
                                                            </td>
                                                            <td>
                                                                <asp:TextBox ID="TextBoxProcedureDateEmpty" runat="server" ToolTip="Enter date in format: mm/dd/yyyy"/>
                                                                <rjs:PopCalendar ID="PopCalendarProcedureDateEmpty" runat="server" 
                                                                    Visible="false" 
                                                                    Control="TextBoxProcedureDateEmpty" Format="mm dd yyyy" Separator="/" Shadow="True" 
                                                                    To-Today="true" ToolTip="Click to Select" />
                                                                &nbsp;(mm/dd/yyyy)
                                                            </td>
                                                            <td>
                                                                <asp:Button Text="Add" Width="50px" CommandName="EMPTYADD" CausesValidation="true" runat="server" ID="ButtonEmptyAddCommand" ToolTip="Select to add Procedure Code (CPT-4)" />
                                                            </td>
                                                        </tr>    
                                                    </table>
                                                     
                                                </EmptyDataTemplate>
                                                
                                                <Columns>
                                                
                                                    <asp:TemplateField HeaderText = "Procedure Code (CPT-4)">
                                                        <ItemTemplate>
                                                            <asp:Label ID = "LabelDiagnosisCode" runat = "server" Text = '<%# Eval("CODE")%>'/>
                                                            <asp:Label ID = "LabelDiagnosisCodeText" runat = "server" Text = '<%# Eval("DESCRIPTION_TEXT")%>'/>
                                                        </ItemTemplate>
                                                        
                                                        <FooterTemplate>
                                                                <asp:Label ID="LabelforProcedureCodes" AssociatedControlID="TextBoxProcedureCodes" runat="server">Enter Code</asp:Label>
                                                                <b>or</b>
                                                                <asp:Label ID="LabelforDropDownListProcedureCodes" AssociatedControlID="DropDownListProcedureCodes" runat="server">Select from List</asp:Label>
                                                                <br />
                                                                <asp:TextBox ID="TextBoxProcedureCodes" runat="server" Width="50px" MaxLength="6"></asp:TextBox>
                                                                <br />
                                                                <asp:DropDownList ID="DropDownListProcedureCodes" runat="server" 
                                                                Enabled="false"
                                                                ToolTip="Select Diagnostic Procedure Code"
                                                                AppendDataBoundItems="true" DataSourceID=""
                                                                DataTextField="CodePlusName" DataValueField="ID"
                                                                Width="800px">
                                                                <asp:ListItem Value="">-- Select a Value --</asp:ListItem>
                                                            </asp:DropDownList>
                                                        </FooterTemplate> 
                                                            
                                                     </asp:TemplateField>
                                                     <asp:TemplateField FooterStyle-HorizontalAlign="Left" Visible="false">
                                                        <ItemTemplate>
                                                           <asp:Button Text="Delete" Width="50px" CommandName="Delete" CausesValidation="false" runat="server" ID="ButtonDelete" ToolTip="Select to delete Procedure Code (CPT-4)" />
                                                        </ItemTemplate>
                                                        <FooterTemplate>
                                                           <asp:Button Text="Add" Width="50px" CommandName="ADD" CausesValidation="true" runat="server" ID="ButtonAddCommand" ToolTip="Select to add Procedure Code (CPT-4)" />&nbsp;
                                                        </FooterTemplate>
                                                     </asp:TemplateField>
                                                </Columns>
                                            </asp:GridView>
                                        <br />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Panel ID="PanelProceduresComments" runat="server" GroupingText="Comments &nbsp;&nbsp;" Width="100%">
                                            <br />
                                            <userControlReviewComments:ReviewCommentsEntryUserControl 
                                                runat="server"
                                                ID="ReviewCommentUserControlProceduresComments" 
                                                AnchorId="1"
                                                LocationPage="Procedures"
                                                LocationFriendlyName="Comments"
                                                />
                                            <asp:TextBox ID="TextBoxProceduresComments"
                                             ToolTip="Enter Notes and Comments for Procedures" runat="server" 
                                             Width="100%" Height="80px" TextMode="MultiLine">
                                            </asp:TextBox>
                                            <asp:RegularExpressionValidator ID="RegularExpressionValidatorProceduresComments" runat="server" 
                                                ErrorMessage="Procedures Comments needs to be less than 4000 characters."
                                                ControlToValidate="TextBoxProceduresComments"
                                                ValidationExpression="^[\s\S]{0,4000}$"
                                                    >
                                                </asp:RegularExpressionValidator>
                                        </asp:Panel><br />
                                    </td>
                                </tr>   
                            </table>
                        </asp:Panel>
                        <br />
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </td>
</tr>
</table>

<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />

<asp:ObjectDataSource ID="ObjectDataSourceImagingMetholodolgyCodes" runat="server" 
        SelectMethod="GetImagingMethodologyCodes" 
        TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
    </asp:ObjectDataSource>

<asp:ObjectDataSource ID="ObjectDataSourceICD9_EyeDiagnosticProcedureCodes" runat="server" 
        SelectMethod="GetICD9Codes_EyeDiagnosticProcedureCodes" 
        TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
    </asp:ObjectDataSource> 
       
    
<asp:ObjectDataSource ID="ObjectDataSourceDiagnosticProcedureCodes" runat="server" 
        SelectMethod="GetProcedureCodes" 
        TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
    </asp:ObjectDataSource> 
    
    
<asp:ObjectDataSource ID="ObjectDataSourceVAMC" runat="server" 
    SelectMethod="GetVAMCList" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>
    
    
