﻿using System.Collections.Generic;
using DataAccess;
using ViewModels.Exam;

namespace Managers.Exam
{
    public interface IEventViewManager
    {
        BaseEventModel GetDefaultViewModel(bool isReadOnly);
        BaseEventModel GetLoadedViewModel(int referralId, int encounterId, string lateralityCode, long groupingId, bool isReadOnly);
        BaseEventModel Save(BaseEventModel eventModel, int referralId, int encounterId);
        void Delete(int referralId, int encounterId, string lateralityCode, string categoryCode, long groupingId);
        IEnumerable<string> GetEventDescriptions(IEnumerable<RESPONSE> responses);
    }
}