﻿using System;

namespace ViewModels.Encounter
{
    /// <summary>
    /// Summary description for ChiefComplaintViewModel
    /// </summary>
    [Serializable]
    public class ChiefComplaintViewModel
    {
        public int ReferralId { get; set; }

        public int EncounterId { get; set; }

        public string PatientName { get; set; }

        public bool IsReadOnly { get; set; }

        public string ChiefComplaintText { get; set; }

        public bool HasReadingProblem { get; set; }

        public bool HasDiplopia { get; set; }

        public bool HasDazzlingGlare { get; set; }

        public bool HasPhotophobia { get; set; }

        public bool HasEyeStrain { get; set; }

        public bool HasBlurredVision { get; set; }

        public bool HasOtherCondition { get; set; }

        public string Comments { get; set; }

        public bool AllowReviewerComments { get; set; }

        public ReviewerCommentViewModel ChiefComplaintTextReviewer { get; set; }
        
        public ReviewerCommentViewModel CommentReviewer { get; set; }
    }
}