﻿using System;

namespace ViewModels.Encounter
{
    /// <summary>
    /// Summary description for Provider View Model
    /// </summary>
    [Serializable]
    public class HistoryViewModel
    {
        public int ReferralId { get; set; }

        public int EncounterId { get; set; }

        public string PatientName { get; set; }
        
        public bool IsReadOnly { get; set; }

        public MultiSelectQuestion History { get; set; }

        public MultiSelectQuestion Injury { get; set; }

        public bool AllowReviewerComments { get; set; }

        public ReviewerCommentViewModel HistoryReviewerComment { get; set; }

        public static class QuestionCodes
        {
            public static string History = "HIS_HIS";

            public static string Injury = "HIS_INJ";
        }
    }
}
