﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Angle Recession Event
    /// </summary>
    [Serializable]
    public class BrowEventModel : BaseEventModel
    {
        public MultiSelectQuestion VisitData { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "BR_TP";

            public static string TestResult = "BR_TR";

            public static string EventComment = "BR_C";

            public static string VisitData = "BR_VD";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "BR_TP_Y";

                public static string NotDocumented = "BR_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "BR_TR_N";

                public static string Abnormal = "BR_TR_A";
            }
        }
    }
}