﻿using System;

namespace ViewModels
{
    /// <summary>
    /// Summary description for ChiefComplaintViewModel
    /// </summary>
    [Serializable]
    public class ReviewerCommentViewModel
    {
        public int ReferralId { get; set; }

        public int EncounterId { get; set; }

        public string PatientName { get; set; }

        public int ReviewId { get; set; }

        public string QuestionCode { get; set; }

        public string LateralityCode { get; set; }

        public int AnchorId { get; set; }

        public long? GroupingId { get; set; }

        public string FriendlyLocationName { get; set; }

        public string UserName { get; set; }

        public string CommentText { get; set; }

        public bool IsApproved { get; set; }

        public bool IsResolved { get; set; }

        public bool ShowControl { get; set; }

        public bool ShowCommentText { get; set; }

        public bool ShowOpenButton { get; set; }

        public bool SetFocus { get; set; }

        public bool CanEditComment { get; set; }

        public bool CanResolve { get; set; }

        public bool CanApprove { get; set; }
    }
}