﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabDepthPerceptionUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabDepthPerceptionUserControl" %>
<%@ Register Src="~/Controls/ExamTab/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>
<%@ Register Src="~/Controls/ExamTab/ExamSingleSelectUserControl.ascx" TagName="ucSingleSelect" TagPrefix="ucExamTab" %>

<div id="depthPerceptionEvent">
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary">
        <Contents>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblRandotFly" AssociatedControlID="tbRandotFly"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <asp:TextBox runat="server" ID="tbRandotFly" EnableViewState="True" ToolTip="Input The randot fly"></asp:TextBox>
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblVerhoeffSteropter" AssociatedControlID="tbVerhoeffSteropter"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <asp:TextBox runat="server" ID="tbVerhoeffSteropter" EnableViewState="True"></asp:TextBox>
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="clearFloat"></div>
            <asp:Panel runat="server" ID="pnlAngleOfStereopsis" GroupingText="Angle of Stereopsis" CssClass="angleOfStereopsis">
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <%--<asp:Label runat="server" ID="lblRandotStereoTest" AssociatedControlID="ucRandotStereoTest" />:--%>
                        <label for="<%= ucRandotStereoTest.LabelAssociation %>"><%= EventViewModel.RandotStereoTest.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucRandotStereoTest" CssClass="secondsOfArc" />
                    </div>
                    <div class="examTabFloatLeft">seconds of arc</div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <%--<asp:Label runat="server" ID="lblTitmusStereoTest" AssociatedControlID="ucTitmusStereoTest" />:--%>
                        <label for="<%= ucTitmusStereoTest.LabelAssociation %>"><%= EventViewModel.TitmusStereoTest.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucTitmusStereoTest"  CssClass="secondsOfArc" />
                    </div>
                    <div class="examTabFloatLeft">seconds of arc</div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <%--<asp:Label runat="server" ID="lblVectographicProjectorSlides" AssociatedControlID="ucVectographicProjectorSlides"/>:--%>
                        <label for="<%= ucVectographicProjectorSlides.LabelAssociation %>">
                            <%= EventViewModel.VectographicProjectorSlides.DisplayText %>:
                        </label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucVectographicProjectorSlides" CssClass="secondsOfArc" />
                    </div>
                    <div class="examTabFloatLeft">seconds of arc</div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <%--<asp:Label runat="server" ID="lblVisionTesterDepth" AssociatedControlID="ucVisionTesterDepth"/>:--%>
                        <label for="<%= ucVisionTesterDepth.LabelAssociation %>"><%= EventViewModel.VisionTesterDepth.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucVisionTesterDepth" CssClass="secondsOfArc" />
                    </div>
                    <div class="examTabFloatLeft">seconds of arcs</div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <%--<asp:Label runat="server" ID="lblBorishVectographic" AssociatedControlID="ucBorishVectographic"/>:--%>
                        <label for="<%= ucBorishVectographic.LabelAssociation %>"><%= EventViewModel.BorishVectographicNearpoint.DisplayText %>:</label>
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucBorishVectographic" CssClass="secondsOfArc" />
                    </div>
                    <div class="examTabFloatLeft">seconds of arc</div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
