﻿<%@ Page Title="" Language="C#" MasterPageFile="~/RegistryNoLeftMenu.master" AutoEventWireup="true" CodeFile="ReferralEncounters.aspx.cs" Inherits="ReferralEncounters" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function RequestStart(sender, args) {
                var eventTarget = args.get_eventTarget();

                if (eventTarget.indexOf("lbtnEncounterDetails") !== -1) {
                    args.set_enableAjax(false);
                }
            };

            function ResponseEnd(sender, args) {
                StartScript();
                MEVIR.Common.Timeout.InitiateTimeout();
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="LeftContent" ContentPlaceHolderID="LeftZoneContent" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js"></asp:ScriptReference>
        </Scripts>
    </telerik:RadScriptManager>

    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" ClientEvents-OnRequestStart="RequestStart"
        ClientEvents-OnResponseEnd="ResponseEnd" DefaultLoadingPanelID="ajaxLoadingPnlExam">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rcbEncounterStatus">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgReferralEncounters" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgReferralEncounters">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgReferralEncounters" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgActiveProblems">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgActiveProblems" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgInactiveProblems">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgInactiveProblems" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnAddEncounter">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlEncounterAjax" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rbSaveEncounterRecord">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlEncounterAjax" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rbCancelEncounterRecord">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlEncounterAjax" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnlExam" runat="server" />

    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>

    <a href="content" tabindex="0"></a>

    <div class="leftZone">
        <asp:Label ID="lblFiltersArea" runat="server" Text="Filters / Actions" TabIndex="0" ToolTip="This section contains filters and actions available for the current page" />
        <br />
        <br />
        <div style="padding-left: 10px;">
            <%--<asp:Label ID="lblEncounterStatusType" runat="server" Text="Encounter Status:  " AssociatedControlID="rcbEncounterStatus" />--%>
            <label for="<%=rcbEncounterStatus.ClientID%>_Input">Encounter Status:</label>
            <br />
            <telerik:RadComboBox ID="rcbEncounterStatus" runat="server" Width="230px" AutoPostBack="true" ToolTip="Limit returned Encounters to those with the selected status."
                OnSelectedIndexChanged="rcbEncounterStatus_SelectedIndexChanged" TabIndex="0">
                <Items>
                    <telerik:RadComboBoxItem Text="All" Value="all" Selected="true" />
                    <telerik:RadComboBoxItem Text="New" Value="new" />
                    <telerik:RadComboBoxItem Text="In Process" Value="inproc" />
                    <telerik:RadComboBoxItem Text="Ready for Review" Value="review" />
                    <telerik:RadComboBoxItem Text="Returned" Value="returned" />
                    <telerik:RadComboBoxItem Text="Ready to Send" Value="send" />
                    <telerik:RadComboBoxItem Text="Completed" Value="completed" />
                </Items>
            </telerik:RadComboBox>
            <br />
            <br />
            <telerik:RadButton ID="btnAddEncounter" runat="server" Text="Add Encounter" ToolTip="Manually enter an encounter record that is not present in the system" OnClick="btnAddEncounter_Click" TabIndex="0" />
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContentPlaceHolder" runat="Server">
    <asp:Panel runat="server" ID="pnlEncounterAjax">
        <br />
        <asp:Panel ID="pnlReferralEncounters" runat="server" Visible="true">
            <telerik:RadTabStrip ID="rtsTabStrip" runat="server" MultiPageID="rmpTabContent" CausesValidation="false">
                <Tabs>
                    <telerik:RadTab TabIndex="0" Text="Encounters" Selected="true"></telerik:RadTab>
                    <telerik:RadTab TabIndex="1" Text="Problem List"></telerik:RadTab>
                </Tabs>
            </telerik:RadTabStrip>
            <telerik:RadMultiPage runat="server" ID="rmpTabContent" SelectedIndex="0">
                <telerik:RadPageView ID="rpvEncountersContent" runat="server">
                    <div style="padding: 2px;">
                        <br />
                        <asp:Label runat="server" ID="lblAccessibility" AssociatedControlID="rgReferralEncounters" TabIndex="0" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />
                        <telerik:RadGrid ID="rgReferralEncounters" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top"
                            OnItemCommand="rgReferralEncounters_ItemCommand" OnNeedDataSource="rgReferralEncounters_NeedDataSource" OnItemDataBound="rgReferralEncounters_OnItemDataBound"
                            AllowMultiRowSelection="false" PageSize="20" TabIndex="0">
                            <MasterTableView Caption="Encounters for Referral" AutoGenerateColumns="false" EditMode="InPlace" DataKeyNames="Id, AssignedToUserId" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                                <NoRecordsTemplate>
                                    <table>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                Either no results were found with the selected parameters or the initial search has not been performed yet.
                                                </asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </NoRecordsTemplate>
                                <Columns>
                                    <telerik:GridTemplateColumn HeaderText="">
                                        <ItemTemplate>
                                            <asp:LinkButton runat="server" ID="lbtnEncounterDetails" CommandName="Details" Text="Select"
                                                ToolTip="Select encounter" OnClientClick="ShowProgress()" />
                                        </ItemTemplate>
                                    </telerik:GridTemplateColumn>
                                    <telerik:GridBoundColumn DataField="Id" DataType="System.Int32" HeaderTooltip="Click to sort by Encounter ID" HeaderText="Encounter ID" ReadOnly="True" SortExpression="Id" UniqueName="Id_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="EncounterDate" DataType="System.DateTime" HeaderTooltip="Click to sort by Encounter Date" HeaderText="Encounter Date" ReadOnly="True" SortExpression="EncounterDate" UniqueName="EncounterDate_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="StopCode" DataType="System.String" HeaderTooltip="Click to sort by Stop Code" HeaderText="Stop Code" ReadOnly="True" SortExpression="StopCode" UniqueName="StopCode_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="StopDescription" DataType="System.String" HeaderTooltip="Click to sort by Stop Code Description" HeaderText="Stop Code Description" ReadOnly="True" SortExpression="StopDescription" UniqueName="StopDescription_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="LastUpdatedDate" DataType="System.DateTime" DataFormatString="{0:d}"
                                        HeaderTooltip="Click to sort by Last Updated Date" HeaderText="Last Updated Date" ReadOnly="True"
                                        SortExpression="LastUpdatedDate" UniqueName="LastUpdatedDate_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="UpdatedBy" DataType="System.String" HeaderTooltip="Click to sort by Updated By"
                                        HeaderText="Updated By" ReadOnly="True" SortExpression="UpdatedBy" UniqueName="UpdatedBy_Report">
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="Status" DataType="System.String" HeaderTooltip="Click to sort by Encounter Status"
                                        HeaderText="Encounter Status" ReadOnly="True" SortExpression="Status" UniqueName="Status_Report">
                                    </telerik:GridBoundColumn>
                                    <%--<telerik:GridTemplateColumn DataField="AssignedToUserName" DataType="System.String" FilterControlAltText="Filter Assigned To column" HeaderText="Assigned To" ReadOnly="True" SortExpression="AssignedToUserName" UniqueName="AssignedToUserName_Report">
                                </telerik:GridTemplateColumn>--%>
                                    <telerik:GridTemplateColumn HeaderTooltip="Click to sort by Assignment" HeaderText="Assigned To" SortExpression="AssignedToUserName" UniqueName="AssignedToUserName_Report">
                                        <ItemTemplate>
                                            <asp:Label runat="server" ID="lblAssignedToName" Text='<%# Eval("AssignedToUserName") %>'></asp:Label>
                                            <asp:LinkButton runat="server" ID="lbtnChangeAssignmentName" CommandName="EditAssignment"
                                                ToolTip="Change who the encounter is assigned to!" Visible="False" />
                                        </ItemTemplate>
                                        <EditItemTemplate>
                                            <telerik:RadComboBox runat="server" ID="rcbAssignEncounter" EmptyMessage="Select User" AllowCustomText="true"
                                                Filter="Contains" EnableViewState="True" CssClass="ddlMultiSelect"
                                                IsCaseSensitive="False" MarkFirstMatch="True"
                                                OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                                                OnClientTextChange="MEVIR.Common.RadComboBoxValidateText" />
                                            <br />
                                            <asp:Button runat="server" ID="btnUpdateAssignment" Text="Assign User" CommandName="UpdateAssignment" ToolTip="Update Assigment" />
                                            <asp:Button runat="server" ID="btnCancellAssignment" Text="Cancel" CommandName="CancelAssignment" ToolTip="Cancel Updating the Assignment" />
                                        </EditItemTemplate>
                                    </telerik:GridTemplateColumn>
                                </Columns>
                            </MasterTableView>
                            <ClientSettings AllowKeyboardNavigation="true">
                                <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                                <Selecting AllowRowSelect="true" />
                            </ClientSettings>
                        </telerik:RadGrid>
                    </div>
                </telerik:RadPageView>
                <telerik:RadPageView ID="rpvProblemListContent" runat="server">
                    <div style="padding: 2px;">
                        <br />
                        <asp:Panel runat="server" ID="pnlActiveProblems" GroupingText="Active Problems">
                            <telerik:RadGrid ID="rgActiveProblems" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top"
                                OnNeedDataSource="rgActiveProblems_OnNeedDataSource" AllowMultiRowSelection="false" PageSize="10" TabIndex="0">
                                <MasterTableView Caption="Active Problems" AutoGenerateColumns="false" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                                    <NoRecordsTemplate>
                                        <table>
                                            <tr>
                                                <td>
                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                Either no results were found with the selected parameters or the initial search has not been performed yet.
                                                    </asp:Label>
                                                </td>
                                            </tr>
                                        </table>
                                    </NoRecordsTemplate>
                                    <Columns>
                                        <telerik:GridBoundColumn DataField="Description" DataType="System.String" FilterControlAltText="Filter Problem Description column" HeaderText="Description" ReadOnly="True" SortExpression="Description" UniqueName="Description_Report">
                                        </telerik:GridBoundColumn>
                                        <telerik:GridBoundColumn DataField="OnsetDate" DataType="System.DateTime" DataFormatString="{0:d}" FilterControlAltText="Filter Onset Date column" HeaderText="Onset Date" ReadOnly="True" SortExpression="OnsetDate" UniqueName="OnsetDate_Report">
                                        </telerik:GridBoundColumn>
                                        <telerik:GridBoundColumn DataField="LastUpdatedDate" DataType="System.DateTime" DataFormatString="{0:d}" FilterControlAltText="Filter Last Updated column" HeaderText="Last Updated" ReadOnly="True" SortExpression="LastUpdatedDate" UniqueName="LastUpdatedDate_Report">
                                        </telerik:GridBoundColumn>
                                        <telerik:GridBoundColumn DataField="FacilityName" DataType="System.String" FilterControlAltText="Filter Facility column" HeaderText="Facility" ReadOnly="True" SortExpression="FacilityName" UniqueName="FacilityName_Report">
                                        </telerik:GridBoundColumn>
                                    </Columns>
                                </MasterTableView>
                                <ClientSettings AllowKeyboardNavigation="true">
                                    <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                                    <Selecting AllowRowSelect="true" />
                                </ClientSettings>
                            </telerik:RadGrid>
                        </asp:Panel>
                        <br />
                        <asp:Panel runat="server" ID="pnlInactiveProblems" GroupingText="Inactive Problems">
                            <telerik:RadGrid ID="rgInactiveProblems" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top"
                                OnNeedDataSource="rgInactiveProblems_OnNeedDataSource" AllowMultiRowSelection="false" PageSize="10" TabIndex="0">
                                <MasterTableView Caption="Inactive Problems" AutoGenerateColumns="false" ShowHeadersWhenNoRecords="true" PagerStyle-AlwaysVisible="true" TabIndex="0">
                                    <NoRecordsTemplate>
                                        <table>
                                            <tr>
                                                <td>
                                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;" TabIndex="0">
                                Either no results were found with the selected parameters or the initial search has not been performed yet.
                                                    </asp:Label>
                                                </td>
                                            </tr>
                                        </table>
                                    </NoRecordsTemplate>
                                    <Columns>
                                        <telerik:GridBoundColumn DataField="Description" DataType="System.String" FilterControlAltText="Filter Problem Description column" HeaderText="Description" ReadOnly="True" SortExpression="Description" UniqueName="Description_Report">
                                        </telerik:GridBoundColumn>
                                        <telerik:GridBoundColumn DataField="OnsetDate" DataType="System.DateTime" DataFormatString="{0:d}" FilterControlAltText="Filter Onset Date column" HeaderText="Onset Date" ReadOnly="True" SortExpression="OnsetDate" UniqueName="OnsetDate_Report">
                                        </telerik:GridBoundColumn>
                                        <telerik:GridBoundColumn DataField="LastUpdatedDate" DataType="System.DateTime" DataFormatString="{0:d}" FilterControlAltText="Filter Last Updated column" HeaderText="Last Updated" ReadOnly="True" SortExpression="LastUpdatedDate" UniqueName="LastUpdatedDate_Report">
                                        </telerik:GridBoundColumn>
                                        <telerik:GridBoundColumn DataField="FacilityName" DataType="System.String" FilterControlAltText="Filter Facility column" HeaderText="Facility" ReadOnly="True" SortExpression="FacilityName" UniqueName="FacilityName_Report">
                                        </telerik:GridBoundColumn>
                                    </Columns>
                                </MasterTableView>
                                <ClientSettings AllowKeyboardNavigation="true">
                                    <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                                    <Selecting AllowRowSelect="true" />
                                </ClientSettings>
                            </telerik:RadGrid>
                        </asp:Panel>
                    </div>
                </telerik:RadPageView>
            </telerik:RadMultiPage>
        </asp:Panel>

        <asp:Panel ID="pnlAddEncounter" runat="server" Visible="false" GroupingText="Add Encounter " TabIndex="0">
            <div class="paddedTabContent">
                ** Enter the data below to create a new encounter record in the system for this patient<br />
                <br />

                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblForReferralId" AssociatedControlID="lblReferralId" runat="server" Text="Referral ID: "></asp:Label>
                        </td>
                        <td>
                            <asp:Label ID="lblReferralId" runat="server" Text="<%=referralId%>" TabIndex="0" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <%--<asp:Label ID="lblForInstitutionId" AssociatedControlID="rcbInstitution" runat="server" Text="Institution: " ToolTip="Required Field - Institution"></asp:Label>--%>
                            <label for="<%=rcbInstitution.ClientID %>_Input">Institution: </label>
                        </td>
                        <td>
                            <div style="display: inline;" class="requiredField" title="Required Field">*</div>
                            <telerik:RadComboBox ID="rcbInstitution" runat="server" AllowCustomText="true" DataSourceID="ObjectDataSourceVISNStationOnlyList"
                                EmptyMessage="Search for Facility...." Width="200" Filter="Contains" EnableViewState="True" DataTextField="FullVISNName"
                                DataValueField="ID" ToolTip="Required Field - Institution" TabIndex="0"
                                IsCaseSensitive="False" MarkFirstMatch="True"
                                OnClientBlur="MEVIR.Common.RadComboBoxValidateText"
                                OnClientTextChange="MEVIR.Common.RadComboBoxValidateText">
                                <DefaultItem Value="" Text=""></DefaultItem>
                            </telerik:RadComboBox>
                            <asp:RequiredFieldValidator ID="InstitutionRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rcbInstitution" TabIndex="0"
                                ErrorMessage="* Institution must be selected." CssClass="requiredField" ToolTip="Institution is a required field and must be selected" />

                            <asp:ObjectDataSource ID="ObjectDataSourceVISNStationOnlyList" runat="server" SelectMethod="GetVISNStationOnlyList"
                                TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists"></asp:ObjectDataSource>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <%--<asp:Label ID="lblForVisitDate" AssociatedControlID="rdtpVisitDate" runat="server" Text="Visit Date: " TabIndex="0"></asp:Label>--%>
                            <label for="<%= rdtpVisitDate.ClientID %>_dateInput">Visit Date: </label>
                        </td>
                        <td>
                            <div style="display: inline;" class="requiredField" title="Required Field">*</div>
                            <telerik:RadDateTimePicker ID="rdtpVisitDate" runat="server" Width="200" TabIndex="0" />
                            <asp:RequiredFieldValidator ID="VisitDateRequiredFieldValidator" runat="server" Display="Dynamic" ControlToValidate="rdtpVisitDate"
                                ErrorMessage="* Visit Date must be selected." CssClass="requiredField" TabIndex="0" ToolTip="Visit Date is a required field and must be selected." />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <%--<asp:Label ID="lblForEncounterType" AssociatedControlID="rcbEncounterType" runat="server" Text="Encounter Type: " TabIndex="0"></asp:Label>--%>
                            <label for="<%= rcbEncounterType.ClientID %>_Input">Encounter Type: </label>
                        </td>
                        <td>
                            <div style="display: inline;" class="requiredField" title="Required Field">*</div>
                            <telerik:RadComboBox ID="rcbEncounterType" runat="server" Width="200" TabIndex="0" EmptyMessage="Select an Encounter Type">
                                <Items>
                                    <telerik:RadComboBoxItem Text="Inpatient" Value="I" />
                                    <telerik:RadComboBoxItem Text="Outpatient" Value="O" />
                                </Items>
                            </telerik:RadComboBox>

                            <asp:RequiredFieldValidator ID="EncounterTypeRequiredFieldValidator" runat="server" CssClass="requiredField" Display="Dynamic" ControlToValidate="rcbEncounterType"
                                ErrorMessage="* Encounter Type must be selected." InitialValue="" TabIndex="0" ToolTip="Encounter Type is a required field and must be selected." />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <telerik:RadButton ID="rbSaveEncounterRecord" runat="server" Text="Save" ToolTip="Click to save manually created encounter to the database."
                                OnClick="rbSaveEncounterRecord_Click" TabIndex="0" />
                            <telerik:RadButton ID="rbCancelEncounterRecord" runat="server" Text="Cancel" ToolTip="Click to cancel the creation of the encounter record." CausesValidation="false"
                                OnClick="rbCancelEncounterRecord_Click" TabIndex="0" />
                        </td>
                    </tr>
                </table>
            </div>
        </asp:Panel>
    </asp:Panel>
</asp:Content>
