﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.BusinessManager;

public partial class Reporting_ReportingDashboard : BasePage
{
    #region Member Variables

    private UserAccountManager _user = (UserAccountManager)HttpContext.Current.User;

    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {
        this.Redirect("~/Reporting/PatientOverviewReport.aspx");
    }

    #region GUI Overrides

    public override string TopMenuName()
    {
        return "Reporting";
    }

    public override string MenuItemName()
    {
        return "DVEIR_REPORTING";
    }

    public override string AppObjectCode()
    {
        return "DVEIR_RETURNED";
    }

    #endregion
}