﻿/* Exam Tab Anterior Chamber Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.AnteriorChamber = {
    ShowHideComment: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('.tbVisitDataAdditionalDetails');
        var $tbVisitDataHeight = $containerDiv.find('.tbVisitDataHeight');
        var $tbVisitDataPercentage = $containerDiv.find('.tbVisitDataPercentage');
        var $reqValHeightCtrl = $containerDiv.find('[id *=reqValHeight]');
        var $reqValPercentageCtrl = $containerDiv.find('[id *=reqValPercentage]');
        var $regExValHeightCtrl = $containerDiv.find('[id *=regExValHeight]');
        var $regExValPercentageCtrl = $containerDiv.find('[id *=regExValPercentage]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showAdditionalDetail = false;
        var showHeight = false;
        var showPercentage = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            showAdditionalDetail = selectedAttributes.getAttribute("ShowAdditionalDetail") === "true";
            showHeight = selectedAttributes.getAttribute("ShowHeight") === "true";
            showPercentage = selectedAttributes.getAttribute("ShowPercentage") === "true";
        }

        ValidatorEnable($reqValHeightCtrl[0], showHeight);
        ValidatorEnable($regExValHeightCtrl[0], showHeight);
        ValidatorEnable($reqValPercentageCtrl[0], showPercentage);
        ValidatorEnable($regExValPercentageCtrl[0], showPercentage);

        MEVIR.Exam.Common.ShowHideItem($tbComment, showAdditionalDetail);
        MEVIR.Exam.Common.ShowHideItem($tbVisitDataHeight, showHeight);
        MEVIR.Exam.Common.ShowHideItem($tbVisitDataPercentage, showPercentage);

    },

    VisitDataOnLoad: function (sender) {
        MEVIR.Exam.AnteriorChamber.ShowHideComment(sender);
    },

    VisitDataSelectionChanged: function (sender) {
        MEVIR.Exam.AnteriorChamber.ShowHideComment(sender);
    }
};
