﻿/* Exam Tab Motility Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.Motility = {
    ShowHideMotilityAdditionalDetails: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbMotilityAdditionalDetails = $containerDiv.find('.tbMotilityAdditionalDetails');
        var $tbMotilityNumber = $containerDiv.find('.tbMotilityNumber');
        var $regExValMotility = $containerDiv.find('[id $=regExValMotility]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showAdditionalDetail = false;
        var showMotilityNumber = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            showAdditionalDetail = selectedAttributes.getAttribute("ShowAdditionalDetails") === "true";
            showMotilityNumber = selectedAttributes.getAttribute("ShowMotilityNumber") === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($tbMotilityAdditionalDetails, showAdditionalDetail);
        MEVIR.Exam.Common.ShowHideItem($tbMotilityNumber, showMotilityNumber);
        ValidatorEnable($regExValMotility[0], showMotilityNumber);
    },

    ToggleNystagmusOptions: function($ddlComboBox) {
        var $nystagmusOptions = $('#nystagmusOptionsWrapper');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showOptions = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            
            var expandNystagmus = selectedAttributes.getAttribute("ExpandNystagmus");

            showOptions = expandNystagmus === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($nystagmusOptions, showOptions);
    },

    MotilityOnLoad: function (sender) {
        MEVIR.Exam.Motility.ShowHideMotilityAdditionalDetails(sender);
    },

    MotilitySelectionChanged: function (sender) {
        MEVIR.Exam.Motility.ShowHideMotilityAdditionalDetails(sender);
    },

    NystagmusOnLoad: function(sender) {
        MEVIR.Exam.Motility.ToggleNystagmusOptions(sender);
        MEVIR.Exam.Common.SingleSelectOnLoad(sender);
    },

    NystagmusSelectionChanged: function (sender) {
        MEVIR.Exam.Motility.ToggleNystagmusOptions(sender);
        MEVIR.Exam.Common.SingleSelectSelectionChanged(sender);
    }
};
