﻿/* Exam Tab Static Threshold Perimetry Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.StaticThresholdPerimetry = {
    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $regExValMeanDeviation = $('[id $=regExValMeanDeviation]');
        var $regExValPatternStandardDeviation = $('[id $=regExValPatternStandardDeviation]');
        var $regExValFixationLoses = $('[id $=regExValFixationLoses]');

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        // Toggle Validator when hiding
        ValidatorEnable($regExValMeanDeviation[0], enableValidator);
        ValidatorEnable($regExValPatternStandardDeviation[0], enableValidator);
        ValidatorEnable($regExValFixationLoses[0], enableValidator);
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.StaticThresholdPerimetry.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.StaticThresholdPerimetry.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};
