﻿/* Exam Tab Summary Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.Summary = {
    TestResultSelection: function ($comboBoxTestResult) {
        var $ddlTestPerformed = $('#' + $comboBoxTestResult.get_id());
        var $summaryContainer = $ddlTestPerformed.closest('#examTabTestSummary');
        var $testSummaryResultContainer = $summaryContainer.find("#examTabTestSummaryResult");

        var $testDetailsContainer = $("#examTabTestDetails");
        
        // If the result container is hidden then hide the details
        if ($testSummaryResultContainer.is(':hidden')) {
            MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, false);
        } else {
            var selectedItem = $comboBoxTestResult.get_selectedItem();
            var showTestDetails = false;

            if (selectedItem != null) {
                var selectedAttributes = selectedItem.get_attributes();
                var showTestDetailsValue = selectedAttributes.getAttribute("TestResultExpand");

                showTestDetails = showTestDetailsValue === "true";
            }

            MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, showTestDetails);
        }
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $ddlTestPerformed = $('#' + $comboBoxTestPerform.get_id());
        var $summaryContainer = $ddlTestPerformed.closest('#examTabTestSummary');
        var $testPerformedCmtContainer = $summaryContainer.find("#examTabTestSummaryPerformedCmt");
        var $testDetailsContainer = $("#examTabTestDetails");
        var $testSummaryResultContainer = $summaryContainer.find("#examTabTestSummaryResult");
        var $testResultRequiredValidator = $("[id $=reqValTestResult]");

        // Call Method to show or hide the comment box
        MEVIR.Exam.Common.ShowHideComment($comboBoxTestPerform, $testPerformedCmtContainer);

        var showTestDetails = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            showTestDetails = showTestDetailsValue === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($testSummaryResultContainer, showTestDetails);
        MEVIR.Exam.Common.ShowHideItem($testDetailsContainer, showTestDetails);

        if ($testResultRequiredValidator.length > 0) {
            ValidatorEnable($testResultRequiredValidator[0], showTestDetails);
        }
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};