﻿using System;
using System.Collections.Generic;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Virtreous Event Model
    /// </summary>
    [Serializable]
    public class VitreousEventModel : BaseEventModel
    {
        public override string CategoryCode
        {
            get { return "Vitreous"; }
        }

        public MultiSelectQuestion VisitData { get; set; }

        public static IEnumerable<string> ShowTestDetailValues
        {
            get
            {
                return new[]
                {
                    ChoiceCodes.TestPerformed.Yes
                };
            }
        }

        public static class QuestionCodes
        {
            public static string TestPerformed = "VT_TP";

            public static string TestResult = "VT_TR";

            public static string EventComment = "VT_C";

            public static string VisitData = "VT_VD";
        }

        public static class ChoiceCodes
        {
            public static class TestPerformed
            {
                public static string Yes = "VT_TP_Y";

                public static string NotDocumented = "VT_TP_ND";
            }

            public static class TestResult
            {
                public static string Normal = "VT_TR_N";

                public static string Abnormal = "VT_TR_A";
            }
        }
    }
}