﻿using DataAccess;
using System;
using System.Collections.Generic;
using Telerik.Web.UI;

public partial class controls_ReviewComment_ReviewCommentListingControl : System.Web.UI.UserControl
{
    #region Memeber Variables

    public event ReviewCommentItemCommand ReviewCommentListSelection;
    public delegate void ReviewCommentItemCommand(object sender, GridCommandEventArgs e);
    public List<ER_ENCOUNTER_REVIEWCOMMENT> ReviewComments { get; set; }

    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {
        // populate grid
        if (!IsPostBack)
        {
            rgReviewComments.DataSource = ReviewComments;
            rgReviewComments.DataBind();
        }
    }

    protected void rgReviewComments_ItemCommand(object sender, Telerik.Web.UI.GridCommandEventArgs e)
    {
        if (ReviewCommentListSelection != null)
        {
            ReviewCommentListSelection(sender, e);
        }
    }

    protected void rgReviewComments_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        rgReviewComments.DataSource = "";
    }

}