﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="WorkflowAdministrationUserControl.ascx.cs" Inherits="controls_WorkflowAdministration_WorkflowAdministrationUserControl" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<style>
    .innerRegion {
        border: 1px solid #9cafc5;
        border-top:0px;
    }
</style>

<asp:Label runat="server" ID="lblForSelectingAdminTabs" TabIndex="0" Text="** Alt-W selects the Workload Assignment Tab / Alt-C selects the Change Encounter Status Tab." Font-Bold="true" /><br /><br />

<telerik:RadTabStrip ID="rtsAdminTabStrip" runat="server" MultiPageID="rmpAdminCapabilities" CausesValidation="false">
    <Tabs>
        <telerik:RadTab TabIndex="0" Text="Workload Assignment/Reassignment" Selected="true" AccessKey="W"></telerik:RadTab>
        <telerik:RadTab TabIndex="0" Text="Change Encounter Status" AccessKey="C"></telerik:RadTab>
    </Tabs>
</telerik:RadTabStrip>

<telerik:RadMultiPage runat="server" ID="rmpAdminCapabilities" SelectedIndex="0" CssClass="innerRegion">
    <telerik:RadPageView ID="rpvReassignment" runat="server" TabIndex="0">
        <div style="padding: 4px;">
            <br />
            Assignments / Reassignments
            <br /><br />
            
            <telerik:RadComboBox ID="rcbDataAbstractors" runat="server" ToolTip="Select a Data Abstractor" Filter="Contains" EnableViewState="True" EmptyMessage="Select a Data Abstractor" TabIndex="0">
                <DefaultItem Value="" Text=""></DefaultItem>
            </telerik:RadComboBox>
            <br /><br />
           
        </div>
    </telerik:RadPageView>
    <telerik:RadPageView ID="rpvChangeEncounterStatus" runat="server" TabIndex="0">
        <div style="padding: 4px;">
            <br />
            Change Status of Encounter. Possibly add more search options.  This area would be used to move an encounter to a specified status, most widely used to set a record from 'Completed' to 
            'Ready to Send' for resending to DVEIVR.<br />
            <br />

            <asp:Label ID="lblForEncounterIDSearch" runat="server" AssociatedControlID="rtbEncounterIDSearch" Text="Encounter ID:" ToolTip="Search the system by Encounter ID" TabIndex="0" />
            <telerik:RadTextBox ID="rtbEncounterIDSearch" runat="server" ToolTip="Search Encounters by Encounter Id" EmptyMessage="Search by Encounter ID" TabIndex="0" />
            <telerik:RadButton ID="rbSearchEncounterID" runat="server" Text="Search" ToolTip="Click to search by Encounter ID" TabIndex="0" />
        </div>
    </telerik:RadPageView>
</telerik:RadMultiPage>
