﻿/* Exam Tab Common Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.Common = {
    ShowHideItem: function ($item, show) {
        if (show) {
            $item.show();
        } else {
            $item.hide();
        }
    },

    ShowHideComment: function ($ddlComboBox, $tbComment) {
        var selectedItem = $ddlComboBox.get_selectedItem();
        var showComment = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes().getAttribute("RequiresComment");
            showComment = selectedAttributes === "true";
        }

        MEVIR.Exam.Common.ShowHideItem($tbComment, showComment);
    },

    MultiSelectOnLoad: function (sender) {
        var $ddlChoices = $('#' + sender.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('#multiSelectCommentWrapper');

        MEVIR.Exam.Common.ShowHideComment(sender, $tbComment);
    },

    MultiSelectSelectionChanged: function (sender, eventArgs) {
        var $ddlChoices = $('#' + sender.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('#multiSelectCommentWrapper');

        MEVIR.Exam.Common.ShowHideComment(sender, $tbComment);
    },

    SingleSelectOnLoad: function(sender) {
        var $ddlChoices = $('#' + sender.get_id());
        var $containerDiv = $ddlChoices.closest('div[id $="pnlSingleSelect"]');
        var $tbComment = $containerDiv.find('#singleSelectCommentWrapper');

        MEVIR.Exam.Common.ShowHideComment(sender, $tbComment);
    },

    SingleSelectSelectionChanged: function(sender, eventArgs) {
        var $ddlChoices = $('#' + sender.get_id());
        var $containerDiv = $ddlChoices.closest('div[id $="pnlSingleSelect"]');
        var $tbComment = $containerDiv.find('#singleSelectCommentWrapper');

        MEVIR.Exam.Common.ShowHideComment(sender, $tbComment);
    }
};