﻿/* Exam Tab Imaging Ancillary Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.ImagingAncillary = {
    ShowHideComment: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('#methodologyCommentWrapper');
        var $reqValCtrl = $containerDiv.find('[id $=reqValTestResult]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showComment = false;
        var enableRequiredVal = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            var requiresCmt = selectedAttributes.getAttribute("RequiresComment");

            showComment = requiresCmt === "true";

            // Test Result is required for every selected methdology
            enableRequiredVal = true;
        }

        ValidatorEnable($reqValCtrl[0], enableRequiredVal);
        MEVIR.Exam.Common.ShowHideItem($tbComment, showComment);
    },

    ImagingMethodologyOnLoad: function (sender) {
        MEVIR.Exam.ImagingAncillary.ShowHideComment(sender);
    },

    ImagingMethodologySelectionChanged: function (sender) {
        MEVIR.Exam.ImagingAncillary.ShowHideComment(sender);
    }
};
