﻿/* Exam Tab Prosthetic Devices Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.ProstheticDevices = {
    ShowHideComment: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('#implantTypeCommentWrapper');
        var $compValCtrl = $containerDiv.find('[id $=compValImplantType]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showComment = false;
        var enableCompVal = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            var requiresCmt = selectedAttributes.getAttribute("RequiresComment");
            var compValImplantTypeEnabled = selectedAttributes.getAttribute("CompValImplantTypeEnabled");

            showComment = requiresCmt === "true";
            enableCompVal = compValImplantTypeEnabled === "true";
        }

        ValidatorEnable($compValCtrl[0], enableCompVal);
        MEVIR.Exam.Common.ShowHideItem($tbComment, showComment);
    },

    ImplantTypeOnLoad: function (sender) {
        MEVIR.Exam.ProstheticDevices.ShowHideComment(sender);
    },

    ImplantTypeSelectionChanged: function (sender) {
        MEVIR.Exam.ProstheticDevices.ShowHideComment(sender);
    }
};
