﻿/* Exam Tab Anterior Chamber Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.RelativeAfferentPupil = {
    ToggleADPLaterality: function ($ddlComboBox) {
        var $reactiveWrapper = $('#adpLateralityWrapper');
        var selectedItem = $ddlComboBox.get_selectedItem();

        var showReactive = selectedItem != null;

        MEVIR.Exam.Common.ShowHideItem($reactiveWrapper, showReactive);
    },

    TestPerformedSelection: function ($comboBoxTestPerform) {
        var $regExValADPLaterality = $('[id $=regExValADPLaterality]');

        var enableValidator = false;
        var selectedItem = $comboBoxTestPerform.get_selectedItem();

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();
            var showTestDetailsValue = selectedAttributes.getAttribute("TestPerformExpand");

            enableValidator = showTestDetailsValue === "true";
        }

        // Toggle Validator when hiding
        ValidatorEnable($regExValADPLaterality[0], enableValidator);
    },

    ADPOnLoad: function (sender) {
        MEVIR.Exam.RelativeAfferentPupil.ToggleADPLaterality(sender);
        MEVIR.Exam.Common.SingleSelectOnLoad(sender);
    },

    ADPSelectionChanged: function (sender) {
        MEVIR.Exam.RelativeAfferentPupil.ToggleADPLaterality(sender);
        MEVIR.Exam.Common.SingleSelectSelectionChanged(sender);
    },

    TestPerformedSelectionChanged: function (sender) {
        MEVIR.Exam.RelativeAfferentPupil.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    },

    TestPerformedOnLoad: function (sender) {
        MEVIR.Exam.RelativeAfferentPupil.TestPerformedSelection(sender);
        MEVIR.Exam.Summary.TestPerformedSelection(sender);
    }
};
