﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EnvironmentCheck.aspx.cs" Inherits="EnvironmentCheck" ValidateRequest="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Environment Check</title>
    <link href="./styles/StyleSheet.css" rel="stylesheet" type="text/css" />
    <script src="scripts/CommonFunctions.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <br /><center><h1>Environment Check</h1></center>
    <table width="100%">
    <tr><td>
        <asp:Panel ID="PanelBuildVersion" runat="server" GroupingText="Build Version" width="100%">
            <br />
            <table>
                <tr><td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><asp:Label ID="LabelBuildVersion" runat="server"></asp:Label></td></tr>
            </table>
             <br />
        </asp:Panel><br />
    </td></tr>
    <tr><td>
        <asp:Panel ID="PanelErrorPage" runat="server" GroupingText="ErrorPage.aspx" width="100%">
             <br />
            <table>
                <tr><td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td><asp:Label ID="LabelErrorPageInfo" runat="server"></asp:Label>
                </td></tr>
            </table>
             <br />
        </asp:Panel><br />
    </td></tr>
    <tr><td>
        <asp:Panel ID="PanelFile" runat="server" GroupingText="File Information" width="100%">
             <br />
            <table>
                <tr>
                    <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                    <td><asp:Label ID="LabelforTextBoxFileName" runat="server" 
                    AssociatedControlID="TextBoxFileName">File Name:</asp:Label>
                    
</td>
                    <td><asp:TextBox ID = "TextBoxFileName" runat = "server"></asp:TextBox></td>
                    <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                    <td><asp:Button ID = "ButtonGetFileInfo" runat = "server" Text="Get File Info" 
                            onclick="ButtonGetFileInfo_Click" ToolTip="Select to view additional information for the specified file">
                    </asp:Button></td>
                </tr>
                <tr><td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                <td colspan="4"><asp:Label ID="LabelFileInfo" runat="server"></asp:Label>
                </td></tr>
            </table>
             <br /> 
        </asp:Panel><br />
    </td></tr>
     <tr><td>
        <asp:Panel ID="PanelDatabaseChangeLog" runat="server" GroupingText="Database Change Log" width="100%">
        <table width="100%">
        <tr>
        <td >
          <asp:Label ID="LabelforLabelDatabaseName" SkinID="DataLabel" runat="server">&nbsp;&nbsp;&nbsp;&nbsp;Database Name:&nbsp;&nbsp;</asp:Label>
        <asp:Label ID="LabelDatabaseName" SkinID="DataLabel" runat="server">
        </asp:Label>
        </td>
        </tr>
        <tr>
        <td>
        <asp:GridView ID = "GridViewDatabaseChangeLog" runat = "server" 
        DataSourceID = "ObjectDataSourceDatabaseChangeLog" AutoGenerateColumns = "false" 
        AllowPaging="True" DataKeyNames = "DatabaseChangeID" AllowSorting="true">
           <EmptyDataTemplate>
                No records
           </EmptyDataTemplate> 
            
            <Columns>
            
                <asp:TemplateField HeaderText = "Database Change ID" SortExpression = "DatabaseChangeID">
                    <ItemTemplate>
                        <asp:Label ID = "LabelDatabaseChangeID" runat = "server" Text = '<%# Eval("DatabaseChangeID") %>'></asp:Label> 
                    
                    </ItemTemplate> 
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Major Release Number" SortExpression="MajorReleaseNumber">
                       
                        <ItemTemplate>
                            <asp:Label ID="LabelMajorReleaseNumber" runat="server" Text='<%# Eval("MajorReleaseNumber") %>'></asp:Label>
                        </ItemTemplate>
                </asp:TemplateField>
                
                <asp:TemplateField HeaderText="Minor Release Number" SortExpression="MinorReleaseNumber">
                       
                        <ItemTemplate>
                            <asp:Label ID="LabelMinorReleaseNumber" runat="server" Text='<%# Eval("MinorReleaseNumber") %>'></asp:Label>
                        </ItemTemplate>
                </asp:TemplateField>
               
                <asp:TemplateField HeaderText="Point Release Number" SortExpression="PointReleaseNumber">
                       
                        <ItemTemplate>
                            <asp:Label ID="LabelPointReleaseNumber" runat="server" Text='<%# Eval("PointReleaseNumber") %>'></asp:Label>
                        </ItemTemplate>
                </asp:TemplateField>
                
                <asp:TemplateField HeaderText="Hotfix" SortExpression="Hotfix">
                       
                        <ItemTemplate>
                            <asp:Label ID="LabelHotfix" runat="server" Text='<%# Eval("Hotfix") %>' ></asp:Label>
                        </ItemTemplate>
                </asp:TemplateField>
                                 
                <asp:TemplateField HeaderText="Script Name" SortExpression="ScriptName">
                       
                        <ItemTemplate>
                            <asp:Label ID="LabelScriptName" runat="server" Text='<%# Eval("ScriptName") %>' ></asp:Label>
                        </ItemTemplate>
                </asp:TemplateField>
                
                <asp:TemplateField HeaderText="Script Description" SortExpression="ScriptDescription">
                       
                        <ItemTemplate>
                            <asp:Label ID="LabelScriptDescription" runat="server" Text='<%# Eval("ScriptDescription") %>' ></asp:Label>
                        </ItemTemplate>
                </asp:TemplateField>
                
                <asp:TemplateField HeaderText="Target Registry" SortExpression="TargetRegistry">
                       
                        <ItemTemplate>
                            <asp:Label ID="LabelTargetRegistry" runat="server" Text='<%# Eval("TargetRegistry") %>' ></asp:Label>
                        </ItemTemplate>
                </asp:TemplateField>
                
                <asp:TemplateField HeaderText="Date Applied" SortExpression="DateApplied">
                       
                        <ItemTemplate>
                            <asp:Label ID="LabelDateApplied" runat="server" Text='<%# Eval("DateApplied","{0:d}") + " " + Eval("DateApplied","{0:t}") %>' ></asp:Label>
                        </ItemTemplate>
                </asp:TemplateField>
                
            </Columns>
        </asp:GridView>            
        </td>
        </tr>
        </table>
 
        <asp:ObjectDataSource ID="ObjectDataSourceDatabaseChangeLog" runat="server" 
                SelectMethod="SelectDatabaseChangeLog" 
                SelectCountMethod="SelectDatabaseChangeLogCount"
                StartRowIndexParameterName="startRow" 
                MaximumRowsParameterName="maxRows" 
                SortParameterName="sort"
                EnablePaging="True" 
                TypeName="VeteransAffairs.Registries.BusinessManager.RegistriesCommonManager">
           <SelectParameters>
            <asp:Parameter Name="sort" Type="String" />
            <asp:Parameter Name="startRow" Type="Int32" />
            <asp:Parameter Name="maxRows" Type="Int32" />
        </SelectParameters>
        </asp:ObjectDataSource>
       </asp:Panel><br />
    </td></tr>
   </table>
    </div>
    </form>
</body>
</html>
