﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Patient.aspx.cs" Inherits="Patient" MasterPageFile ="~/Registry.master" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <link type = "text/css" href ="styles/StyleSheet.css"/>          
    <style type="text/css">
        .style1
        {
            width: 100%;
            
        }
        .style2
        {
        }
        .style3
        {
        }
        .style4
        {
        }
        .style6
        {
        }
        .style8
        {
        }
        .style9
        {
        }
        .style10
        {
        }
        .style11
        {
        }
        .style12
        {
        }
        .style13
        {
        }
        .style14
        {
        }
    </style>
</asp:Content> 


<asp:Content ID="Content2" ContentPlaceHolderID = "ContentPlaceHolder" Runat="Server" >
    
    <asp:Panel ID="PanelObjectContent" runat="server">
        <asp:ObjectDataSource ID="ObjectDataSourcePatient" runat="server" 
                    OldValuesParameterFormatString="original_{0}" 
                    SelectMethod="SelectByID"
                    TypeName="VeteransAffairs.Registries.BusinessManager.DVEIRPatientManager"
                    DataObjectTypeName="VeteransAffairs.Registries.Business.PATIENT">
                    <SelectParameters>
                        <asp:QueryStringParameter DefaultValue="0" Name="id" 
                            QueryStringField="id" Type="String" />
                    </SelectParameters>
                </asp:ObjectDataSource>
        
          

        <table width="100%">
            <tr>
                <td>
                     <asp:Panel ID="PanelPatient" runat="server" GroupingText="&nbsp;&nbsp;Patient Information&nbsp;&nbsp;" Width="100%" BorderColor="Black" >
                    <asp:FormView ID="FormViewPatient" runat="server" Width="100%"
                    DataSourceID="ObjectDataSourcePatient" BorderColor = "Black">
                    <ItemTemplate>
                        <table class="style1" >
                            <tr>
                                <td class="style10">
                                    <asp:Label ID="LabelforPATIENT_ICNLabel" runat="server" AssociatedControlID="PATIENT_ICNLabel">ICN:</asp:Label>
                                    </td>
                                <td style="style11">
                                    <asp:Label ID="PATIENT_ICNLabel" runat="server" 
                                        Text='<%# Eval("PATIENT_ICN") %>' />
                                </td>
                                <td style="style4">
                                    &nbsp;</td>
                                <td class="style2" style="style6">
                                    <asp:Label ID="LabelforSSNLabel1" runat="server" AssociatedControlID="SSNLabel1">SSN:</asp:Label>
                                    </td>
                                <td style="style8">
                                    <asp:Label ID="SSNLabel1" runat="server" 
                                        Text='<%# Eval("SSN") %>' />
                                </td>
                            </tr>
                        </table>
                        <hr style= "color:Black"   />
                        <table class="style1" >
                            <tr>
                                <td class="style2">
                                    <asp:Label ID="LabelforFullNameLabel" runat="server" AssociatedControlID="FullNameLabel">Full Name:</asp:Label>
                                    </td>
                                <td class="style3">
                                    <asp:Label ID="FullNameLabel" runat="server" Text='<%# Eval("FullName") %>' />
                                </td>
                                <td class="style3">
                                    &nbsp;</td>
                                <td class="style3">
                                    &nbsp;</td>
                                <td class="style3">
                                    &nbsp;</td>
                            </tr>
                            <tr>
                                <td class="style2">
                                    <asp:Label ID="LabelforSTD_INSTITUTION_IDLabel" runat="server" AssociatedControlID="STD_INSTITUTION_IDLabel">Home VAMC:</asp:Label>
                                    </td>
                                <td colspan="4">
                                    <asp:Label ID="STD_INSTITUTION_IDLabel" runat="server" 
                                        Text='<%# Eval("STD_INSTITUTION.FullVisnName") %>' />
                                </td>
                            </tr>
                        </table>
                        <table class="style1" >
                            <tr>
                                <td class="style10">
                                    <asp:Label ID="LabelforSTD_GENDER_IDLabel" runat="server" AssociatedControlID="STD_GENDER_IDLabel">Gender:</asp:Label>
                                    </td>
                                <td class="style11">
                                    <asp:Label ID="STD_GENDER_IDLabel" runat="server" 
                                        Text='<%# Eval("STD_GENDER.NAME") %>' />
                                    
                                </td>
                                <td class="style4">
                                    &nbsp;</td>
                                <td class="style6">
                                    <asp:Label ID="LabelforBIRTH_DATE_TEXTLabel" runat="server" AssociatedControlID="BIRTH_DATE_TEXTLabel">Birth Date:</asp:Label>
                                    </td>
                                <td class="style8">
                                    <asp:Label ID="BIRTH_DATE_TEXTLabel" runat="server" 
                                        Text='<%# String.Format("{0:d}", Eval("BIRTH_DATE"))%>' />
                                </td>
                            </tr>
                            <tr>
                                <td class="style10">
                                    <asp:Label ID="LabelforSTD_RACE_IDLabel" runat="server" 
                                        AssociatedControlID="STD_RACE_IDLabel">Race:</asp:Label>
                                    </td>
                                <td class="style11">
                                    <asp:Label ID="STD_RACE_IDLabel" runat="server" 
                                        Text='<%# Eval("STD_RACE.NAME") %>' />
                                </td>
                                <td class="style4">
                                    &nbsp;</td>
                                <td class="style6">
                                    <asp:Label ID="LabelforDEATH_DATE_TEXTLabel" runat="server" AssociatedControlID="DEATH_DATE_TEXTLabel">Death Date:</asp:Label>
                                    </td>
                                <td class="style8">
                                    <asp:Label ID="DEATH_DATE_TEXTLabel" runat="server" 
                                        Text='<%# String.Format("{0:d}", Eval("DEATH_DATE")) %>' />
                                </td>
                            </tr>
                            <tr>
                                <td class="style10">
                                    <asp:Label ID="LabelforSTD_MARITALSTATUS_IDLabel" runat="server" 
                                        AssociatedControlID="STD_MARITALSTATUS_IDLabel">Marital Status:</asp:Label>
                                    </td>
                                <td class="style11">
                                    <asp:Label ID="STD_MARITALSTATUS_IDLabel" runat="server" 
                                        Text='<%# Eval("STD_MARITALSTATUS.NAME") %>' />
                                </td>
                                <td class="style4">
                                    &nbsp;</td>
                                <td class="style6">
                                    <asp:Label ID="LabelforSTD_ETHNICITY_IDLabel" runat="server" AssociatedControlID="STD_ETHNICITY_IDLabel">Ethnicity:</asp:Label>
                                    </td>
                                <td class="style8">
                                    <asp:Label ID="STD_ETHNICITY_IDLabel" runat="server" 
                                        Text='<%# Eval("STD_ETHNICITY.NAME") %>' />
                                </td>
                            </tr>
                            <tr>
                                <td class="style10">
                                    <asp:Label ID="LabelforADDRESS_LINE1Label" runat="server" AssociatedControlID="ADDRESS_LINE1Label">Address:</asp:Label>
                                    </td>
                                <td class="style11">
                                    <asp:Label ID="ADDRESS_LINE1Label" runat="server" 
                                        Text='<%# Eval("ADDRESS_LINE1") %>' />
                                </td>
                                <td class="style4">
                                    &nbsp;</td>
                                <td class="style6">
                                    <asp:Label ID="LabelforCITYLabel" runat="server" AssociatedControlID="CITYLabel">City:</asp:Label>
                                    </td>
                                <td class="style8">
                                    <asp:Label ID="CITYLabel" runat="server" Text='<%# Eval("CITY") %>' />
                                </td>
                            </tr>
                            <tr>
                                <td class="style10">
                                    <asp:Label ID="LabelforADDRESS_LINE2Label" runat="server" AssociatedControlID="ADDRESS_LINE2Label">Address Line 2:</asp:Label>
                                    </td>
                                <td class="style11">
                                    <asp:Label ID="ADDRESS_LINE2Label" runat="server" 
                                        Text='<%# Eval("ADDRESS_LINE2") %>' />
                                </td>
                                <td class="style4">
                                    &nbsp;</td>
                                <td class="style6">
                                    <asp:Label ID="LabelforSTATELabel" runat="server" AssociatedControlID="STATELabel">State:</asp:Label>
                                    </td>
                                <td class="style8">
                                    <asp:Label ID="STATELabel" runat="server" Text='<%# Eval("STATE") %>' />
                                </td>
                            </tr>
                            <tr>
                                <td class="style10">
                                    <asp:Label ID="LabelforADDRESS_LINE3Label" runat="server" AssociatedControlID="ADDRESS_LINE3Label">Address Line 3:</asp:Label>
                                    </td>
                                <td class="style11">
                                    <asp:Label ID="ADDRESS_LINE3Label" runat="server" 
                                        Text='<%# Eval("ADDRESS_LINE3") %>' />
                                </td>
                                <td class="style4">
                                    &nbsp;</td>
                                <td class="style6">
                                    <asp:Label ID="LabelforPOSTAL_CODELabel" runat="server" AssociatedControlID="POSTAL_CODELabel">Postal Code:</asp:Label>
                                    </td>
                                <td class="style8">
                                    <asp:Label ID="POSTAL_CODELabel" runat="server" 
                                        Text='<%# Eval("POSTAL_CODE") %>' />
                                </td>
                            </tr>
                            <tr>
                                <td class="style10">
                                    <asp:Label ID="LabelforCOUNTYLabel" runat="server" AssociatedControlID="COUNTYLabel">County:</asp:Label>
                                    </td>
                                <td class="style11">
                                    <asp:Label ID="COUNTYLabel" runat="server" 
                                        Text='<%# Eval("COUNTY") %>' />
                                </td>
                                <td class="style4">
                                    &nbsp;</td>
                                <td class="style6">
                                    <asp:Label ID="LabelforCOUNTRYLabel" runat="server" AssociatedControlID="COUNTRYLabel">Country:</asp:Label>
                                </td>
                                <td class="style8">
                                    <asp:Label ID="COUNTRYLabel" runat="server" 
                                        Text='<%# Eval("COUNTRY") %>' />
                                </td>
                            </tr>
                        </table>
                        <hr style= "color:Black" />
                        <table class="style1" >
                            <tr>
                                <td class="style10">
                                    <asp:Label ID="LabelforHOME_PHONELabel" runat="server" AssociatedControlID="HOME_PHONELabel">Home Phone:</asp:Label>
                                    </td>
                                <td class="style11">
                                    <asp:Label ID="HOME_PHONELabel" runat="server" 
                                        Text='<%# Eval("HOME_PHONE") %>' />
                                </td>
                                <td class="style4">
                                </td>
                                <td class="style8">
                                    <asp:Label ID="LabelforWORK_PHONELabel" runat="server" AssociatedControlID="WORK_PHONELabel">Work Phone:</asp:Label>
                                    </td>
                                <td class="style8">
                                    <asp:Label ID="WORK_PHONELabel" runat="server" 
                                        Text='<%# Eval("WORK_PHONE") %>' />
                                </td>
                            </tr>
                            
                        </table>
                        <hr style= "color:Black" />
                    </ItemTemplate> 
                    </asp:FormView>
                    <br /> 
                    <asp:GridView ID="GridViewDVEIRReferrals" runat="server" 
                        AutoGenerateColumns="False" Width="99%" AllowPaging="True" AllowSorting="True" 
                        DataKeyNames="REFERRAL_ID" OnRowDataBound="GridView_RowDataBound"
                        DataSourceID="ObjectDataSourceDVEIRReferrals" 
                        OnRowCommand = "GridViewDVEIRReferrals_RowCommand">
                        <Columns>
                            
                            <asp:BoundField DataField="REFERRAL_ID" HeaderText="ID" 
                                SortExpression="REFERRAL_ID" >

                            <ItemStyle HorizontalAlign="Center" />
                            </asp:BoundField>
                            
                            <asp:TemplateField HeaderText="Referral Date" SortExpression="REFERRAL_DATE">
                                <ItemStyle HorizontalAlign="Center" />
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:Label ID="LabelReferralDate" runat="server" Text='<%# Eval("REFERRAL_DATE","{0:d}") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
             
                            <asp:TemplateField HeaderText="Status" SortExpression="STD_REFERRALST.NAME">
                                <ItemStyle HorizontalAlign="Center" />
                                <HeaderStyle HorizontalAlign="Center" />
                                <ItemTemplate>
                                    <asp:Label ID="LabelStatusName" runat="server" 
                                        Text='<%# Eval("STD_REFERRALST.NAME") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                                
                            <asp:ButtonField ButtonType = "Button" Text = "Select" CommandName = "Details" AccessibleHeaderText = "Select"  />   
                        
                        </Columns>
                    </asp:GridView>
                 
                    <asp:ObjectDataSource ID="ObjectDataSourceDVEIRReferrals" runat="server" 
                    SelectMethod="SelectByPatient" 
                    SelectCountMethod="SelectByPatientCount" 
                    StartRowIndexParameterName="startRow" 
                    MaximumRowsParameterName="maxRows" 
                    SortParameterName="sort"
                    EnablePaging="True"  
                    TypeName="VeteransAffairs.Registries.BusinessManager.DVEIR.DVEIRReferralManager"
                    >
                    <SelectParameters>
                        <asp:ControlParameter ConvertEmptyStringToNull="true" ControlID="HiddenFieldPatientID"  
                            DefaultValue="0" Direction="Input" Name="id" Type="Int32" />
                        <asp:Parameter Name="sort" Type="String" />
                        <asp:Parameter Name="startRow" Type="Int32" />
                        <asp:Parameter Name="maxRows" Type="Int32" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                      
                        <asp:Panel ID="PanelPatientAlternativeInfo" Visible="false" runat="server" GroupingText="&nbsp;&nbsp;Patient Alternative Contact Information&nbsp;&nbsp;" Width="100%">
                            
                <table align= "left" class="style1" cellpadding = "5" cellspacing = "5" border="0">
                
                <tr style = "height:20px;">
                    <td class="style3">
                        <asp:Label runat="server" ID="labelStreetAddress1" Text="Alternate Street Address 1:" AssociatedControlID="txtStreetAddress1"></asp:Label></td>
                    <td>
                        <asp:TextBox ID="txtStreetAddress1" runat="server" Width="400px" ></asp:TextBox>
                                
                     </td>
                </tr>
                
                <tr style = "height:20px;">
                    <td class="style3">
                        <asp:Label runat="server" ID="labelStreetAddress2" Text="Alternate Street Address 2:" AssociatedControlID="txtStreetAddress2"></asp:Label></td>
                    <td>
                        <asp:TextBox ID="txtStreetAddress2" runat="server" Width="400px" ></asp:TextBox>

                    </td>
                </tr>
                
                <tr style = "height:20px;">
                    <td class="style3">
                        <asp:Label runat="server" ID="labelStreetAddress3" Text="Alternate Street Address 3:" AssociatedControlID="txtStreetAddress3" Width="300px"></asp:Label></td>
                    <td>
                        <asp:TextBox ID="txtStreetAddress3" runat="server" Width="400px" ></asp:TextBox> 
                    </td>
                </tr>
                
                <tr style = "height:20px;">
                    <td class="style3">
                        <asp:Label runat="server" ID="labelAddressCity" Text="Alternate City:" AssociatedControlID="txtAddressCity"></asp:Label></td>
                    <td style="margin-left: 40px">
                        <asp:TextBox ID="txtAddressCity" runat="server" width="400px" MaxLength="100"></asp:TextBox>
                    </td>
                </tr>
                
                <tr style = "height:20px;">
                    <td class="style3">
                        <asp:Label runat="server" ID="labelAddressState" Text="Alternate State:" AssociatedControlID="txtAddressState"></asp:Label></td>
                    <td style="margin-left: 40px">
                        <asp:TextBox ID="txtAddressState" runat="server" width="400px" MaxLength="100"></asp:TextBox>
                    </td>
                </tr>
                
                <tr style = "height:20px;">
                    <td class="style3">
                        <asp:Label runat="server" ID="labelAddressZip" Text="Alternate Zip:" AssociatedControlID="txtAddressZip" Width="300px"></asp:Label></td>
                    <td>
                        <asp:TextBox ID="txtAddressZip" runat="server" width="400px" MaxLength="100"></asp:TextBox> 
                    </td>
                </tr>
                
                <tr style = "height:20px;">
                    <td class="style3" >
                        <asp:Label runat="server" ID="labelAddressCountry" Text="Alternate Country:" AssociatedControlID="txtAddressCountry"></asp:Label></td>
                    <td style="margin-left: 40px">
                        <asp:TextBox ID="txtAddressCountry" runat="server" width="400px" MaxLength="100"></asp:TextBox>
                    </td>
                </tr>
                
                <tr style = "height:20px;">
                    <td class="style3" >
                        <asp:Label runat="server" ID="labelHomePhone" Text="Alternate Home Telephone:" AssociatedControlID="txtHomePhone"></asp:Label></td>
                    <td style="margin-left: 40px">
                        <asp:TextBox ID="txtHomePhone" runat="server" width="400px" MaxLength="100"></asp:TextBox>
                    </td>
                </tr>
                
                <tr style = "height:20px;">
                    <td class="style3" >
                        <asp:Label runat="server" ID="label2" Text="Alternate Work Telephone:" AssociatedControlID="txtWorkPhone"></asp:Label></td>
                    <td style="margin-left: 40px">
                        <asp:TextBox ID="txtWorkPhone" runat="server" width="400px" MaxLength="100"></asp:TextBox>
                    </td>
                </tr>
                
                <tr style = "height:20px;">
                    <td class="style3" >
                        <asp:Label runat="server" ID="label1" Text="Alternate Mobile Telephone:" AssociatedControlID="txtMobilePhone"></asp:Label></td>
                    <td style="margin-left: 40px">
                        <asp:TextBox ID="txtMobilePhone" runat="server" width="400px" MaxLength="100"></asp:TextBox>
                    </td>
                </tr>
                
                <tr style = "height:20px;">
                    <td class="style3" >
                        <asp:Label runat="server" ID="label3" Text="Email Address:" AssociatedControlID="txtEmailAddress"></asp:Label></td>
                    <td style="margin-left: 40px">
                        <asp:TextBox ID="txtEmailAddress" runat="server" width="400px" MaxLength="100"></asp:TextBox>
                    </td>
                </tr>
                
                
            </table>
                    
                    
                        </asp:Panel> 
                    </asp:Panel>  
                </td> 
            </tr>
            <tr align = "center" style="display:none">
                <td>
                     <br />
                     <asp:Button runat = "server" Visible="false" ID = "SaveButton" Text = "Save" Width = "130px" ValidationGroup = "DVEIRPatient" OnClick = "SaveButton_Click" ToolTip="Select to save patient information" />        
                     
                     <asp:Button runat = "server" Visible="false"  Text = "Cancel" Width = "130px" ID = "CancelButton" PostBackUrl="javascript:history.go(-1);" ToolTip="Select to return to the previous page" />
                </td>            
            </tr>
         </table> 
         <asp:HiddenField runat="server" ID="HiddenFieldPatientID" /> 
    </asp:Panel>
    
    <asp:HiddenField ID="HiddenFieldBreadCrumbBaseText" runat="server" />
    <asp:HiddenField ID="HiddenFieldDisplaySaveErrorList" runat="server" />
    
    <asp:Panel ID="PanelNoAccess" runat="server" Visible="false" Width="65%">
            You do not have access to the patient id supplied.
            <br /><br />
            Please contact the Registry Manager to grant access or verify that your permissions are correct.
    </asp:Panel>
    <asp:Panel ID="PanelIdNotFound" runat="server" Visible="false" Width="65%">
            No record found for the patient ID supplied.
            <br />
            <br />
            If you tried accessing using a link within an email or typed the link in the browser, please check the link to ensure you have supplied a correct id.
    </asp:Panel> 
</asp:Content> 