﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Microsoft.Reporting.WebForms;
using VeteransAffairs.Registries.BusinessManager;

public partial class ReferralOverviewReport : BasePage
{
    private UserAccountManager _currentUser;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!AccessAllowed())
        {
            Response.Redirect("ErrorPage.aspx?id=100");
        }
    }

    private bool AccessAllowed()
    {
        _currentUser = (UserAccountManager)HttpContext.Current.User;
        return (_currentUser.IsInRole(19)
            || _currentUser.IsInRole(21)
            || _currentUser.IsInRole(24));
    }
    public override string TopMenuName()
    {
        return "Reporting";
    }

    public override string MenuItemName()
    {
        return "Referral Overview";
    }

    public override string AppObjectCode()
    {
        return "REFERRAL_OVERVIEW_REPORT";
    }

}
