﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="EncounterInformationHeaderUserControl.ascx.cs" Inherits="clinicalDataUserControls_EncounterInformationHeaderUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>



<asp:Panel ID="PanelEncounterInformation" runat="server" Width="100%" GroupingText="Encounter Information&nbsp;&nbsp;">
    <table>
        <tr>
            <td style="width:140px;display:none">
                <asp:HiddenField ID="HiddenFieldEncounterID" runat="server" />
                <asp:Label ID="LabelforEncounterId" AssociatedControlID="LabelEncounterId" runat="server" SkinID = "DataLabel" Text="Encounter ID: "></asp:Label>
                &nbsp;
                <asp:Label ID="LabelEncounterId" runat="server" Text="<Encounter ID>" SkinID = "DataLabel"></asp:Label>
            </td>
            <td style="width:40px">
                <asp:Label ID="LabelforLabelDateOfEncounter" AssociatedControlID="LabelDateOfEncounter" runat="server" Text="Date: " SkinID = "DataLabel"></asp:Label>
            </td>
            <td style="width:360px">
                <asp:TextBox ID="TextBoxDateOfEncounter" runat="server" Visible="false" ToolTip="Enter date in format: mm/dd/yyyy" Width="75"/>
                <asp:Label ID="LabelDateOfEncounter" runat="server" Text="" SkinID = "DataLabel"></asp:Label>                
                <rjs:PopCalendar ID="PopCalendarDateofEncounter" runat="server" ControlFocusOnError="true" MessageAlignment="RightCalendarControl"
                    Control="TextBoxDateOfEncounter" Format="mm dd yyyy" Separator="/" Shadow="True" 
                    To-Today="true" ToolTip="Click to Select Date" Enabled="false" Visible="false" />
                
            </td>
            <td style="width:55px">
                <asp:Label ID="LabelforLabelFacility" AssociatedControlID="LabelFacility" runat="server" Text="Facility: " SkinID = "DataLabel"></asp:Label>
            </td>
            <td>
            
                <asp:Label ID="LabelFacility" runat="server" Text="" SkinID = "DataLabel"></asp:Label>                
                <asp:DropDownList ID="DropDownListEncounterFacility" runat="server" Enabled="false" Visible="false"
                        ToolTip="Select Facility"
                        AppendDataBoundItems="true" DataSourceID="ObjectDataSourceVAMC"
                        DataTextField="FullVISNName" DataValueField="ID"
                        >
                        <asp:ListItem Value="0">-- Select a Value --</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
    </table>
</asp:Panel>
                        
  

<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />

<asp:ObjectDataSource ID="ObjectDataSourceVAMC" runat="server" 
    SelectMethod="GetVAMCList" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>

    
    
