﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabAcuityTestUserControl.ascx.cs" Inherits="clinicalDataUserControls_ExamTabAcuityTestUserControl" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>
    <%@ Register src="ExamTestPerformedUserControl.ascx" tagname="ExamTestPerformedUserControl" tagprefix="ucTestPerformed" %>
    <%@ Register src="ExamCommentsUserControl.ascx" tagname="ExamCommentsUserControl" tagprefix="ucComments" %>
    <%@ Register src="ExamTestResultUserControl.ascx" tagname="ExamTestResultUserControl" tagprefix="ucTestResults" %>
    <script type = "text/javascript">
        $(document).ready(function() {

            if ($('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':checked')) {
                $('#<%= PanelVisualAcuityTestContent.ClientID %>').show();
            }
            else {
                $('#<%= PanelVisualAcuityTestContent.ClientID %>').hide();
            }

            //            $('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').click(function() {
            //                $('#<%= PanelVisualAcuityTestContent.ClientID %>').show();
            //            });
            //            $('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_1" %>').click(function() {
            //                $('#<%= PanelVisualAcuityTestContent.ClientID %>').hide();
            //            });
            //            $('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_2" %>').click(function() {
            //                $('#<%= PanelVisualAcuityTestContent.ClientID %>').hide();
            //            });


            $('#<%= CheckBoxRefractionUnknown.ClientID %>').click(function() {
                if ($(this).is(':checked')) {
                    $('#<%= TextBoxSphere.ClientID %>').attr('disabled', 'disabled');
                    $('#<%= TextBoxCylinder.ClientID %>').attr('disabled', 'disabled');
                    $('#<%= TextBoxAxis.ClientID %>').attr('disabled', 'disabled');

                    $('#<%= TextBoxSphere.ClientID %>').val('');
                    $('#<%= TextBoxCylinder.ClientID %>').val('');
                    $('#<%= TextBoxAxis.ClientID %>').val('');

                    //disable relevant validators
                    ValidatorEnable($(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxSphere]')[0], false);
                    var validator = $(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxSphere]')[0];
                    validator.isvalid = true;
                    ValidatorUpdateDisplay(validator);

                    ValidatorEnable($(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxCylinderSign]')[0], false);
                    var validator = $(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxCylinderSign]')[0];
                    validator.isvalid = true;
                    ValidatorUpdateDisplay(validator);

                    ValidatorEnable($(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxCylinderRange]')[0], false);
                    var validator = $(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxCylinderRange]')[0];
                    validator.isvalid = true;
                    ValidatorUpdateDisplay(validator);

                    ValidatorEnable($(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxCylinderDecimal]')[0], false);
                    var validator = $(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxCylinderDecimal]')[0];
                    validator.isvalid = true;
                    ValidatorUpdateDisplay(validator);

                    ValidatorEnable($(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxAxis]')[0], false);
                    var validator = $(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxAxis]')[0];
                    validator.isvalid = true;
                    ValidatorUpdateDisplay(validator);

                }
                else {
                    $('#<%= TextBoxSphere.ClientID %>').removeAttr('disabled');
                    $('#<%= TextBoxCylinder.ClientID %>').removeAttr('disabled');
                    $('#<%= TextBoxAxis.ClientID %>').removeAttr('disabled');

                    //re-enable validators
                    ValidatorEnable($(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxSphere]')[0], true);
                    ValidatorEnable($(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxCylinder]')[0], true);
                    ValidatorEnable($(this).closest('table').find('[id *=RegularExpressionValidatorTextBoxAxis]')[0], true);
                }
            });


            if ($('#<%= DropDownListVisualAcuity.ClientID %> option:selected').val() == "Other") {
                $('#<%= TextBoxOtherVisualAcuity.ClientID %>').show();
            }
            else {
                $('#<%= TextBoxOtherVisualAcuity.ClientID %>').val("");
                $('#<%= TextBoxOtherVisualAcuity.ClientID %>').hide();
            }

            $('#<%= DropDownListVisualAcuity.ClientID %>').change(function() {
                if ($(this).val() == "Other") {
                    $('#<%= TextBoxOtherVisualAcuity.ClientID %>').show();
                }
                else {
                    $('#<%= TextBoxOtherVisualAcuity.ClientID %>').val("");
                    $('#<%= TextBoxOtherVisualAcuity.ClientID %>').hide();
                }
            });
        });
    </script>

<asp:Panel ID="PanelVisualAcuity" runat="server" Width="100%"
    GroupingText="Change Grouping Text with Panel Name" 
    CssClass="SideBySideEyeExamPanel">
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewCommentUserControlAcuity" 
        />
        <ucTestPerformed:ExamTestPerformedUserControl ID="ExamTestPerformedUserControl"  runat="server" />

     <asp:Panel ID="PanelVisualAcuityTestContent" runat="server" BorderWidth="0" Width="100%" >
         <ucTestResults:ExamTestResultUserControl ID="ExamTestResultUserControl" runat="server" />
        <table width="100%">
        <tr>
        <td>
            <asp:Label ID="LabelforExtraSpace" runat="server"
                    Text="&nbsp;&nbsp;&nbsp;&nbsp;"/>&nbsp;
        </td>
        <td>
        <asp:Label ID="LabelVisualAcuityFormat"  runat="server"
        AssociatedControlID="DropDownListVisualAcuity">
        Visual Acuity
    </asp:Label>
    <br />
    <table><tr><td>
    <asp:DropDownList ID="DropDownListVisualAcuity" runat="server"
        ToolTip="Visual Acuity"
        AppendDataBoundItems="True">
        <asp:ListItem Value=""></asp:ListItem>
    </asp:DropDownList>
    </td>
    <td>
    <asp:TextBox ID="TextBoxOtherVisualAcuity" runat="server" 
         ToolTip="Enter value for other visual acuity" MaxLength="20" Width="100px">
                </asp:TextBox>
    <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxOtherVisualAcuity" runat="server" 
        ErrorMessage="Invalid visual acuity value. Example of valid value: 4/5, 6/9.5 or 20/1380"
        ControlToValidate="TextBoxOtherVisualAcuity" 
        ValidationExpression="^(((4)|(6)|(20))/(\d)(\d)?(\d)?(\d)?(\d)?(\.\d)?)$"
    >
    </asp:RegularExpressionValidator>
    </td></tr></table>
    <br />
    <br />
    <asp:Label ID="LabelforDropDownListVisualAcuityLessThan20200" runat="server" 
        AssociatedControlID="DropDownListVisualAcuityLessThan20200" >
        If less than 20/200, specify
    </asp:Label>
    <br />
    <asp:DropDownList ID="DropDownListVisualAcuityLessThan20200" runat="server"
        ToolTip="If Visual Acuity is less than 20/200, select a value in this list"
        AppendDataBoundItems="true" DataSourceID="ObjectDataSourceVisualAcuityMethod"
        DataTextField="DESCRIPTION_TEXT" DataValueField="ID">
        <asp:ListItem Value=""></asp:ListItem>
    </asp:DropDownList>
    <br />
    <br />
    <asp:Panel ID="PanelRadioButtonListVisualAcuityCorrected" runat="server" GroupingText="&nbsp; Vision Corrected &nbsp;&nbsp;" >
        <asp:RadioButtonList ID="RadioButtonListVisualAcuityCorrected" runat="server" 
            RepeatDirection="Horizontal" ToolTip="Select a value for Visual Acuity Corrected.">
        <asp:ListItem Value="1">Glasses</asp:ListItem>
        <asp:ListItem Value="2">Pinhole</asp:ListItem>
        <asp:ListItem Value="3">No</asp:ListItem>
        <asp:ListItem Value="4">Unknown</asp:ListItem>
        </asp:RadioButtonList>
    </asp:Panel>
    <br />
     <asp:Panel ID="PanelRefraction" runat="server" Width="100%" GroupingText="Refraction" >
<table class="100%">
        <tr>
            <td>
                <asp:Label ID="LabelforSphere" runat="server" 
                    AssociatedControlID="TextBoxSphere" Text="Sphere<br>(+/-XX.XX)"></asp:Label>
            </td>
            <td>
                &nbsp;</td>
            <td>
               <asp:Label ID="LabelforCylinder" runat="server" 
                    AssociatedControlID="TextBoxCylinder" Text="Cylinder<br>(+/-XX.XX)"></asp:Label>
            </td>
            <td>
                &nbsp;</td>
            <td>
                 <asp:Label ID="LabelforAxis" runat="server" Text="Axis<br>(XXX)" 
                    AssociatedControlID="TextBoxAxis"></asp:Label>    
            </td>
        </tr>
        <tr>
            <td align="left" 
                width="90px" >
                <asp:TextBox ID="TextBoxSphere" runat="server" 
                    MaxLength="6" 
                    Width="70px">
                </asp:TextBox>
                <br />
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxSphere" runat="server" 
                    ErrorMessage="Sphere needs to be in the following format: +/- XX.XX"
                    ControlToValidate="TextBoxSphere" 
                    ValidationExpression="^([\+-]0?[0-9]\.[0-9][0-9]|[\+-][0-9][0-9].[0-9][0-9])$"
                >
                </asp:RegularExpressionValidator>
            </td>
            <td align="left">
                /&nbsp;</td>
            <td align="left"
                width="90px" >
                <asp:TextBox ID="TextBoxCylinder" runat="server"
                    MaxLength="6" 
                    Width="70px" >
                </asp:TextBox>
                <br />
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxCylinderSign" runat="server" 
                    ErrorMessage="Cylinder must be preceeded by a +/- indicator."
                    ControlToValidate="TextBoxCylinder" 
                    ValidationExpression="^[+-].*"
                >
                </asp:RegularExpressionValidator>
                
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxCylinderRange" runat="server" 
                    ErrorMessage="Cylinder needs to be between <br/>-19.00 and +19.75 in the following format: <br/>+/-XX.XX."
                    ControlToValidate="TextBoxCylinder" 
                    ValidationExpression="([^+-].*|^([\+-]0?[0-9]\.[0-9][0-9]|[\+-]1[0-8]\.[0-9][0-9]|[\+-]19.00)|^([\+]19\.[0-9][0-9])$)" >
                </asp:RegularExpressionValidator>
                <!-- Regex below matches if above tests fail to hide unnecessary error message -->
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxCylinderDecimal" runat="server" 
                    ErrorMessage="Decimal portion must be .00, .25, .50, or .75."
                    ControlToValidate="TextBoxCylinder"
                    ValidationExpression="([^+-].*|^[+-]0?[0-9].(00|25|50|75)|^[+-][1][0-8].(00|25|50|75)|^[+-]19.00|^[+]19\.(00|25|50|75)$)" >

                </asp:RegularExpressionValidator>
            </td>
            <td align="left">
                @&nbsp;
            </td>
            <td align="left"
                width="90px" >
                <asp:TextBox ID="TextBoxAxis" runat="server"
                    MaxLength="6" 
                    Width="70px" >
                </asp:TextBox>
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxAxis" runat="server" 
                    ErrorMessage="Axis needs to be in the following format: XXX"
                    ControlToValidate="TextBoxAxis"
                    ValidationExpression="^(0?0?[1-9]|0?[1-9][0-9]|[1-9][0-9][0-9])$" />
                <%--VHAISPBLANCT | RTC 20713 | Regular Expression to require 3 digits--%>
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxAxis2" runat="server" 
                    ErrorMessage="Axis needs to be in the following format: XXX"
                    ControlToValidate="TextBoxAxis"
                    ValidationExpression="\d{3}" />
            </td>
        </tr>
        <tr>
            <td colspan="5">
                <asp:CheckBox ID="CheckBoxRefractionUnknown" runat="server" Text="Unknown" 
                    ToolTip="Check if Refraction Unknown" />
            </td>
        </tr>
    </table>
</asp:Panel>       
        </td>
        </tr>
        </table>
    </asp:Panel>
     <ucComments:ExamCommentsUserControl ID="ExamCommentsUserControl"  runat="server" />
</asp:Panel>
<asp:ObjectDataSource ID="ObjectDataSourceVisualAcuityMethod" runat="server" 
    SelectMethod="GetDVEIRAcuityMethods" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>
