﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabConfrontaionVisualTestUserControl.ascx.cs" Inherits="clinicalDataUserControls_ExamTabConfrontationVisualTestUserControl" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>
    <%@ Register src="ExamTestPerformedUserControl.ascx" tagname="ExamTestPerformedUserControl" tagprefix="ucTestPerformed" %>
    <%@ Register src="ExamCommentsUserControl.ascx" tagname="ExamCommentsUserControl" tagprefix="ucComments" %>
    <%@ Register src="ExamTestResultUserControl.ascx" tagname="ExamTestResultUserControl" tagprefix="ucTestResults" %>
    <script type = "text/javascript">
        $(document).ready(function() {

            if ($('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':checked')) {
                $('#<%= PanelConfrontationTestContent.ClientID %>').show();
            }
            else {
                $('#<%= PanelConfrontationTestContent.ClientID %>').hide();
            }

        });
    </script>

<asp:Panel ID="PanelConfrontationVisualFields" runat="server" Width="100%" GroupingText="Change Grouping Text with Panel Name" CssClass="SideBySideEyeExamPanel">
    <br />
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewCommentUserControlConfrontationVisualFields" 
        />
        
    <ucTestPerformed:ExamTestPerformedUserControl ID="ExamTestPerformedUserControl" 
        ExamTestName="Confrontation Visual Fields" runat="server" />

     <asp:Panel ID="PanelConfrontationTestContent" runat="server" BorderWidth="0" Width="100%" >
          <ucTestResults:ExamTestResultUserControl ID="ExamTestResultUserControl" 
          runat="server" SeeBlowText="" ExamTestName="Confrontation Visual Fields" />
        </asp:Panel>
       <ucComments:ExamCommentsUserControl ID="ExamCommentsUserControl" 
            runat="server" ExamTestName="Confrontation Visual Fields" />
</asp:Panel>