﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabKineticVisualFieldTestUserControl.ascx.cs" Inherits="clinicalDataUserControls_ExamTabKineticVisualFieldTestUserControl" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>
    <%@ Register src="ExamTestPerformedUserControl.ascx" tagname="ExamTestPerformedUserControl" tagprefix="ucTestPerformed" %>
    <%@ Register src="ExamCommentsUserControl.ascx" tagname="ExamCommentsUserControl" tagprefix="ucComments" %>
    <%@ Register src="ExamTestResultUserControl.ascx" tagname="ExamTestResultUserControl" tagprefix="ucTestResults" %>
    <script type = "text/javascript">
        $(document).ready(function() {

        if ($('#<%= ExamTestPerformedUserControl.ClientID + "_RadioButtonListPerformed_0" %>').is(':checked')) {
            $('#<%= PanelKineticTestContent.ClientID %>').show();
        }
        else {
            $('#<%= PanelKineticTestContent.ClientID %>').hide();
        }
    });
    </script>


<asp:Panel ID="PanelVisualField" runat="server" Width="100%" GroupingText="Change Grouping Text with Panel Name" CssClass="SideBySideEyeExamPanel">
    <br />
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewCommentUserControlKineticVisualField" 
        />

    <ucTestPerformed:ExamTestPerformedUserControl ID="ExamTestPerformedUserControl" 
        ExamTestName="Kinetic Visual Fields (Goldmann)" runat="server" />

     <asp:Panel ID="PanelKineticTestContent" runat="server" BorderWidth="0" Width="100%" >
         <ucTestResults:ExamTestResultUserControl ID="ExamTestResultUserControl" 
         runat="server" SeeBlowText="" ExamTestName="Kinetic Visual Fields (Goldmann)" />
    </asp:Panel>
    <ucComments:ExamCommentsUserControl ID="ExamCommentsUserControl" 
        ExamTestName="Kinetic Visual Fields (Goldmann)" runat="server" />
</asp:Panel>