﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;

public partial class clinicalDataUserControls_ExamTestPerformedUserControl : BaseClinicalDataControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    public string ExamTestName
    {
        set
        {
            RadioButtonListPerformed.ToolTip = "'" + LabelforPerformed.Text 
                + "' for " + value;
            LabelforPerformed.ToolTip = "'" + LabelforPerformed.Text
                + "' for " + value;
        }
    }

    public EyeSettingType EyeSetting
    {
        set
        {
            if (value == EyeSettingType.RightEye
                && !RadioButtonListPerformed.ToolTip.Contains(" Right Eye"))
            {
                RadioButtonListPerformed.ToolTip = RadioButtonListPerformed.ToolTip + " Right Eye";
                LabelforPerformed.ToolTip = LabelforPerformed.ToolTip + " Right Eye";
            }
            else if (value == EyeSettingType.LeftEye
                && !RadioButtonListPerformed.ToolTip.Contains(" Left Eye"))
            {
                RadioButtonListPerformed.ToolTip = RadioButtonListPerformed.ToolTip + " Left Eye";
                LabelforPerformed.ToolTip = LabelforPerformed.ToolTip + " Left Eye";
            }
        }
    }

    public string LabelForTestPerformed
    {
        set
        {
            if (!string.IsNullOrEmpty(value))
            {
                LabelforPerformed.Text = value;
            }
        }
    }

    public string TestPerformed
    {
        get
        {
            return RadioButtonListPerformed.SelectedValue;
        }
        set
        {
            try
            {
                RadioButtonListPerformed.SelectedValue = value;
            }
            catch
            {
                // do nothing
            }
        }
    }

}
