﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using VeteransAffairs.Registries.Business;

public partial class clinicalDataUserControls_ExamTestResultUserControl : BaseClinicalDataControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    public EyeSettingType EyeSetting
    {
        set
        {
            if (value == EyeSettingType.RightEye
                && !RadioButtonListTestResult.ToolTip.Contains(" Right Eye"))
            {
                RadioButtonListTestResult.ToolTip = RadioButtonListTestResult.ToolTip + " Right Eye";
                LabelforRadioButtonListTestResult.ToolTip = LabelforRadioButtonListTestResult.ToolTip + " Right Eye";
                 
            }
            else if (value == EyeSettingType.LeftEye
                && !RadioButtonListTestResult.ToolTip.Contains(" Left Eye"))
            {
                RadioButtonListTestResult.ToolTip = RadioButtonListTestResult.ToolTip + " Left Eye";
                LabelforRadioButtonListTestResult.ToolTip = LabelforRadioButtonListTestResult.ToolTip + " Left Eye";
            }
        }
    }

    public string ExamTestName
    {
        set
        {
            RadioButtonListTestResult.ToolTip = "Test Result for " + value;
            LabelforRadioButtonListTestResult.ToolTip = "Test Result for " + value;
        }
    }


    public string SeeBlowText
    {
        set
        {
            LabelSeeBelow.Text = value;
        }
    }

    public string TestResult
    {
        get
        {
            return RadioButtonListTestResult.SelectedValue;
        }
        set
        {
            try
            {
                RadioButtonListTestResult.SelectedValue = value;
            }
            catch
            {
                RadioButtonListTestResult.SelectedIndex = -1;
            }
        }
    }
}
