﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="PatientTabUserControl.ascx.cs" Inherits="controls_PatientTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>
<%@ Register src="ReviewCommentsEntryUserControl.ascx" tagname="ReviewCommentsEntryUserControl" tagprefix="userControlReviewComments" %>
<style type="text/css">
    .style1
    {
        width: 163px;
    }
    .style2
    {
        width: 216px;
    }
    .style5
    {
        width: 119px;
    }
    .style6
    {
        width: 52px;
    }
    .style7
    {
        width: 73px;
    }
    .style8
    {
        width: 544px;
    }
</style>
<script type = "text/javascript">

    $(document).ready(function()
    {


        $('input[id*=CheckBoxExplosionCauses]').click(function()
        {
            if ($('label[for="' + $(this).attr('id') + '"]').text() == 'Other')
            {
                if ($(this).is(':checked'))
                {
                    $(".blastOtherSection").show();
                }
                else
                {
                    $(".blastOtherSection").hide();
                    $(".blastOtherSection input:text").val("");
                }
            }

        });

        $('input[id*=TreatmentLocationsList]').click(function()
        {
            if ($('label[for="' + $(this).attr('id') + '"]').text() == 'In The Field')
            {
                if ($(this).is(':checked'))
                {
                    $(".treatedInTheField").show();
                }
                else
                {
                    $(".treatedInTheField").hide();
                    $(".treatedInTheField input:text").val("");
                }
            }

            if ($('label[for="' + $(this).attr('id') + '"]').text() == 'At a Combat Support Hospital')
            {
                if ($(this).is(':checked'))
                {
                    $(".treatedAtSupportHospital").show();
                }
                else
                {
                    $(".treatedAtSupportHospital").hide();
                    $(".treatedAtSupportHospital input:text").val("");

                }
            }

            if ($('label[for="' + $(this).attr('id') + '"]').text() == 'At a U.S. based Medical Treatment Facility')
            {
                if ($(this).is(':checked'))
                {
                    $(".treatedAtUSFacility").show();
                }
                else
                {
                    $(".treatedAtUSFacility").hide();
                    $(".treatedAtUSFacility input:text").val("");
                }
            }

            if ($('label[for="' + $(this).attr('id') + '"]').text() == 'At a VA Medical Center')
            {
                if ($(this).is(':checked'))
                {
                    $(".treatedAtVAMedicalCenter").show();
                }
                else
                {
                    $(".treatedAtVAMedicalCenter").hide();
                    $(".treatedAtVAMedicalCenter input:text").val("");
                }

            }

        });

    });
</script> 
<asp:ValidationSummary runat="server" 
    HeaderText="The page has the following data errors: " 
    ID="ExamTabValidationSummary" 
    EnableClientScript="true" 
    DisplayMode="BulletList" 
    ShowSummary="false" 
    ShowMessageBox="True"
    />
    
<asp:Panel ID="PanelPatientName" runat="server" GroupingText="Patient Name" Width="100%">
    <table Width="100%">
        <tr>
            <td Width="5%">
                <asp:Label ID="LabelforLabelLastNameValue" runat="server" Text="Last:" Font-Bold="True" SkinID = "DataLabel"
                    AssociatedControlID="LabelLastNameValue"></asp:Label>  
            </td>
             <td Width="10%">
                 <asp:Label ID="LabelLastNameValue" runat="server" Text="" SkinID = "DataLabel"
                    Font-Bold="True" 
                    ForeColor="#000066"></asp:Label>  
            </td>
            <td Width="5%">
                <asp:Label ID="LabelforLabelFirstNameValue" runat="server" Text="First:" Font-Bold="True" SkinID = "DataLabel"
                    AssociatedControlID="LabelFirstNameValue"></asp:Label>  
            </td>
            <td Width="10%">
                 <asp:Label ID="LabelFirstNameValue" runat="server" Text="" SkinID = "DataLabel"
                    Font-Bold="True" 
                    ForeColor="#000066"></asp:Label>  
            </td>
            <td Width="5%">
                <asp:Label ID="LabelforLabelMiddleNameValue" AssociatedControlID="LabelMiddleNameValue" runat="server" Text="Middle:" Font-Bold="true" SkinID = "DataLabel">
                </asp:Label>  
            </td>
             <td Width="10%">
                 <asp:Label ID="LabelMiddleNameValue" runat="server"  Text="" SkinID = "DataLabel"
                    Font-Bold="True" 
                    ForeColor="#000066"></asp:Label>  
            </td>
       </tr>
     </table>
</asp:Panel>
<br />
<asp:Panel ID="PanelDOBDODSSNRaceGenderMaritalStatus" runat="server" 
    GroupingText="Patient Information" Width="100%">
    <table Width="100%">
       <tr>
            <td Width="5%">
                <asp:Label ID="LabelforLabelDateOfBirthValue" 
                    AssociatedControlID="LabelDateOfBirthValue" runat="server" 
                    Text="Date of Birth:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                 <asp:Label ID="LabelDateOfBirthValue" runat="server" 
                    Font-Bold="True" 
                    ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%">
                <asp:Label ID="LabelforLabelDateOfDeathValue" 
                    AssociatedControlID="LabelDateOfDeathValue" runat="server" 
                    Text="Date of Death:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelDateOfDeathValue" runat="server" Font-Bold="True" 
                    ForeColor="#000066" SkinID="DataLabel"></asp:Label>
            </td>
            <td Width="5%">
                <asp:Label ID="LabelforLabelRaceValue" AssociatedControlID="LabelRaceValue" 
                    runat="server" Font-Bold="True" Text="Race:" SkinID="DataLabel"></asp:Label>
            </td>
            <td Width="10%">
                <asp:Label ID="LabelRaceValue" runat="server" Font-Bold="True" 
                    ForeColor="#000066" SkinID="DataLabel"></asp:Label>
            </td>
       </tr>
       <tr>
            <td Width="5%">
                <asp:Label ID="LabelforLabelSSNValue" AssociatedControlID="LabelSSNValue" 
                    runat="server" Text="SSN:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                 <asp:Label ID="LabelSSNValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%">
                <asp:Label ID="LabelMaritalStatus" 
                    AssociatedControlID="LabelMaritalStatusValue" runat="server" Font-Bold="True" 
                    Text="Marital Status:" SkinID="DataLabel"></asp:Label>
            </td>
            <td Width="10%">
                  <asp:Label ID="LabelMaritalStatusValue" runat="server" Font-Bold="True" 
                      ForeColor="#000066" SkinID="DataLabel"></asp:Label>
            </td>
            <td Width="5%">
                <asp:Label ID="LabelforLabelEthnicityValue" 
                    AssociatedControlID="LabelEthnicityValue" runat="server" Text="Ethnicity:" 
                    Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelEthnicityValue" runat="server" Font-Bold="True" 
                    ForeColor="#000066" SkinID="DataLabel"></asp:Label>
            </td>
       </tr>
       <tr>
            <td Width="5%">
                <asp:Label ID="LabelforLabelGenderValue" AssociatedControlID="LabelGenderValue" 
                    runat="server" Text="Gender:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelGenderValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%">
                &nbsp;</td>
            <td Width="10%">
                &nbsp;</td>
            <td Width="5%">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
    </table>
</asp:Panel>
<br />
<asp:Panel ID="PanelAddress" runat="server" 
    GroupingText="Address" Width="100%">
    <table Width="100%">
       <tr>
            <td Width="5%">
                <asp:Label ID="LabelforLabelAddressTypeValue" 
                    AssociatedControlID="LabelAddressTypeValue" runat="server" Text="Address Type:" 
                    Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelAddressTypeValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%">
                &nbsp;
            </td>
            <td Width="10%">
                &nbsp;
            </td>
            <td Width="5%">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td Width="5%">
                <asp:Label ID="LabelforLabelStreetLine1Value" 
                    AssociatedControlID="LabelStreetLine1Value" runat="server" 
                    Text="Street Line 1:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelStreetLine1Value" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%">
                &nbsp;
            </td>
            <td Width="10%">
                &nbsp;
            </td>
            <td Width="5%">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td Width="5%">
                <asp:Label ID="LabelforLabelStreetLine2Value" 
                    AssociatedControlID="LabelStreetLine2Value" runat="server" 
                    Text="Street Line 2:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelStreetLine2Value" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%">
                &nbsp;
            </td>
            <td Width="10%">
                &nbsp;
            </td>
            <td Width="5%">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td Width="5%">
                <asp:Label ID="LabelforLabelStreetLine3Value" 
                    AssociatedControlID="LabelStreetLine3Value" runat="server" 
                    Text="Street Line 3:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelStreetLine3Value" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%">
                &nbsp;
            </td>
            <td Width="10%">
                &nbsp;
            </td>
            <td Width="5%">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td Width="5%">
                <asp:Label ID="LabelforLabelCityValue" AssociatedControlID="LabelCityValue" 
                    runat="server" Text="City:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelCityValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%" >
                <asp:Label ID="LabelforLabelStateValue" AssociatedControlID="LabelStateValue" 
                    runat="server" Text="State:" Font-Bold="True" SkinID="DataLabel" ></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelStateValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%" >
                <asp:Label ID="LabelforLabelZipValue" AssociatedControlID="LabelZipValue" 
                    runat="server" Text="Zip:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelZipValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
       </tr>
    </table>
</asp:Panel>
<br />
<asp:Panel ID="PanelPhone" runat="server" 
    GroupingText="Phone" Width="100%">
    <table Width="60%">
       <tr>
            <td Width="10%">
                <asp:Label ID="LabelforLabelPrimaryPhoneNumberValue" 
                    AssociatedControlID="LabelPrimaryPhoneNumberValue" runat="server" 
                    Text="Primary Phone:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelPrimaryPhoneNumberValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%">
                &nbsp;
            </td>
            <td Width="10%">
                &nbsp;
            </td>
            <td Width="5%">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td Width="5%">
                <asp:Label ID="LabelforLabelHomePhoneNumberValue" 
                    AssociatedControlID="LabelHomePhoneNumberValue" runat="server" Text="Home:" 
                    Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelHomePhoneNumberValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%">
                <asp:Label ID="LabelforLabelCellPhoneNumberValue" 
                    AssociatedControlID="LabelCellPhoneNumberValue" runat="server" Text="Cell:" 
                    Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelCellPhoneNumberValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label> 
            </td>
            <td Width="5%">
                <asp:Label ID="LabelforLabelWorkPhoneNumberValue" 
                    AssociatedControlID="LabelWorkPhoneNumberValue" runat="server" Text="Work:" 
                    Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                <asp:Label ID="LabelWorkPhoneNumberValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label> 
            </td>
       </tr>
    </table>
</asp:Panel>
<br />
<table Width="100%">
   <tr>
        <td class="style8">
            <asp:Panel ID="PanelEmailAddress" runat="server" 
                GroupingText="Email Address"
                Width="96%">
                <userControlReviewComments:ReviewCommentsEntryUserControl 
                    runat="server"
                    ID="ReviewEmail"
                    LocationFriendlyName = "Email"
                    AnchorId = "1" 
                    />
                <table Width="100%">

                   <tr>
                        <td Width="5%">
                            <asp:Label ID="LabelforTextBoxmail" runat="server" 
                                AssociatedControlID="TextBoxmail" 
                                Text="Email:" 
                                Font-Bold="true">
                            </asp:Label>  
                        </td>
                        <td Width="20%">
                            <asp:TextBox ID="TextBoxmail" runat="server" 
                                ToolTip="Email Address"
                                Width="50%"/>
                                <br />
                                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxmail" runat="server" 
                                    ErrorMessage="Email needs to be in the following format: Abc123@example.com"
                                    ControlToValidate = "TextBoxmail" 
                                    Width="50%"
                                    ValidationExpression = "^\s*\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*\s*$"
                                />
                        </td>
                   </tr>
                </table>
            </asp:Panel>
        </td>
        <td>
            <asp:Panel ID="PanelHowIsSmVetContacted" runat="server" 
                GroupingText="How is SM/Vet Contacted" 
                Width="100%">
                <userControlReviewComments:ReviewCommentsEntryUserControl 
                    runat="server"
                    ID="ReviewContact"
                    LocationFriendlyName = "Contact"
                    AnchorId = "2"
                    />
                <table Width="100%">
                   <tr>
                        <td Width="5%">
                            <asp:Label ID="LabelPreferredContactMethod" AssociatedControlID="TextBoxPreferredContactMethod" runat="server" Text="Preferred Contact Method:" Font-Bold="true">
                            </asp:Label>  
                        </td>
                        <td Width="10%">
                            <asp:TextBox ID="TextBoxPreferredContactMethod" runat="server" ToolTip="Preferred Contact Method"
                                Width="95%"/>
                            <br />
                            <asp:RegularExpressionValidator ID="RegularExpressionValidatorPreferredContactMethod" runat="server" 
                                ErrorMessage="Preferred Contact Method needs to contain letters only."
                                ControlToValidate="TextBoxPreferredContactMethod"
                                ValidationExpression="[a-zA-Z\s\-]*"
                            />
                        </td>
                   </tr>
                </table>
            </asp:Panel>
        </td>
   </tr>
</table>
<br />
<asp:Panel ID="PanelNextOfKin" runat="server" 
    GroupingText="Next of Kin" Width="100%">
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewNextOfKin"
        LocationFriendlyName = "Next of Kin"
        AnchorId = "3"
        />
    <table Width="100%">
       <tr>
            <td class="style5">
                <asp:Label ID="LabelforTextBoxNextOfKinFirstName" AssociatedControlID="TextBoxNextOfKinFirstName" runat="server" Text="First Name:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td class="style2">
                <asp:TextBox ID="TextBoxNextOfKinFirstName" runat="server" ToolTip="Next Of Kin First Name"
                     Width="140%"/>
            </td>
            <td class="style6">
                &nbsp;
            </td>
            <td class="style1">
                &nbsp;
            </td>
            <td class="style7">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td class="style5">
                <asp:Label ID="Label1" AssociatedControlID="TextBoxNextOfKinLastName" runat="server" Text="Last Name:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td class="style2">
                <asp:TextBox ID="TextBoxNextOfKinLastName" runat="server" ToolTip="Next Of Kin Last Name"
                     Width="140%"/>
            </td>
            <td class="style6">
                &nbsp;
            </td>
            <td class="style1">
                &nbsp;
            </td>
            <td class="style7">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td class="style5">
                <asp:Label ID="LabelforTextBoxNextOfKinRelationship" AssociatedControlID="TextBoxNextOfKinRelationship" runat="server" Text="Relationship:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td class="style2">
                <asp:TextBox ID="TextBoxNextOfKinRelationship" runat="server" ToolTip="Next Of Kin Relationship to SM/Vet"
                     Width="140%"/>
            </td>
            <td class="style6">
                &nbsp;
            </td>
            <td class="style1">
                &nbsp;
            </td>
            <td class="style7">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td class="style5">
                <asp:Label ID="LabelforTextBoxNextOfKinNextOfKinStreetLine1" AssociatedControlID="TextBoxNextOfKinNextOfKinStreetLine1" runat="server" Text="Street Line 1:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td class="style2">
                <asp:TextBox ID="TextBoxNextOfKinNextOfKinStreetLine1" runat="server" ToolTip="Next Of Kin Address Street Line 1"
                     Width="140%"/>
            </td>
            <td class="style6">
                &nbsp;
            </td>
            <td class="style1">
                &nbsp;
            </td>
            <td class="style7">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td class="style5">
                <asp:Label ID="LabelforTextBoxNextOfKinAddressStreetLine2" AssociatedControlID="TextBoxNextOfKinAddressStreetLine2" runat="server" Text="Street Line 2:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td class="style2">
                <asp:TextBox ID="TextBoxNextOfKinAddressStreetLine2" runat="server" ToolTip="Next Of Kin Address Street Line 2"
                     Width="140%"/>
            </td>
            <td class="style6">
                &nbsp;
            </td>
            <td class="style1">
                &nbsp;
            </td>
            <td class="style7">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td class="style5">
                <asp:Label ID="LabelforTextBoxNextOfKinAddressStreetLine3" AssociatedControlID="TextBoxNextOfKinAddressStreetLine3" runat="server" Text="Street Line 3:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td class="style2">
                <asp:TextBox ID="TextBoxNextOfKinAddressStreetLine3" runat="server" ToolTip="Next Of Kin Address Street Line 3"
                     Width="140%"/>
            </td>
            <td class="style6">
                &nbsp;
            </td>
            <td class="style1">
                &nbsp;
            </td>
            <td class="style7">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td class="style5">
                <asp:Label ID="LabelforTextBoxNextOfKinCity" 
                    AssociatedControlID="TextBoxNextOfKinCity" 
                    runat="server" Text="City:"
                    Width="95%" 
                    Font-Bold="true">
                </asp:Label>  
            </td>
            <td class="style2">
                <asp:TextBox ID="TextBoxNextOfKinCity" runat="server" ToolTip="Next of Kin City"
                    Width="140%"/>
                 <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxNextOfKinCity" runat="server" 
                    ErrorMessage="Next of Kin City needs to contain letters only." 
                    Display="Dynamic"
                    ControlToValidate="TextBoxNextOfKinCity"
                    ValidationExpression="[a-zA-Z\s]*">
                </asp:RegularExpressionValidator>         
           </td>
            <td align="right" class="style6">
                <asp:Label ID="LabelforTextBoxNextOfKinState" 
                    AssociatedControlID="TextBoxNextOfKinState" 
                    runat="server" 
                    Text="State:" 
                    Font-Bold="true" >
                </asp:Label>  
            </td>
            <td class="style1">
                <asp:TextBox ID="TextBoxNextOfKinState" runat="server" ToolTip="Next of Kin State"
                     Width="40%"/>
                <br />
                 <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxNextOfKinState" runat="server" 
                    ErrorMessage="Next of Kin State is not valid. Only letters are accepted." 
                    ControlToValidate="TextBoxNextOfKinState"
                    ValidationExpression="[a-zA-Z\s]*">
                </asp:RegularExpressionValidator>         
            </td>
            <td align="right" class="style7">
                <asp:Label ID="LabelforTextBoxNextOfKinZip" runat="server" 
                    AssociatedControlID="TextBoxNextOfKinZip" 
                    Text="Postal Code:" 
                    Width="40%"
                    Font-Bold="true">
                </asp:Label>  
            </td>
            <td Width="10%">
                <asp:TextBox ID="TextBoxNextOfKinZip" runat="server" 
                    ToolTip="Next of Kin Zip"
                    Width="88%"/>
            </td>
       </tr>
       <tr>
            <td class="style5">
                <asp:Label ID="LabelforTextBoxNextOfKinPhone" AssociatedControlID="TextBoxNextOfKinPhone" runat="server" Text="Phone:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td class="style2">
                <asp:TextBox ID="TextBoxNextOfKinPhone" runat="server" 
                    ToolTip="Next Of Kin Phone"
                    Width="140%"/>
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxNextOfKinPhone" runat="server" 
                    ErrorMessage="Next Of Kin Phone field can only contain numbers and the following characters: + - ( ) ext"
                    ControlToValidate="TextBoxNextOfKinPhone"
                    ValidationExpression="^(\(?\+?[0-9]*\)?)?[x0-9_\.\- \(\)]*(ext)*[0-9_\.\- \(\)]+$">
                </asp:RegularExpressionValidator>         
            </td>
            <td class="style6">
                &nbsp;
            </td>
            <td class="style1">
                &nbsp;
            </td>
            <td class="style7">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td class="style5">
                <asp:Label ID="LabelforTextBoxNextOfKinEmail" AssociatedControlID="TextBoxNextOfKinEmail" runat="server" Text="Email:" Font-Bold="true">
                </asp:Label>  
            </td>
            <td class="style2">
                <asp:TextBox ID="TextBoxNextOfKinEmail" runat="server" ToolTip="Next Of Kin Email"
                     Width="140%"/>
                     <asp:RegularExpressionValidator ID="RegularExpressionValidatorTextBoxNextOfKinEmail" runat="server" 
                        ErrorMessage="Next Of Kin Email needs to be in the following format: Abc123@example.com"
                        ControlToValidate="TextBoxNextOfKinEmail"
                        ValidationExpression = "^\s*\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*\s*$"
                        />
            </td>
            <td class="style6">
                &nbsp;
            </td>
            <td class="style1">
                &nbsp;
            </td>
            <td class="style7">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
    </table>
</asp:Panel>
<br />
<asp:Panel ID="PanelOther" runat="server" 
    GroupingText="Other" Width="100%">
    <userControlReviewComments:ReviewCommentsEntryUserControl 
        runat="server"
        ID="ReviewOther"
        LocationFriendlyName = "Other"
        AnchorId = "4" 
        />
    <table Width="100%" >
       <tr>
            <td Width="5%">
                <asp:Label ID="LabelforLabelOEFOIFValue" AssociatedControlID="LabelOEFOIFValue" 
                    runat="server" Text="OEF/OIF:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                 <asp:Label ID="LabelOEFOIFValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="5%">
                <asp:Label ID="LabelforLabelServiceValue" 
                    AssociatedControlID="LabelServiceValue" runat="server" Text="Service:" 
                    Font-Bold="True" SkinID="DataLabel"></asp:Label>  
            </td>
            <td Width="10%">
                 <asp:Label ID="LabelServiceValue" runat="server" 
                    Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
            </td>
            <td width="10%">
                &nbsp;
            </td>
       </tr>
       <tr>
            <td width="10%">
                <asp:Panel ID="Panel1" runat="server" 
                    GroupingText="Battle:" Width="100%">
                           <asp:RadioButtonList ID="RadioButtonListBattle" runat="server"  
                                ToolTip="Was Patient injured in battle?"
                                RepeatDirection="Horizontal">
                                <asp:ListItem Value="Y"  
                                    Text="Battle:"  >Yes
                                </asp:ListItem>
                                <asp:ListItem Value="N">No
                                </asp:ListItem>
                            </asp:RadioButtonList>
                </asp:Panel> 
           </td>
            <td Width="10%">
                &nbsp;
            </td>
            <td Width="10%">
                &nbsp;
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
       <tr style="display:none">
            <td colspan="5">
                <br />
                <asp:Panel ID="PanelHospitalized" runat="server" Visible="false"
                    GroupingText="Hospitalized at time of data transfer &nbsp;&nbsp;">
                    <table width="100%">
                        <tr>
                            <td>
                                <asp:RadioButtonList ID="RadioButtonListHospitalized" runat="server" 
                                    RepeatDirection="Horizontal">
                                    <asp:ListItem>Yes</asp:ListItem>
                                    <asp:ListItem>No</asp:ListItem>
                                </asp:RadioButtonList>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="LabelFacility" runat="server" Text="Facility:" Font-Bold="true">
                                </asp:Label>  
                                &nbsp;
                                <asp:DropDownList ID="DropDownListHospitalizedFacility" runat="server" 
                                        ToolTip="Select Facility"
                                        AppendDataBoundItems="true" DataSourceID="ObjectDataSourceVAMC"
                                        DataTextField="FullVISNName" DataValueField="ID"
                                        >
                                        <asp:ListItem Value="0">-- Select a Value --</asp:ListItem>
                                </asp:DropDownList>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <br />
            </td>
            
       </tr>
       <tr>
            <td Width="20%">
                <asp:Panel ID="PanelLivingArrangement" runat="server" 
                    GroupingText="Living Arrangement:" Width="100%">
                    <asp:RadioButtonList ID="RadioButtonListLivingArrangement" runat="server" ToolTip="Select patient living arrangement."
                        RepeatDirection="Horizontal">
                        <asp:ListItem>Alone</asp:ListItem>
                        <asp:ListItem>Family</asp:ListItem>
                        <asp:ListItem>Friend </asp:ListItem>
                        <asp:ListItem>Facility</asp:ListItem>
                        <asp:ListItem>Other</asp:ListItem>
                    </asp:RadioButtonList>
                </asp:Panel>
            </td>
            <td Width="5%">
                &nbsp;
            </td>
            <td Width="10%">
                &nbsp;
            </td>
            <td Width="5%">
                &nbsp;  
            </td>
            <td Width="10%">
                &nbsp;
            </td>
       </tr>
    </table>
</asp:Panel>
 
<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />

<asp:ObjectDataSource ID="ObjectDataSourceVAMC" runat="server" 
    SelectMethod="GetVAMCList" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>


