﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProblemListTabUserControl.ascx.cs" Inherits="clinicalDataUserControls_ProblemListTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>

<style type="text/css">
    .style1
    {
        width: 100%;
    }
    .SideBySideEyeExamPanel
    {
        width: 100%;
    }
    .EyeExamTableColumnIndent
    {
        width: 4%;
    }
    .eyeExamWidthBetweenODPanelOSPanel
    {
        width: 8px;
    }
    
</style>

<table width="100%">
<tr>
    <td>
        <asp:Panel ID="PanelProblemList" runat="server" Visible="true" Width="100%">
            <table class="contentLayoutTable">
                <tr>
                    <td>
                        <asp:Panel ID="ActiveProblems" runat="server" Width="100%" GroupingText="Active Problems &nbsp;&nbsp;">
                            <br />
                            <asp:GridView ID="GridViewActiveProblems" runat="server" 
                                AutoGenerateColumns="False" 
                                Width="100%" 
                                DataKeyNames="PROBLEM_ID" 
                                AllowPaging="False" 
                                AllowSorting="False">
                                <Columns>
                                    <asp:TemplateField HeaderText="Description">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelDescription" runat="server" 
                                                Text='<%# Eval("PROBLEM_DESC") %>'>
                                            </asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Left"/>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Onset Date">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelOnsetDate" runat="server" 
                                                Text='<%# Eval("ONSET_DATE","{0:d}") %>'>
                                            </asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Center" Width="140px"/>
                                        <HeaderStyle HorizontalAlign="Center"/>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Last Updated">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelUpdated" runat="server" 
                                            Text='<%# Eval("UPDATED","{0:d}") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Center" Width="140px"/>
                                        <HeaderStyle HorizontalAlign="Center"/>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Facility">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelFacility" runat="server" 
                                            Text='<%# "(" + Eval("FACILITY_STATION_NUMBER").ToString() + ") " + Eval("FACILITY_NAME").ToString()%>'>
                                            </asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Left" Width="350px"/>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                            <br />
                        </asp:Panel>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Panel ID="PanelInactiveProblems" runat="server" Width="100%" GroupingText="Inactive Problems &nbsp;&nbsp;">
                            <br />
                            <asp:GridView ID="GridViewInactiveProblems" runat="server" 
                                AutoGenerateColumns="False" 
                                DataKeyNames="PROBLEM_ID" 
                                AllowPaging="False" 
                                AllowSorting="False"
                                Width="100%"> 
                                <Columns>
                                    <asp:TemplateField HeaderText="Description" SortExpression="PROBLEM_DESC">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelDescription" runat="server" 
                                                Text='<%# Eval("PROBLEM_DESC") %>'>
                                            </asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Left"/>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Onset Date" SortExpression="ONSET_DATE" >
                                        <ItemTemplate>
                                            <asp:Label ID="LabelOnsetDate" runat="server" 
                                                Text='<%# Eval("ONSET_DATE","{0:d}") %>'>
                                            </asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Center" Width="140px"/>
                                        <HeaderStyle HorizontalAlign="Center"/>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Last Updated" SortExpression="UPDATED">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelUpdated" runat="server" 
                                            Text='<%# Eval("UPDATED","{0:d}") %>'></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Center" Width="140px"/>
                                        <HeaderStyle HorizontalAlign="Center"/>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Facility" SortExpression="PROVIDER_NAME">
                                        <ItemTemplate>
                                            <asp:Label ID="LabelFacility" runat="server" 
                                            Text='<%# "(" + Eval("FACILITY_STATION_NUMBER").ToString() + ") " + Eval("FACILITY_NAME").ToString()%>'>
                                            ></asp:Label>
                                        </ItemTemplate>
                                        <ItemStyle HorizontalAlign="Left" Width="350px"/>
                                    </asp:TemplateField>
                                </Columns>
                            </asp:GridView>
                            <br />
                        </asp:Panel>
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </td>
</tr>
</table>
<asp:HiddenField ID="HiddenFieldReferralId" runat="server" />
<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />
<asp:HiddenField ID="HiddenFieldEncounterID" runat="server" />
   
    
