﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProviderTabUserControl.ascx.cs" Inherits="controls_ProviderTabUserControl" %>
<%@ Register assembly="RJS.Web.WebControl.PopCalendar.Net.2008" namespace="RJS.Web.WebControl" tagprefix="rjs" %>
<%@ Register src="EncounterInformationHeaderUserControl.ascx" tagname="EncounterHeaderUserControl" tagprefix="userControlEncounterHeader" %>
<asp:ValidationSummary runat="server" 
    HeaderText="The page has the following data errors: " 
    ID="ExamTabValidationSummary" 
    EnableClientScript="true" 
    DisplayMode="BulletList" 
    ShowSummary="false" 
    ShowMessageBox="True" />            
<userControlEncounterHeader:EncounterHeaderUserControl ID="EncounterHeaderUserControl" runat="server"/>
<asp:Label ID="LabelforDropDownListProvider" AssociatedControlID="DropDownListProvider" Visible="false" runat="server" Text="Provider: "></asp:Label>
<asp:DropDownList ID="DropDownListProvider" Visible="false" runat="server" 
        ToolTip="Select Provider" Width="300"
        >
        <asp:ListItem Value="0">-- Select a Value --</asp:ListItem>
        <asp:ListItem Selected="True" Value="1">Provider, One</asp:ListItem>
        <asp:ListItem Value="2">Provider, Two</asp:ListItem>
        <asp:ListItem Value="3">Provider, Three</asp:ListItem>
        <asp:ListItem Value="4">Provider, Four</asp:ListItem>
        <asp:ListItem Value="5">Provider, Five</asp:ListItem>
</asp:DropDownList>
    <asp:Panel ID="PanelProvider" runat="server" Width="100%" GroupingText="Provider Information&nbsp;&nbsp;">
        <br />                        
        <asp:Panel ID="PanelProviderName" runat="server" GroupingText="Name" Width="100%">
            <table Width="100%">
                <tr>
                    <td Width="10%">
                        <asp:Label ID="LabelforLabelLastNameValue" 
                            AssociatedControlID="LabelLastNameValue" runat="server" Text="Last:" 
                            Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                     <td Width="10%">
                         <asp:Label ID="LabelLastNameValue" runat="server" 
                            Font-Bold="True" 
                            ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%" >
                        <asp:Label ID="LabelforLabelFirstNameValue" 
                            AssociatedControlID="LabelFirstNameValue" runat="server" Text="First:" 
                            Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="10%">
                         <asp:Label ID="LabelFirstNameValue" runat="server"  
                            Font-Bold="True" 
                            ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%" >
                        <asp:Label ID="LabelforLabelMiddleNameValue" 
                            AssociatedControlID="LabelMiddleNameValue" runat="server" Text="Middle:" 
                            Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                     <td Width="10%">
                         <asp:Label ID="LabelMiddleNameValue" runat="server"  
                            Font-Bold="True" 
                            ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
               </tr>
             </table>
        </asp:Panel>
        <br />
        <asp:Panel ID="PanelAddress" runat="server" 
            GroupingText="Address" Width="100%">
            <table Width="100%">
               <tr>
                    <td Width="10%">
                        <asp:Label ID="LabelforLabelStreetLine1Value" 
                            AssociatedControlID="LabelStreetLine1Value" runat="server" 
                            Text="Street Line 1:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="10%">
                        <asp:Label ID="LabelStreetLine1Value" runat="server"  
                            Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%">
                        &nbsp;
                    </td>
                    <td Width="10%">
                        &nbsp;
                    </td>
                    <td Width="5%">
                        &nbsp;  
                    </td>
                    <td Width="10%">
                        &nbsp;
                    </td>
               </tr>
               <tr>
                    <td Width="5%">
                        <asp:Label ID="LabelforLabelStreetLine2Value" 
                            AssociatedControlID="LabelStreetLine2Value" runat="server" 
                            Text="Street Line 2:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="10%">
                        <asp:Label ID="LabelStreetLine2Value" runat="server"  
                            Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%">
                        &nbsp;
                    </td>
                    <td Width="10%">
                        &nbsp;
                    </td>
                    <td Width="5%">
                        &nbsp;  
                    </td>
                    <td Width="10%">
                        &nbsp;
                    </td>
               </tr>
               <tr>
                    <td Width="5%">
                        <asp:Label ID="Labelfor" AssociatedControlID="LabelStreetLine3Value" 
                            runat="server" Text="Street Line 3:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="10%">
                        <asp:Label ID="LabelStreetLine3Value" runat="server"  
                            Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%">
                        &nbsp;
                    </td>
                    <td Width="10%">
                        &nbsp;
                    </td>
                    <td Width="5%">
                        &nbsp;  
                    </td>
                    <td Width="10%">
                        &nbsp;
                    </td>
               </tr>
               <tr>
                    <td Width="5%">
                        <asp:Label ID="LabelforLabelCityValue" AssociatedControlID="LabelCityValue" 
                            runat="server" Text="City:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="10%">
                        <asp:Label ID="LabelCityValue" runat="server"
                            Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%" >
                        <asp:Label ID="LabelforLabelStateValue" AssociatedControlID="LabelStateValue" 
                            runat="server" Text="State:" Font-Bold="True" SkinID="DataLabel" ></asp:Label>  
                    </td>
                    <td Width="10%">
                        <asp:Label ID="LabelStateValue" runat="server"  
                            Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%" >
                        <asp:Label ID="LabelforLabelZipValue" AssociatedControlID="LabelZipValue" 
                            runat="server" Text="Zip:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="10%">
                        <asp:Label ID="LabelZipValue" runat="server" 
                            Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
               </tr>
            </table>
        </asp:Panel>
        <br />
        <asp:Panel ID="PanelPhone" runat="server" 
            GroupingText="Phone" Width="100%">
            <table Width="100%">
               <tr>
                    <td Width="10%">
                        <asp:Label ID="LabelforLabelBusinessPhoneNumberValue" 
                            AssociatedControlID="LabelBusinessPhoneNumberValue" runat="server" 
                            Text="Business:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="10%">
                        <asp:Label ID="LabelBusinessPhoneNumberValue" runat="server" 
                            Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%" >
                        <asp:Label ID="LabelforLabelFaxNumberValue" 
                            AssociatedControlID="LabelFaxNumberValue" runat="server" Text="Fax:" 
                            Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="10%">
                        <asp:Label ID="LabelFaxNumberValue" runat="server"  
                            Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%">
                        &nbsp;
                    </td>
                    <td Width="10%">
                        &nbsp;
                    </td>
               </tr>
            </table>
        </asp:Panel>
        <br />
        <asp:Panel ID="PanelOther" runat="server" 
            GroupingText="Other" Width="100%">
            <table Width="100%">
               <tr>
                    <td Width="10%">
                        <asp:Label ID="LabelforLabelTypeValue" AssociatedControlID="LabelTypeValue" 
                            runat="server" Text="Type:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="10%">
                        <asp:Label ID="LabelTypeValue" runat="server" 
                            Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%" >
                        <asp:Label ID="LabelforLabelNPIValue" AssociatedControlID="LabelNPIValue" 
                            runat="server" Text="NPI:" Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="10%">
                        <asp:Label ID="LabelNPIValue" runat="server" 
                            Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%">
                        &nbsp;
                    </td>
                    <td Width="10%">
                        &nbsp;
                    </td>
               </tr>
               <tr>
                    <td Width="10%">
                        <asp:Label ID="LabelforLabelDateReferred" 
                            AssociatedControlID="LabelDateReferred" runat="server" Text="Date Referred:" 
                            Font-Bold="True" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="10%">
                        <asp:Label ID="LabelDateReferred" runat="server"
                            Font-Bold="True" ForeColor="#000066" SkinID="DataLabel"></asp:Label>  
                    </td>
                    <td Width="5%">
                        &nbsp;
                    </td>
                    <td Width="10%">
                        &nbsp;  
                    </td>
                    <td Width="5%">
                        &nbsp;
                    </td>
                    <td Width="10%">
                        &nbsp;
                    </td>
              </tr>
            </table>
        </asp:Panel>
     </asp:Panel>

 
<asp:HiddenField ID="HiddenFieldPatientId" runat="server" />
<asp:HiddenField ID="HiddenFieldEncounterID" runat="server" />


<asp:ObjectDataSource ID="ObjectDataSourceVAMC" runat="server" 
    SelectMethod="GetVAMCList" 
    TypeName="VeteransAffairs.Registries.BusinessManager.Utilities.DropDownLists">
</asp:ObjectDataSource>