﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="AdminEditUsersRoles.aspx.cs" Inherits="AdminEditUsersRoles" MaintainScrollPositionOnPostback="true" %>
<%@ Register src="controls/ErrorList.ascx" tagname="ErrorList" tagprefix="uc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
    <style type="text/css">
        .style2
        {
            width: 150px;
        }
        .style3
        {
            width: 20px;
        }
        .style4
        {
            width: 100%;
        }
        .style5
        {
        }
        .style6
        {
            width: 23px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" Runat="Server">
    
    <script type = "text/javascript">

        $(function() {
            if ($('#<%= HiddenFieldClearFlag.ClientID %>').val() === '1')
                $('#<%= TextBoxSearchCriteria.ClientID%>').focus();

        });
    </script>

    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:Panel ID="PanelObjectContent" runat="server">
        <br /><uc1:ErrorList ID="ErrorList1" runat="server" />
        <asp:Panel ID="PanelListUserRoles" runat="server" GroupingText="User / Roles&nbsp;&nbsp;" Width="95%">
        <br />
                <div class = "excludeSaveWarnings">           
                    <asp:Label ID="LabelforTextBoxSearchCriteria" runat="server" AssociatedControlID="TextBoxSearchCriteria">Search:</asp:Label>
                    <asp:TextBox ID="TextBoxSearchCriteria" runat="server" Width="100">
                    </asp:TextBox>
                    &nbsp; 
                    <asp:Button ID="ButtonSearch" runat="server" Text=" Search " OnClick = "ButtonSearch_Click" OnClientClick="ShowProgress();"
                        ToolTip="Select to search the Registries for the specified user" />
                    &nbsp;
                    <asp:Button ID="ButtonClear" runat="server" Text=" Clear " OnClientClick="ShowProgress();"
                        onclick="ButtonClear_Click" ToolTip="Select to clear the search text box and reset list of results" />
                    <asp:HiddenField ID="HiddenFieldClearFlag" runat="server" />
                </div>
                <br />
                <br />
                <asp:GridView ID="GridViewUserRoles" runat="server" DataKeyNames="USER_ROLE_ID"
                    DataSourceID="ObjectDataSourceUsersRoles" AutoGenerateColumns="False" 
                    AllowPaging="True" OnRowDataBound="GridView_RowDataBound"
                    AllowSorting="True" Caption="Users" EmptyDataText="No User Roles">
                    <Columns>
                        <asp:HyperLinkField DataNavigateUrlFields="USER_ID" SortExpression="USER_ID" NavigateUrl="~/AdminEditUsersRoles.aspx"
                            ItemStyle-HorizontalAlign="Center" HeaderStyle-HorizontalAlign="Center"
                            DataNavigateUrlFormatString="AdminEditUsersRoles.aspx?id={0}"
                            DataTextField="USER_ID" HeaderText="ID">
                            <HeaderStyle HorizontalAlign="Center"></HeaderStyle>
                            <ItemStyle HorizontalAlign="Center" Width="18px"></ItemStyle>
                        </asp:HyperLinkField>
                        <asp:TemplateField HeaderText="NT Username" SortExpression="USER.USERNAME">
                           <ItemTemplate>
                                <asp:Label ID="LabelUserName" runat="server" Text='<%# Eval("USER.USERNAME") %>'></asp:Label>
                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="Left" />
                            <ItemStyle HorizontalAlign="Left" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Full Name" SortExpression="USER.FULL_NAME">
                           <ItemTemplate>
                                <asp:Label ID="LabelFullName" runat="server" Text='<%# Eval("USER.FULL_NAME") %>'></asp:Label>
                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="Left" />
                            <ItemStyle HorizontalAlign="Left" />
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Role" SortExpression="STD_ROLE.NAME">
                           <ItemTemplate>
                                <asp:Label ID="LabelRoleName" runat="server" Text='<%# Eval("STD_ROLE.NAME") %>'></asp:Label>
                            </ItemTemplate>
                            <HeaderStyle HorizontalAlign="Left" />
                            <ItemStyle HorizontalAlign="Left" />
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <br />
                <asp:Button ID="ButtonDownloadToExcel" runat="server" onclick="ButtonDownloadToExcel_Click" OnClientClick="ShowProgress();"
                    Text="Download To Excel" ToolTip="Select to download user role list to Excel" />
                <br />
                <br />
                <asp:ObjectDataSource ID="ObjectDataSourceUsersRoles" runat="server" 
                    SelectMethod="SelectListUsersVISNs" 
                    SelectCountMethod="SelectListUsersVISNsCount"
                    StartRowIndexParameterName="startRow" 
                    MaximumRowsParameterName="maxRows" 
                    SortParameterName="sort"
                    EnablePaging="True"  
                    TypeName="VeteransAffairs.Registries.BusinessManager.UsersManager" 
                    DeleteMethod="RemoveUserFromRegistry">
                    <DeleteParameters>
                        <asp:ControlParameter ControlID="HiddenFieldRegistryName" DefaultValue="DVEIR" 
                            Name="RegistryCode" PropertyName="Value" Type="String" />
                    </DeleteParameters>
                    <SelectParameters>
                        <asp:ControlParameter ControlID="HiddenFieldRegistryName" DefaultValue="DVEIR" 
                            Name="RegistryCode" PropertyName="Value" Type="String" />
                        <asp:ControlParameter ControlID="TextBoxSearchCriteria" DefaultValue=""
                            Name="searchCriteria" PropertyName="Text" Type="String" />
                        <asp:Parameter Name="sort" Type="String" />
                        <asp:Parameter Name="startRow" Type="Int32" />
                        <asp:Parameter Name="maxRows" Type="Int32" />
                    </SelectParameters>
                </asp:ObjectDataSource>
        </asp:Panel>
        <asp:Panel ID="PanelRoleInformation" runat="server" GroupingText="Edit User Role Information" 
            Width="65%">
            <br />
            <asp:Panel ID="PanelUserProfile" runat="server" GroupingText="&nbsp;User Profile&nbsp;&nbsp;" 
            Width="98%">
                <table border="0" width="100%" >
                    <tr>
                        <td class="style2">
                            <asp:Label ID="LabelforLabelUsername" runat="server" 
                                AssociatedControlID="LabelUsername" SkinID="DataLabel">NT Username:</asp:Label>
                                </td>
                        <td>
                            <asp:Label ID="LabelUsername" runat="server"  Text="Username" 
                                SkinID="DataLabel"></asp:Label>
                        </td>
                        <td class="style3">
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <hr />
                        </td>
                    </tr>
                    <tr>
                        <td class="style2">
                            <asp:Label ID="LabelforLabelFullName" runat="server" 
                                AssociatedControlID="LabelFullName" SkinID="DataLabel">Full Name:</asp:Label>
                                </td>
                        <td>
                            <asp:Label ID="LabelFullName" runat="server"  Text="Full Name" 
                                SkinID="DataLabel"></asp:Label>
                        </td>
                        <td class="style3">
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td class="style2">
                            <asp:Label ID="LabelforLabelEmployeeNumber" runat="server" 
                                AssociatedControlID="LabelEmployeeNumber" SkinID="DataLabel">Employee Number:</asp:Label>
                                </td>
                        <td>
                            <asp:Label ID="LabelEmployeeNumber" runat="server"  
                                Text="Employee Number:" SkinID="DataLabel"></asp:Label>
                        </td>
                        <td class="style3">
                            &nbsp;</td>
                    </tr>
                    <tr>
                        <td class="style2">
                            <asp:Label ID="LabelforLabelJobTitle" runat="server" 
                                AssociatedControlID="LabelJobTitle" SkinID="DataLabel">Job Title:</asp:Label>
                                </td>
                        <td>
                            <asp:Label ID="LabelJobTitle" runat="server"  
                                Text="Job Title:" SkinID="DataLabel"></asp:Label>
                        </td>
                        <td class="style3">
                            &nbsp;</td>
                    </tr>
                </table>
                <asp:HiddenField ID="HiddenFieldUserID" runat="server" />
                <asp:HiddenField ID="HiddenFieldBreadCrumbBaseText" runat="server" />
            </asp:Panel>
            <br />
            <asp:Panel ID="PanelRoles" runat="server" GroupingText="&nbsp; Roles&nbsp;&nbsp;" Width="98%">
                <asp:CheckBox ID="CheckBoxRoleDVEIRAdministrator" runat="server" 
                    Text="DVEIR Administrator" />
                <br />
                <asp:CheckBox ID="CheckBoxRoleDVEIRDataAbstractor" runat="server" 
                    Text="DVEIR Data Abstractor" />
                <br />
                <asp:CheckBox ID="CheckBoxRoleDVEIRMedicalProfessional" runat="server" 
                    Text="DVEIR Medical Professional"/>
            </asp:panel>
                        
            <br />
            <asp:CheckBoxList ID="CheckBoxListUserRoles" runat="server" 
                RepeatDirection="Vertical" RepeatColumns="0" RepeatLayout="Table"
                        DataSourceID="" DataTextField="NAME" 
                        DataValueField="ID" Visible="False">
            </asp:CheckBoxList>
            <br />
            <br />
            <asp:Button ID="ButtonSave" runat="server" onclick="ButtonSave_Click" OnClientClick="ShowProgress();"
                Text="  Save  " ToolTip="Select to save the user's list of Roles" />
            &nbsp;&nbsp;
            <asp:Button ID="ButtonClose" runat="server" onclick="ButtonClose_Click" OnClientClick="ShowProgress();"
                Text="  Close  " ToolTip="Select to close the edit screen and return to the list of users" />
            <br />
            <asp:ObjectDataSource ID="ObjectDataRegistryRoles" runat="server" 
                    SelectMethod="SelectActiveByRegistryCode" 
                    TypeName="VeteransAffairs.Registries.BusinessManager.RoleManager"> 
                    <SelectParameters>
                        <asp:ControlParameter ControlID="HiddenFieldRegistryName" DefaultValue="DVEIR" 
                            Name="RegistryCode" PropertyName="Value" Type="String" />
                    </SelectParameters>
            </asp:ObjectDataSource>
        </asp:Panel>
    </asp:Panel>
    <asp:Panel ID="PanelNoAccess" runat="server" Visible="false">
            You do not have access to the user id supplied.
            <br /><br />
            Please contact the Registry Manager to grant access or verify that your permissions are correct.
    </asp:Panel>
    <asp:Panel ID="PanelIdNotFound" runat="server" Visible="false">
            No record found for the user ID supplied.
            <br />
            <br />
            If you tried accessing using a link within an email or typed the link in the browser, please check the link to ensure you have supplied a correct id.
    </asp:Panel>
    <asp:HiddenField ID="HiddenFieldRegistryName" runat="server" />      
</asp:Content>
