﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Legacy.DVEIR
{
    [Serializable()]
    [System.ComponentModel.DataObject]
    public class DVEIRSharedConstant
    {
        public const int TestPerformedLookupIdYes = 16;
        public const int TestPerformedLookupIdNo = 17;
        public const int TestPerformedLookupIdNotSpecified = 18;

        public const int ExamDataElementMotilityTestPerformed = 22;
        public const int ExamDataElementMotilityTestResult = 23;
        public const int ExamDataElementMotilityComments = 24;
        public const int ExamDataElementVisualAcuity1TestPerformed = 25;
        public const int ExamDataElementVisualAcuity1TestResult = 26;
        public const int ExamDataElementVisualAcuity1Comments = 27;
        public const int ExamDataElementVisualAcuity2TestPerformed = 28;
        public const int ExamDataElementVisualAcuity2TestResult = 29;
        public const int ExamDataElementVisualAcuity2Comments = 30;
        public const int ExamDataElementRefractionTestPerformed = 31;
        public const int ExamDataElementRefractionTestResult = 32;
        public const int ExamDataElementRefractionComments = 33;
        public const int ExamDataElementColorVisionTestPerformed = 34;
        public const int ExamDataElementColorVisionTestResult = 35;
        public const int ExamDataElementColorVisionComments = 36;
        public const int ExamDataElementConfrontationTestPerformed = 37;
        public const int ExamDataElementConfrontationTestResult = 38;
        public const int ExamDataElementConfrontationComments = 39;
        public const int ExamDataElementHumphreyTestPerformed = 40;
        public const int ExamDataElementHumphreyTestResult = 41;
        public const int ExamDataElementHumphreyComments = 42;
        public const int ExamDataElementKineticTestPerformed = 43;
        public const int ExamDataElementKineticTestResult = 44;
        public const int ExamDataElementKineticComments = 45;
        public const int ExamDataElementLidsTestPerformed = 46;
        public const int ExamDataElementLidsTestResult = 47;
        public const int ExamDataElementLidsComments = 48;
        public const int ExamDataElementBrowTestPerformed = 49;
        public const int ExamDataElementBrowTestResult = 50;
        public const int ExamDataElementBrowComments = 51;
        public const int ExamDataElementPupilTestPerformed = 52;
        public const int ExamDataElementPupilTestResult = 53;
        public const int ExamDataElementPupilComments = 54;
        public const int ExamDataElementRelativeAfferentTestPerformed = 55;
        public const int ExamDataElementRelativeAfferentTestResult = 56;
        public const int ExamDataElementRelativeAfferentComments = 57;
        public const int ExamDataElementCorneaTestPerformed = 58;
        public const int ExamDataElementCorneaTestResult = 59;
        public const int ExamDataElementCorneaComments = 60;
        public const int ExamDataElementScleraTestPerformed = 61;
        public const int ExamDataElementScleraTestResult = 62;
        public const int ExamDataElementScleraComments = 63;
        public const int ExamDataElementAnteriorChamberTestPerformed = 64;
        public const int ExamDataElementAnteriorChamberTestResult = 65;
        public const int ExamDataElementAnteriorChamberComments = 66;
        public const int ExamDataElementIrisTestPerformed = 67;
        public const int ExamDataElementIrisTestResult = 68;
        public const int ExamDataElementIrisComments = 69;
        public const int ExamDataElementAngleRecessionTestPerformed = 70;
        public const int ExamDataElementAngleRecessionTestResult = 71;
        public const int ExamDataElementAngleRecessionComments = 72;
        public const int ExamDataElementLensTestPerformed = 73;
        public const int ExamDataElementLensTestResult = 74;
        public const int ExamDataElementLensComments = 75;
        public const int ExamDataElementVitreousTestPerformed = 76;
        public const int ExamDataElementVitreousTestResult = 77;
        public const int ExamDataElementVitreousComments = 78;
        public const int ExamDataElementOpticDiscTestPerformed = 79;
        public const int ExamDataElementOpticDiscTestResult = 80;
        public const int ExamDataElementOpticDiscComments = 81;
        public const int ExamDataElementRetinaTestPerformed = 82;
        public const int ExamDataElementRetinaTestResult = 83;
        public const int ExamDataElementRetinaComments = 84;
        public const int ExamDataElementGlobeTestPerformed = 85;
        public const int ExamDataElementGlobeTestResult = 86;
        public const int ExamDataElementGlobeComments = 87;
        public const int ExamDataElementOrbitTestPerformed = 88;
        public const int ExamDataElementOrbitTestResult = 89;
        public const int ExamDataElementOrbitComments = 90;
        public const int ExamDataElementRefraction1Sphere = 160;
        public const int ExamDataElementRefraction1Cylinder = 161;
        public const int ExamDataElementRefraction1Axis = 162;
        public const int ExamDataElementRefraction1UnknownFlag = 163;
        public const int ExamDataElementRefraction2Sphere = 164;
        public const int ExamDataElementRefraction2Cylinder = 165;
        public const int ExamDataElementRefraction2Axis = 166;
        public const int ExamDataElementRefraction2UnknownFlag = 167;
        public const int ExamDataElementVisualAcuity1Other = 168;
        public const int ExamDataElementVisualAcuity2Other = 169;
        public const int ExamDataElementIntraocularPressureTestPerformed = 170;
        public const int ExamDataElementIntraocularPressureTestResult = 171;
        public const int ExamDataElementIntraocularPressureComments = 172;
        public const int ExamDataElementIntraocularPressureNumber = 173;

        public const string DveirReportsDoDTransfer = "1";
        public const string DveirReportsFrequencyEmbeddedFragment = "2";
        public const string DveirReportsTreatmentEmbeddedFragment = "3";
    }
}
