﻿namespace BusinessManagerClasses
{
    /// <summary>
    /// Summary description for DVEIR User Activity Type
    /// </summary>
    public static class DVEIRUserActivityType
    {
        public static string REFERRAL_OPEN = "Opened Referral";
        public static string ENCOUNTER_OPEN = "Opened Encounter";
        public static string ENCOUNTER_ADD = "Added Encounter";
        public static string ENCOUNTER_SAVE = "Saved Encounter";
        public static string ENCOUNTER_SEND_FOR_REVIEW = "Encounter Action - Send For Review";
        public static string ENCOUNTER_SEND_BACK_TO_ABSTRACTOR = "Encounter Action - Send Back To Abstractor";
        public static string ENCOUNTER_READY_TO_SEND_TO_DVEIR = "Encounter Action - Ready To Send To DVEIR";
        public static string ENCOUNTER_SET_TO_IN_PROCESS = "Encounter Action - Set To In Progress";
        public static string PATIENT_SEARCH = "Patient Search";
        public static string PATIENT_SEARCH_SELECT = "Patient Search - Select Patient";
        public static string PATIENT_REQUEST_SEARCH = "Patient Request - Search";
        public static string PATIENT_REQUEST_REQUEST_SUBMITTED = "Patient Request - Submitted";
        public static string PATIENT_REQUEST_NOT_SUBMITTED_DUPLICATE = "Patient Request - Duplicate Patient Found";
        public static string PATIENT_REQUEST_NOT_SUBMITTED_ALREADY_REQUESTED = "Patient Request - Patient Already Submitted";
        public static string PATIENT_REQUEST_NOT_SUBMITTED_ALREADY_IN_REGISTRY = "Patient Request - Patient Already in Registry";
        public static string PATIENT_REQUEST_REQUEST = "Patient Request - Request";
        public static string REPORT_REFERRAL_OVERVIEW_RUN = "Run Report - Referral Overview";
        public static string REPORT_YEARLY_BREAKDOWN_RUN = "Run Report - Annual Completion";
        public static string REPORT_YEARLY_DIAGNOSIS_RUN = "Run Report - Annual Diagnosis";
        public static string REPORT_YEARLY_PROCEDURE_RUN = "Run Report - Annual Procedures";
        public static string REPORT_AVERAGE_TIME_RUN = "Run Report - Average Time";
        public static string REPORT_USER_EVENT_LOG_RUN = "Run Report - User Event Log";
        public static string REPORT_DOD_INTERFACE_TRANSFER_RUN = "Run Report - DoD Interface Transfer";
        public static string ADMIN_ADD_USER = "Admin - Add User";
        public static string ADMIN_EDIT_USER_SAVE = "Admin - Edit User Save";
        public static string ADMIN_EDIT_USER_ROLES_SAVE = "Admin - Edit User Roles Save";
        public static string ADMIN_REMOVE_USER = "Admin - Remove User";
        public static string ENCOUNTER_EXAM_SAVE = "Encounter Save - Exam";
        public static string ENCOUNTER_PROVIDER_SAVE = "Encounter Save - Provider";
        public static string ENCOUNTER_DIAGNOSIS_SAVE = "Encounter Save - Diagnosis";
        public static string ENCOUNTER_PROCEDURE_SAVE = "Encounter Save - Procedure";
        public static string ENCOUNTER_REVIEWER_SAVE = "Encounter Save - Review Saved";
        public static string ENCOUNTER_ASSIGNMENT_CHANGE = "Encounter Save - Assignment Changed";
    }
}