﻿using System;
using System.Collections.Generic;

namespace ViewModels
{
    /// <summary>Summary description for Question</summary>
    [Serializable]
    public abstract class BaseQuestion
    {
        /// <summary>Gets or sets the code.</summary>
        /// <value>The code.</value>
        public string Code { get; set; }

        /// <summary>Gets or sets the display text.</summary>
        /// <value>The display text.</value>
        public string DisplayText { get; set; }

        public abstract bool IsAnswered { get; }

        /// <summary>Initializes a new instance of the <see cref="BaseQuestion"/> class.</summary>
        public BaseQuestion()
        {
            //
            // TODO: Add constructor logic here
            //
        }
    }
}