﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace ViewModels
{
    /// <summary>
    /// Summary description for Laterality
    /// </summary>
    [Serializable]
    public class Laterality
    {
        public string Code { get; set; }

        public string DisplayText { get; set; }

        public int SortOrder { get; set; }

        public static class LateralityCodes
        {
            public static string LeftEye = "L";

            public static string RightEye = "R";

            public static string BothEyes = "B";

            public static string NotSpecified = "N";
        }
    }
}