﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ChiefComplaintControl.ascx.cs" Inherits="Controls.Encounter.ChiefComplaintControl" %>

<%@ Register Src="~/controls/ReviewComment/ReviewerCommentControl.ascx" TagName="ReviewerCommentControl" TagPrefix="mevir" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Panel ID="pnlChiefComplaint" runat="server" GroupingText="Chief Complaint" CssClass="fullWidth" ToolTip="Chief Complaint">
    <div style="width: 95%;">
        <mevir:ReviewerCommentControl ID="rccChiefComplaint" runat="server" OnReviewSavedSuccessfully="rccChiefComplaint_OnReviewSavedSuccessfully" />
        <asp:TextBox ID="txtChiefComplaint" TextMode="MultiLine" runat="server" ToolTip="Enter Chief Complaint of Patient for a Visit" Width="100%" Height="100px">
        </asp:TextBox>
    </div>
</asp:Panel>
<br />
<br />
<asp:Panel ID="pnlVisualConditions" GroupingText="Current Symptoms" runat="server" CssClass="fullWidth" ToolTip="Current Symptoms">
    <div style="width: 95%;">
        <mevir:ReviewerCommentControl ID="rccVisualConditions" runat="server"
            OnReviewSavedSuccessfully="rccVisualConditions_OnReviewSavedSuccessfully" />
        <asp:Label ID="lblCondition" Visible="true" runat="server" Text="Condition" ToolTip="Condition" AssociatedControlID="rapConditions" />
        <br />
        <asp:Panel runat="server" ID="rapConditions">
            <telerik:RadButton ID="TBI_READ_PRBLM_IND" AutoPostBack="False" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Reading Problems" ToolTip="Reading Problems"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="TBI_DIPLOPIA_IND" AutoPostBack="False" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Double Vision/Diplopia" ToolTip="Double Vision/Diplopia"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="TBI_DAZZLING_IND" AutoPostBack="False" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Dazzling/Glare" ToolTip="Dazzling/Glare"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="TBI_PHOTOPHOBIA_IND" AutoPostBack="False" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Light Sensitivity/Photophobia" ToolTip="Light Sensitivity/Photophobia"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="TBI_EYE_STRAIN_IND" AutoPostBack="False" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Eye Strain" ToolTip="Eye Strain"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="TBI_BLURRED_VISION_IND" AutoPostBack="False" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Blurred Vision" ToolTip="Blurred Vision"></telerik:RadButton>
            <br />
            <telerik:RadButton ID="OTHER_NEUROLOGICAL_IND" AutoPostBack="False" ToggleType="CheckBox" ButtonType="ToggleButton" runat="server" Text="Other Documented Visual Conditions" ToolTip="Other Documented Visual Conditions"></telerik:RadButton>
        </asp:Panel>
        <br />
        <asp:Label ID="lblComments" Visible="true" runat="server" Text="Comments" ToolTip="Comments" AssociatedControlID="txtComments" />
        <br />
        <asp:TextBox ID="txtComments" TextMode="MultiLine" runat="server" ToolTip="Enter Comments" Width="100%" Height="100px">
        </asp:TextBox>
    </div>
</asp:Panel>
