﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabVisualFunctioningUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabVisualFunctioningUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/Controls/ExamTab/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>
<%@ Register Src="~/Controls/ExamTab/ExamSingleSelectUserControl.ascx" TagName="ucSingleSelect" TagPrefix="ucExamTab" %>

<div id="visualFunctioningEvent">
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary">
        <Contents>
            <div class="examTabColumnDouble">
                <div class="examTabColumnLabelFloat">
                    <%--<asp:Label runat="server" ID="lblQuestionaire" AssociatedControlID="ucQuestionnaire"></asp:Label>:--%>
                    <label for="<%= ucQuestionnaire.LabelAssociation %>"><%= EventViewModel.Questionnaire.DisplayText %>:</label>
                </div>
                <div class="examTabFloatLeft">
                    <ucExamTab:ucSingleSelect runat="server"  ID="ucQuestionnaire" CssClass="questionnaireWrapper"/>
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="examTabColumn">
                <div class="examTabColumnLabelFloat">
                    <asp:Label runat="server" ID="lblScore" AssociatedControlID="tbScore"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <telerik:RadMaskedTextBox runat="server" ID="tbScore" CssClass="tbScore" WrapperCssClass="tbScore" Mask="###" HideOnBlur="True" ></telerik:RadMaskedTextBox>
                </div>
                <div class="clearFloat"></div>
            </div>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
