﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Reporting/RegistryReporting.master" AutoEventWireup="true" CodeFile="AnnualCompletionReport.aspx.cs" Inherits="Reporting_AnnualCompletionReport" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function RequestStart(sender, args) {
                var eventTarget = args.get_eventTarget();

                if (eventTarget.indexOf("btnExportWord") !== -1) {
                    args.set_enableAjax(false);
                }

                if (eventTarget.indexOf("btnExportExcel") !== -1) {
                    args.set_enableAjax(false);
                }
            };

            function ResponseEnd(sender, args) {
                StartScript();
                MEVIR.Common.Timeout.InitiateTimeout();
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js"></asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js"></asp:ScriptReference>
        </Scripts>
    </telerik:RadScriptManager>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" ClientEvents-OnRequestStart="RequestStart"
        ClientEvents-OnResponseEnd="ResponseEnd" DefaultLoadingPanelID="ajaxLoadingPnlExam">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="btnFilter">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlFilterRefresh" />
                    <telerik:AjaxUpdatedControl ControlID="pnlFilters" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnReset">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlFilterRefresh" />
                    <telerik:AjaxUpdatedControl ControlID="pnlFilters" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgReport" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ajaxLoadingPnlExam" runat="server" />

    <telerik:RadSkinManager ID="RadSkinManager1" runat="server" Skin="Office2010Blue">
    </telerik:RadSkinManager>

    <br />
    <%--<telerik:RadAjaxLoadingPanel runat="server" ID="RadAjaxLoadingPanel1"></telerik:RadAjaxLoadingPanel>
    <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" LoadingPanelID="RadAjaxLoadingPanel1">--%>
    <asp:Panel ID="pnlFilters" runat="server" GroupingText="Report Filters">
        <div id="reportVISNContainer" class="reportFilterContainer">
            <asp:Label ID="lblForVISNs" AssociatedControlID="rcbVISNs" runat="server" Text="VISNs: " TabIndex="0"></asp:Label>
            <br />
            <telerik:RadComboBox ID="rcbVISNs" runat="server" AllowCustomText="false" Enabled="true" CheckBoxes="true" EnableAriaSupport="true" EnableCheckAllItemsCheckBox="true" AccessKey="T"
                EmptyMessage="Select VISN(s)" Filter="None" EnableViewState="True" ToolTip="VISN(s) Selection" ChangeTextOnKeyBoardNavigation="true" EnableVirtualScrolling="true"
                TabIndex="0">
            </telerik:RadComboBox>
            <br />
            <asp:RequiredFieldValidator runat="server" ID="rfvVISNs" ValidationGroup="FilterValidation" ControlToValidate="rcbVISNs" Enabled="true" Display="Dynamic" CssClass="requiredField" ErrorMessage="* VISN(s) required"></asp:RequiredFieldValidator>
        </div>
        <div id="reportYearDefinitionContainer" class="reportFilterContainer">
            <asp:Label ID="lblForReportYearDefinition" AssociatedControlID="rcbReportYearDef" runat="server" Text="Report Year Definition: " TabIndex="0"></asp:Label>
            <br />
            <telerik:RadComboBox ID="rcbReportYearDef" runat="server" AllowCustomText="false" Enabled="true" CheckBoxes="false" EnableAriaSupport="true" EnableCheckAllItemsCheckBox="false" AccessKey="T"
                EmptyMessage="Select report year type" Filter="None" EnableViewState="True" ToolTip="Report Year Selection" ChangeTextOnKeyBoardNavigation="true" EnableVirtualScrolling="true"
                TabIndex="0">
                <Items>
                    <telerik:RadComboBoxItem Text="Calendar" Value="calendar" />
                    <telerik:RadComboBoxItem Text="Fiscal" Value="fiscal" />
                </Items>
            </telerik:RadComboBox>
            <br />
            <asp:RequiredFieldValidator runat="server" ID="rfvReportYearDefinition" ValidationGroup="FilterValidation" ControlToValidate="rcbReportYearDef" Enabled="true" Display="Dynamic" CssClass="requiredField" ErrorMessage="* Report Year Definition is required"></asp:RequiredFieldValidator>
        </div>
        <div id="reportYearContainer" class="reportFilterContainer">
            <asp:Label ID="lblForYears" AssociatedControlID="rcbReportYears" runat="server" Text="Report Year Selection: " TabIndex="0"></asp:Label>
            <br />
            <telerik:RadComboBox ID="rcbReportYears" runat="server" AllowCustomText="false" Enabled="true" CheckBoxes="true" EnableCheckAllItemsCheckBox="true" AccessKey="T"
                EmptyMessage="Select years for report" Filter="None" EnableViewState="True" ToolTip="Report Year Selection" ChangeTextOnKeyBoardNavigation="true" EnableVirtualScrolling="true"
                TabIndex="0">
            </telerik:RadComboBox>
            <br />
            <asp:RequiredFieldValidator runat="server" ID="rfvReportYears" ValidationGroup="FilterValidation" ControlToValidate="rcbReportYears" Enabled="true" Display="Dynamic" CssClass="requiredField" ErrorMessage="* Report Year(s) required"></asp:RequiredFieldValidator>
        </div>
        <div id="reportFilterButton" class="reportFilterContainer">
            <asp:Button ID="btnFilter" runat="server" Text="Run Report" ToolTip="Click to Execute Report"  OnClick="btnFilter_Click" ValidationGroup="FilterValidation" />
            <asp:Button ID="btnReset" runat="server" Text="Reset" ToolTip="Click to Reset Report and Filters" CausesValidation="false" OnClick="btnReset_Click" />
        </div>
        <div style="clear: both;"></div>
    </asp:Panel>
    <asp:Panel runat="server" ID="pnlFilterRefresh">
        <asp:Panel ID="pnlInstructions" runat="server" GroupingText="Instructions">
            To run this report, select desired VISN(s), reporting year type (calendar or fiscal), and reporting years.  Once selected, click the "Run Report" button.
        </asp:Panel>
        <asp:Panel ID="pnlMainReportContainer" runat="server" CssClass="mainContent" Visible="false" TabIndex="0">
            <div style="text-align: right; padding-top: 3px;">
                <asp:Button ID="btnExportWord" runat="server" Text="Export Word" OnClick="btnExportWord_Click" OnClientClick="ShowProgress();" />
                <asp:Button ID="btnExportExcel" runat="server" Text="Export Excel" OnClick="btnExportExcel_Click" OnClientClick="ShowProgress();" />
            </div>
            <div id="reportImageContainer">
                <img src="../images/VA%20Logo.JPG" alt="VA Logo Image" style="width: 100%;" title="VA Logo Image" />
            </div>
            <div id="reportNameContainer">VA Eye Injury Data Store - Annual Completion Report</div>
            <div style="clear: both;"></div>
            <hr />
            <strong>Data Definitions:</strong>
            <ul>
                <li><strong>Completed:</strong>  Encounters that have be placed into the status <strong>"Ready To Send"</strong> or <strong>"Sent to DVEIR"</strong> at least once.</li>
                <li><strong>Not Completed:</strong> At the time of the report, encounters that are counted in the "Unique Encounters Initiated within Year" have never been completed (see completed definition).</li>
            </ul>
            <br />
            <strong>Selection Criteria:</strong>
            <br />

            <div class="reportTableCriteria">
                <asp:Label ID="lblForVisnSelection" AssociatedControlID="lblVisnSelection" runat="server" Text="VISN(s): " TabIndex="0"></asp:Label>
            </div>
            <div class="reportTableValue">
                <asp:Label ID="lblVisnSelection" runat="server" Text="" TabIndex="0"></asp:Label>
            </div>
            <div style="clear: both;"></div>

            <div class="reportTableCriteria">
                <asp:Label ID="lblForReportYearDefinitionSelection" AssociatedControlID="lblReportYearDefinitionSelection" runat="server" Text="Report Year Definition: " TabIndex="0"></asp:Label>
            </div>
            <div class="reportTableValue">
                <asp:Label ID="lblReportYearDefinitionSelection" runat="server" Text="" TabIndex="0"></asp:Label>
            </div>
            <div style="clear: both;"></div>

            <div class="reportTableCriteria">
                <asp:Label ID="lblForYearsSelected" AssociatedControlID="lblYearsSelected" runat="server" Text="Report Year(s): " TabIndex="0"></asp:Label>
            </div>
            <div class="reportTableValue">
                <asp:Label ID="lblYearsSelected" runat="server" Text="" TabIndex="0"></asp:Label>
            </div>
            <div style="clear: both;"></div>
            <br />
            <br />

            <telerik:RadGrid ID="rgReport" runat="server" AllowPaging="True" AllowSorting="True" GroupPanelPosition="Top" MasterTableView-AllowNaturalSort="true"
                OnNeedDataSource="rgReport_NeedDataSource" AllowMultiRowSelection="false" PagerStyle-AlwaysVisible="false" TabIndex="0">
                <MasterTableView Caption="Annual Completion Report" AutoGenerateColumns="false" DataKeyNames="ReportYear" PageSize="1000" TabIndex="0" HeaderStyle-ForeColor="Black">
                    <NoRecordsTemplate>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblNoRecords" runat="server" Style="color: #000000; font-size: 12pt; font-weight: normal;">
                                        Either no results were found with the selected parameters or the initial search has not been performed yet.  
                                    </asp:Label>
                                </td>
                            </tr>
                        </table>
                    </NoRecordsTemplate>
                    <Columns>
                        <telerik:GridBoundColumn DataField="ReportYear" DataType="System.Int32" HeaderButtonType="LinkButton" HeaderTooltip="Filter Report Year column" HeaderText="Report Year" ReadOnly="True" SortExpression="ReportYear" UniqueName="ReportYear_Report">
                        </telerik:GridBoundColumn>

                        <telerik:GridBoundColumn DataField="UniquePatientsSeenWithinYear" DataType="System.Int32" DataFormatString="{0:#,#}" HeaderButtonType="LinkButton" HeaderTooltip="Unique Patients Seen Within Year" HeaderText="Unique Patients Seen Within Year" ReadOnly="True" SortExpression="UniquePatientsSeenWithinYear" UniqueName="UniquePatientsSeenWithinYear_Report">
                        </telerik:GridBoundColumn>

                        <telerik:GridBoundColumn DataField="UniqueEncountersWithinYear" DataType="System.Int32" DataFormatString="{0:#,#}" HeaderButtonType="LinkButton" HeaderTooltip="Unique Encounters Within Year column" HeaderText="Unique Encounters Within Year" ReadOnly="True" SortExpression="UniqueEncountersWithinYear" UniqueName="UniqueEncountersWithinYear_Report">
                        </telerik:GridBoundColumn>

                        <telerik:GridBoundColumn DataField="Completed" DataType="System.Int32" DataFormatString="{0:#,#}" HeaderButtonType="LinkButton" HeaderTooltip="Completed column" HeaderText="Completed" ReadOnly="True" SortExpression="Completed" UniqueName="Completed_Report">
                        </telerik:GridBoundColumn>

                        <telerik:GridBoundColumn DataField="NotCompleted" DataType="System.Int32" DataFormatString="{0:#,#}" HeaderButtonType="LinkButton" HeaderTooltip="Not Completed column" HeaderText="Not Completed" ReadOnly="True" SortExpression="NotCompleted" UniqueName="NotCompleted_Report">
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
                <ClientSettings AllowKeyboardNavigation="true">
                    <KeyboardNavigationSettings EnableKeyboardShortcuts="true"></KeyboardNavigationSettings>
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid>
            <br />
            <br />
            <p style="font-size: 8pt; font-style: italic;">
                This is protected personal health information. Improper disclosure of information to anyone not authorized to receive it may result in criminal charges and a fine from 5,000 to 20,000 under the Privacy Act of 1974, Title 5 United States Code (U.S.C.) 552(a), 38 U.S.C. Section 5701, Confidential Nature of Claims, and 38 U.S.C. Section 7332, Confidentiality of Certain Medical Records
            </p>
        </asp:Panel>
    </asp:Panel>
</asp:Content>
