﻿using System;

namespace ViewModels.Exam
{
    /// <summary>
    /// Summary description for Visual Functioning Event Model
    /// </summary>
    [Serializable]
    public class VisualFunctioningEventModel : BaseEventModel
    {
        public override string CategoryCode
        {
            get { return "VisFuncQues"; }
        }

        public SingleSelectQuestion Questionnaire { get; set; }

        public TextQuestion Score { get; set; }

        public static class QuestionCodes
        {
            public static string Questionnaire = "VF_Q";

            public static string Score = "VF_S";
        }
    }
}