﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabColorVisionUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabColorVisionUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register Src="~/controls/ExamTabv2/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>

<div id="colorVisionEvent">
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary"
        TestPerformOnClientLoad="MEVIR.Exam.ColorVision.TestPerformedOnLoad"
        TestPerformOnClientSelectedIndexChanged="MEVIR.Exam.ColorVision.TestPerformedSelectionChanged">
        <Contents>
            <div>
                <span>
                    <b>
                        <asp:Label runat="server" ID="lblColorVision" Text="Number Correct / Total Number:"></asp:Label>
                    </b>
                </span>
                <span>
                    <telerik:RadMaskedTextBox runat="server" ID="tbNumberCorrect" Mask="##" PromptChar="_" WrapperCssClass="tbColorVision" EnableViewState="True"></telerik:RadMaskedTextBox>
                    &nbsp;/&nbsp;
                    <telerik:RadMaskedTextBox runat="server" ID="tbTotalNumber" Mask="##" PromptChar="_" WrapperCssClass="tbColorVision" EnableViewState="True"></telerik:RadMaskedTextBox>
                </span>
            </div>
            <asp:CompareValidator runat="server" ID="compValColorVision" ControlToValidate="tbTotalNumber" ControlToCompare="tbNumberCorrect" 
                Operator="GreaterThanEqual" ErrorMessage="TOTAL NUMBER should be greater than or equal to the NUMBER CORRECT"/>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
