﻿using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    public partial class ExamTabConfrontationalVisualFieldsUserControl : BaseEventItem<ConfrontationalVisualFieldEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            // Nothing here
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
            ucTestSummary.TestPerformExpandValues = ConfrontationalVisualFieldEventModel.ShowTestResultValues;
            ucTestSummary.TestResultExpandValues = ConfrontationalVisualFieldEventModel.ShowTestDetailValues;
        }

        protected override void MapTestDetails()
        {
            ucQuadrant.Question = EventViewModel.Quadrant;
        }

        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        protected override ConfrontationalVisualFieldEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);
            EventViewModel.Quadrant = ucQuadrant.GetUpdatedQuestion();

            return EventViewModel;
        }

        #endregion
    }
}