﻿using ViewModels.Exam;

namespace Controls.ExamTabv2
{
    public partial class ExamTabCorneaUserControl : BaseEventItem<CorneaEventModel>
    {
        #region Implemented Methods

        protected override void MapValidationGroup()
        {
            // Nothing To Do Here
        }

        protected override void MapTestSummary()
        {
            ucTestSummary.ViewModel = EventViewModel;
            ucTestSummary.TestPerformExpandValues = CorneaEventModel.ShowTestDetailValues;
        }

        protected override void MapTestDetails()
        {
            ucVisitData.Question = EventViewModel.VisitData;
        }

        protected override void PerformForcedRefresh()
        {
            // Force Refresh on child controls
            ucTestSummary.PerformForcedRefresh();
        }

        protected override CorneaEventModel SaveItem()
        {
            ucTestSummary.UpdateViewModel(EventViewModel);
            EventViewModel.VisitData = ucVisitData.GetUpdatedQuestion();

            return EventViewModel;
        }

        #endregion
    }
}