﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabDepthPerceptionUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabDepthPerceptionUserControl" %>
<%@ Register Src="~/controls/ExamTabv2/ExamTabTestSummaryUserControl.ascx" TagName="ucTestSummary" TagPrefix="ucExamTab" %>
<%@ Register Src="~/controls/ExamTabv2/ExamSingleSelectUserControl.ascx" TagName="ucSingleSelect" TagPrefix="ucExamTab" %>

<div id="depthPerceptionEvent">
    <ucExamTab:ucTestSummary runat="server" ID="ucTestSummary">
        <Contents>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblRandotFly" AssociatedControlID="tbRandotFly"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <asp:TextBox runat="server" ID="tbRandotFly" EnableViewState="True"></asp:TextBox>
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="examTabColumn">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblVerhoeffSteropter" AssociatedControlID="tbVerhoeffSteropter"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <asp:TextBox runat="server" ID="tbVerhoeffSteropter" EnableViewState="True"></asp:TextBox>
                </div>
                <div class="clearFloat"></div>
            </div>
            <div class="clearFloat"></div>
            <asp:Panel runat="server" ID="pnlAngleOfStereopsis" GroupingText="Angle of Stereopsis" CssClass="angleOfStereopsis">
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblRandotStereoTest" AssociatedControlID="ucRandotStereoTest" Text="Randot Stereo Test"/>:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucRandotStereoTest" CssClass="secondsOfArc" />
                    </div>
                    <div class="examTabFloatLeft">seconds of arc</div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblTitmusStereoTest" AssociatedControlID="ucTitmusStereoTest" Text="Titmus Stereo Test"/>:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucTitmusStereoTest"  CssClass="secondsOfArc" />
                    </div>
                    <div class="examTabFloatLeft">seconds of arc</div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblVectographicProjectorSlides" AssociatedControlID="ucVectographicProjectorSlides" 
                            Text="Vectographic Projector Slides"></asp:Label>:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucVectographicProjectorSlides" CssClass="secondsOfArc" />
                    </div>
                    <div class="examTabFloatLeft">seconds of arc</div>
                    <div class="clearFloat"></div>
                </div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblVisionTesterDepth" AssociatedControlID="ucVisionTesterDepth"
                            Text="Vision Tester Depth Perception Slide"></asp:Label>:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucVisionTesterDepth" CssClass="secondsOfArc" />
                    </div>
                    <div class="examTabFloatLeft">seconds of arcs</div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
                <div class="examTabColumnDouble">
                    <div class="examTabColumnLabelFloat">
                        <asp:Label runat="server" ID="lblBorishVectographic" AssociatedControlID="ucBorishVectographic"
                            Text="Borish Vectographic Nearpoint Card"></asp:Label>:
                    </div>
                    <div class="examTabFloatLeft">
                        <ucExamTab:ucSingleSelect runat="server" ID="ucBorishVectographic" CssClass="secondsOfArc" />
                    </div>
                    <div class="examTabFloatLeft">seconds of arc</div>
                    <div class="clearFloat"></div>
                </div>
                <div class="clearFloat"></div>
            </asp:Panel>
        </Contents>
    </ucExamTab:ucTestSummary>
</div>
