﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ExamTabTestSummaryUserControl.ascx.cs" Inherits="Controls.ExamTabv2.ExamTabTestSummaryUserControl" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<div id="examTabTestSummary">
    <div class="examTabColumn">
        <div class="examTabColumnLabel">
            <asp:Label runat="server" ID="lblLaterality" AssociatedControlID="ddlLaterality"></asp:Label>:
        </div>
        <div class="examTabColumnItem">
            <telerik:RadComboBox runat="server" ID="ddlLaterality" AllowCustomText="true"
                EmptyMessage="Laterality...." Width="200px" Filter="Contains">
            </telerik:RadComboBox>
        </div>
        <div class="clearFloat"></div>
    </div>
    <asp:PlaceHolder runat="server" ID="phTestPerformed">
        <div id="examTabTestSummaryPeformedWrapper" class="examTabColumn">
            <div id="examTabTestSummaryPeformed">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblTestPerformed" AssociatedControlID="ddlTestPerformed"></asp:Label>:
                </div>
                <div class="examTabColumnItem">
                    <telerik:RadComboBox runat="server" ID="ddlTestPerformed" AllowCustomText="true"
                        EmptyMessage="Test Performed...." Width="200px" Filter="Contains"
                        OnItemDataBound="ddlTestPerformed_OnItemDataBound"
                        OnClientLoad="MEVIR.Exam.Summary.TestPerformedOnLoad"
                        OnClientSelectedIndexChanged="MEVIR.Exam.Summary.TestPerformedSelectionChanged">
                    </telerik:RadComboBox>
                </div>
            </div>
            <div id="examTabTestSummaryPerformedCmt">
                <div class="examTabColumnLabel">
                    <asp:Label runat="server" ID="lblTestPeformedCmt" AssociatedControlID="tbTestPerformedCmt" Text="Comment:"></asp:Label>
                </div>
                <div class="examTabColumnItem">
                    <telerik:RadTextBox runat="server" ID="tbTestPerformedCmt" />
                </div>
            </div>
        </div>
    </asp:PlaceHolder>
    <asp:PlaceHolder runat="server" ID="phTestResult">
        <div id="examTabTestSummaryResult" class="examTabColumn">
            <div class="examTabColumnLabel">
                <asp:Label runat="server" ID="lblTestResult" AssociatedControlID="ddlTestResult"></asp:Label>:
            </div>
            <div class="examTabColumnItem">
                <telerik:RadComboBox runat="server" ID="ddlTestResult" AllowCustomText="true"
                    EmptyMessage="Test Result...." Width="200px" Filter="Contains"
                    OnItemDataBound="ddlTestResult_OnItemDataBound">
                </telerik:RadComboBox>
            </div>
            <div class="clearFloat"></div>
        </div>
    </asp:PlaceHolder>
    <div class="clearFloat"></div>
</div>
<div id="examTabTestDetails">
    <asp:PlaceHolder runat="server" ID="phTestWrapper"></asp:PlaceHolder>
</div>
<div class="clearFloat"></div>
<asp:PlaceHolder runat="server" ID="phEventComments">
    <div id="examTabFinalComments">
        <asp:Label ID="lblEventComments" SkinID="DataLabel"
            AssociatedControlID="tbEventComments" runat="server" Text="Comments">
        </asp:Label>:
        <br />
        <asp:TextBox ID="tbEventComments" runat="server" Width="99%" Height="80px" TextMode="MultiLine" EnableViewState="True">
        </asp:TextBox>
        <asp:RegularExpressionValidator
            ID="RegularExpressionValidatorTextBoxVisualFieldComments" runat="server"
            ErrorMessage="Comments needs to be less than 4000 characters."
            ControlToValidate="tbEventComments"
            ValidationExpression="^[\s\S]{0,4000}$">
        </asp:RegularExpressionValidator>
    </div>
</asp:PlaceHolder>
