﻿/* Exam Tab Anterior Chamber Javascript */

var MEVIR = MEVIR || {};
MEVIR.Exam = MEVIR.Exam || {};
MEVIR.Exam.AnteriorChamber = {
    ShowHideComment: function ($ddlComboBox) {
        var $ddlChoices = $('#' + $ddlComboBox.get_id());
        var $containerDiv = $ddlChoices.closest('tr');
        var $tbComment = $containerDiv.find('#visitDataCommentWrapper');
        var $reqValCtrl = $containerDiv.find('[id *=reqValVDComment]');
        var $regExValHeightCtrl = $containerDiv.find('[id *=regExValHeight]');
        var $regExValPercentageCtrl = $containerDiv.find('[id *=regExValPercentage]');

        var selectedItem = $ddlComboBox.get_selectedItem();

        var showComment = false;
        var enableRequiredVal = false;
        var enableRegExValHeight = false;
        var enableRegExValPercentage = false;

        if (selectedItem != null) {
            var selectedAttributes = selectedItem.get_attributes();

            var requiresCmt = selectedAttributes.getAttribute("RequiresComment");
            var reqValCtrlEnabled = selectedAttributes.getAttribute("ReqValVDCommentEnabled");
            var regExValHeightCtlEnabled = selectedAttributes.getAttribute("RegExValHeightEnabled");
            var regExValPercentageCtlEnabled = selectedAttributes.getAttribute("RegExValPercentageEnabled");

            showComment = requiresCmt === "true";
            enableRequiredVal = reqValCtrlEnabled === "true";
            enableRegExValHeight = regExValHeightCtlEnabled === "true";
            enableRegExValPercentage = regExValPercentageCtlEnabled === "true";
        }

        ValidatorEnable($reqValCtrl[0], enableRequiredVal);
        ValidatorEnable($regExValHeightCtrl[0], enableRegExValHeight);
        ValidatorEnable($regExValPercentageCtrl[0], enableRegExValPercentage);
        MEVIR.Exam.Common.ShowHideItem($tbComment, showComment);

    },

    VisitDataOnLoad: function (sender) {
        MEVIR.Exam.AnteriorChamber.ShowHideComment(sender);
    },

    VisitDataSelectionChanged: function (sender) {
        MEVIR.Exam.AnteriorChamber.ShowHideComment(sender);
    }
};
